2010-06-03 Brian Cameron <brian.cameron@sun.com>

	* gui/mdmlanguages.c, gui/mdmsession.c, gui/mdmlogin.c,
	  gui/greeter/greeter.c:  Switch buttons "Make Default" and 
	  "Just For This Session" for better usability.  Fixes bug #597661.

2010-06-02 Brian Cameron <brian.cameron@sun.com>

	* vicious-extensions/ve-misc.c:  Fix bug #571846.  No longer print
	  invalid encoded strings since this can causemaster the user's
	  password to be logged in the syslog if it contains invalid characters
	  and if MDM debug is enabled. 

2009-06-08 Brian Cameron <brian.cameron@sun.com>

	* gui/mdmsetup.c: Fix call to g_markup_printf_escaped so that NULL
	  strings are not passed in.

2009-05-13 Brian Cameron <brian.cameron@sun.com>

	* gui/mdmlogin.c, gui/greeter/greeter.c: Fix the dialog that asks the
	  user if they want to change their default session when the one in the
	  user's .dmrc file is not installed on the system.

2009-04-24 Brian Cameron <brian.cameron@sun.com>

	* configure.ac: Now configure favors the Xfree Xinerama interfaces over
	  the obsolete Solaris specific interfaces.  This ensures that Xinerama
	  works on OpenSolaris where Xfree should be used, and also on Solaris
	  10 where the Solaris specific interfaces should be used.  Fixes bug
	  #580060.  Also move DEFOPEN configure checks before Xinerama checks.

2009-03-19 Brian Cameron <brian.cameron@sun.com>

	* Release 2.20.10:
	* configure.ac: Updated to new release version
	* NEWS: Updated.

2009-03-19 Brian Cameron <brian.cameron@sun.com>

	* daemon/slave.c: Make sure that gid/egid are set to 0 when running
	  the Init, PostLogin, PreSession, and PostSession scripts.  This
	  ensures that all scripts are run with consistent permisions.

2009-03-14 Brian Cameron <brian.cameron@sun.com>

	* daemon/slave.c: Do not print NULL strings when calling
	  mdm_child_exit.

2009-02-26 Brian Cameron <brian.cameron@sun.com>

	* daemon/slave.c, daemon/misc.c: Ensure that the DISPLAY environment
	  variable is never cleared on changing language.  Otherwise, it will
	  not be available for the PAM module to use, for example.

2009-02-26 Brian Cameron <brian.cameron@sun.com>

	* daemon/mdm.c, daemon/server.c:  Provide better error reporting when
	  MDM is unable to parse the command.  Another partial fix for bug
	  #530585.

2009-02-24 Brian Cameron <brian.cameron@sun.com>

	* utils/mdm-ssh-session: Patch code so that the port value can be
	  entered when doing a remote ssh connection.  Fixes bug #572052.	
	  Patch by Thomas Bechtold <thomas@jpberlin.de>.

2009-02-24 Brian Cameron <brian.cameron@sun.com>

	* gui/modules/keymouselistener.c: Using Xorg 1.5, the parse_line
	  function can fail to set the keycode if XKB is not initialized
	  when mdmlogin starts.  This fix causes MDM to check if the keycode
	  failed to be initialized on keypress.  If so, it sets it and
	  addresses the problem.

2009-02-11 Brian Cameron <brian.cameron@sun.com>

	* config/Makefile.am, config/Xsession.common, config/Xsession.in
	  Backout change for bug #509141.  This is no longer needed on
	  Solaris since the code was reworked to make use of more
	  general /etc/X11/xinit/xinitrc.d scripts.  Better to keep distro
	  specific code out of the upstream MDM.  Fixes bug #571319.  Patch by
          Takao Fujiwara <Takao.Fujiwara@sun.com>.
	* config/Xsession.solaris, config/Xsession.common: Removed.

2009-02-05 Brian Cameron <brian.cameron@sun.com>

	* daemon/mdm-xdmcp-manager.c: Remove double free and improve error
	  handling, patch by Chris Wilson (chris+gnome@aptivate.org).  Also fix
	  how the host variable is freed in mdm_xdmcp_handle_message so it
	  is not freed before it is last used.  This issue was noticed by
	  Giuseppe Lippolis (giuseppe.lippolis@thalesaleniaspace.com).  Fixes
	  two issues noted in bug #530585, though I suspect it does not
	  resolve the main issue of the bug..
	* daemon/server.c: Improve error handling.

2009-01-06 Brian Cameron <brian.cameron@sun.com>

	* daemon/server.c, daemon/mdm-daemon-config.c: Set default
	  PRIO values appropriately.

2009-01-06 Brian Cameron <brian.cameron@sun.com>

	* daemon/mdm-daemon-config.c: Set PRIO_MIN and PRIO_MAX to the
	  correct values on Solaris.

2009-01-06 Brian Cameron <brian.cameron@sun.com>

	* daemon/mdm.c, daemon/auth.c, daemon/misc.c:  Use g_remove instead
	  of g_unlink when removing directories, it is safer.

2009-01-05 Brian Cameron <brian.cameron@sun.com>

	* daemon/mdm.[hc], daemon/verify-pam.c, daemon/server.c:
	  Update SDTLOGIN logic so that the "/var/dt" directory
	  gets created if it is missing.
	* daemon/server.c, daemon/mdm-daemon-config.c: Use "#ifdef __sun"
	  instead of "#ifdef sun".

2009-01-05 Brian Cameron <brian.cameron@sun.com>

	* daemon/verify-pam.c: Make sure that pwent gets set before
	  calling audit_fail_login, otherwise the audit record is not
	  set properly.

2008-12-10 Brian Cameron <brian.cameron@sun.com>

	* Release 2.20.9:
	* configure.ac: Updated to new release version
	* NEWS: Updated.

2008-12-10 Brian Cameron <brian.cameron@sun.com>

	* daemon/mdm-daemon-config.c, gui/mdmsession.c: Conditionally show
	  multilabel session entires when using Trusted Solaris.  Patch by
	  Stephen Browne <Stephen.Browne@sun.com>.

2008-12-10 Brian Cameron <brian.cameron@sun.com>

	* daemon/slave.c: Use full path to chmod when setting ACL's with ZFS
	  filesystems.

2008-12-10 Brian Cameron <brian.cameron@sun.com>

	* daemon/verify-pam.c: Correct processing of CONSOLE and PASSREQ
	  /etc/default/login parameters so they are checked each time a
	  user logs in, and the latest value honored.  The previous code
	  would not unset the setting even if you modified the
	  /etc/default/login file 

2008-12-08 Brian Cameron <brian.cameron@sun.com>

	* daemon/slave.c: Fix how MDM sets ACL's on Solaris so it also works
	  with ZFS filesystems.  Now only set ACL's when a11y is turned on,
	  since they are not needed otherwise.
	* config/Xsession.solaris: Correct setting of VTE_CJK_WIDTH when on
	  Solaris.  Updated patch from Takao Fujiwara
	  <Takao.Fujiwara@sun.com>.  

2008-12-07 Brian Cameron <brian.cameron@sun.com>

	* config/Init.in: Fix underquoted strings, refer to bug #563550.
	  Patch by Pacho Ramos <pacho@condmat1.ciencias.uniovi.es>

2008-11-14 Brian Cameron <brian.cameron@sun.com>

	* daemon/misc.c: Modify the mdm_ensure_sanity function so that it
	  does nothing on Solaris.  Solaris Trusted Extensions has different
	  assumptions about how sockets should be set up, and it's better for
	  MDM to not second-guess this.
 
2008-10-23 Brian Cameron <brian.cameron@sun.com>

	* daemon/mdm.c: Move call to mdm_final_cleanup after accessing
	  configuration options since mdm_final_cleanup will clear them.
	  An obvious error uncovered after looking at bug #502975.

2008-10-23 Brian Cameron <brian.cameron@sun.com>

	* daemon/server.c: Fix fbconsole launching code so that if it fails
	  to run, the forked child just exits.

2008-09-29 Brian Cameron <brian.cameron@sun.com>

	* daemon/display.h, daemon/server.c: Update the code which launches
	  fbconsole so that fbconsole is killed after the display is done being
	  used.  This only affects Solaris, which uses fbconsole.
	* daemon/server.[ch]: Remove unused mdm_server_reinit function.

2008-09-17 Brian Cameron <brian.cameron@sun.com>

	* config/Xsession.solaris: Use bourne-shell syntax for setting
	  VTE_CJK_WIDTH.  Just works better on Solaris.

2008-09-03 Brian Cameron <brian.cameron@sun.com>

	* Release 2.20.8:
	* configure.ac: Updated to new release version
	* NEWS: Updated.

2008-09-03  Brian Cameron  <brian.cameron@sun.com>

	* daemon/mdm.c:  Improve mdm_final_cleanup so that the slave daemon
	  exits after receiving a shutdown or reboot event, and after 
	  completing all cleanup.  This should fix all the remaining 
	  issues in bug #517526.  Patch by Josselin Mouette
	  <joss@malsain.org>

2008-09-03  Brian Cameron  <brian.cameron@sun.com>

	* acconfig.h, configure.ac: Rip out ctrun integration and instead
	  manage SMF so that when the slave daemon is forked, it is spawned
	  in a separate contract.  This ensures that the user session, all
	  MDM GUI programs, and the PAM interaction all happen in the user
	  service contract.  This helps to ensure that if the Xserver crashes,
	  it does not cause the MDM service to restart.  This only affects
	  Solaris.
	* gui/modules/dwellmouselistener.c, gui/modules/keymouselistener.c,
	  daemon/slave.c: Remove ctrun integration.
	* daemon/display.c: Add logic so slave daemon is forked in a separate
	  SMF contract.

2008-08-25  Brian Cameron  <brian.cameron@sun.com>

	* daemon/server.c:  Add -n argument to call to fbconsole so it
	  doesn't open a connection to the X display, to avoid race
	  conditions with XDMCP remote sessions.

2008-08-20  Brian Cameron  <brian.cameron@sun.com>

	* configure.ac: Fix broken check for TCP Wrappers.  Fixes bug
	  #548676.  Patch by Stanislav Brabec <sbrabec@suse.cz> and
	  Brian Cameron <Brian.Cameron@sun.com>
	* daemon/Makefile.am: Add LIBWRAP_LIBS to LDFLAGS when building
	  mdm-binary.

2008-08-20 Brian Cameron <brian.cameron@sun.com>

	* daemon/slave.c: Fix memory leak in the SELinux code.  Fixes bug
	  #548670.  Patch by Josselin Mouette <joss@malsain.org> and
	  Julien Cristau.

2008-08-05 Brian Cameron <brian.cameron@sun.com>

	* config/Xsession.solaris:  Minor patch for data/Xsession.solaris
	  so that input methods work.  Fixes bug #547549.  Patch by Takao
	  Fujiwara <Takao.Fujiwara@sun.com>.  

2008-08-05 Brian Cameron <brian.cameron@sun.com>

	* gui/mdmlanguages.c: Remove Kazakh to avoid breaking string freeze.

2008-08-05 Brian Cameron <brian.cameron@sun.com>

	* gui/mdmlanguages.c, config/locale.alias: Add Kazakh.

2008-07-31 Brian Cameron <brian.cameron@sun.com>

	* gui/greeter/greeter_geometry.c: Prevent a negative value of
	  child_allocation.width when item_type is GREETER_ITEM_TYPE_SVG.
	  Fixes bug #546214.  Patch provided by Pascal Brochart
	  <p.brochart@libertysurf.fr>.

2008-07-31 Brian Cameron <brian.cameron@sun.com>

	* gui/mdmchooser.c:  use g_strdup when copying strings to avoid
	  a crash.  Reported by Matthias Drochner <M.Drochner@fz-juelich.de>
	  in bug #544730 with a proposed patch, which I modified slightly.

2008-07-28 Brian Cameron <brian.cameron@sun.com>

	* gui/mdmchooser.c:  Ignore ENXIO when processing ioctl since
	  some distros (FreeBSD) yields ENXIO for non-IP/non-configured
	  interfaces.  Fixes bug #544790.  Patch by Volker Stolz
	  (vs+gnome@FreeBSD.org).

2008-06-30 Brian Cameron <brian.cameron@sun.com>

	* Release 2.20.7:
	* configure.ac: Updated to new release version
	* NEWS: Updated.

2008-06-24 Brian Cameron <brian.cameron@sun.com>

	* configure.ac: Fix setting of variable so it is bourne-shell
	  compliant, so it does not cause an error running on Solaris.

2008-06-19 Brian Cameron <brian.cameron@sun.com>

	* configure.ac: Set default HOST_MDM_RBAC_SYSCMD_KEYS to also
	  include the RBAC key for Suspend, when building on Solaris.
	  Patch by Simon Zheng.

2008-06-16 Brian Cameron <brian.cameron@sun.com>

	* daemon/slave.c: When processing BaseXsession, only accept the
	  first word.  Since the slave calls g_access with this value,
	  it will fail if there is more than one word or even trailing
	  space in this configuration value.  Makes the code a bit more
	  robust.
	  
2008-06-10 Brian Cameron <brian.cameron@sun.com>

	* daemon/verify.h: Remove mdm_verify_check prototype since
	  this function does not exist anymore.

2008-06-10 Brian Cameron <brian.cameron@sun.com>

	* daemon/verify-pam.c: Clean up the libaudit calls so
	  that we just log the failed login attempt once in
	  the pamerr block rather than at each failure point.
	  Add libaudit logging when autologin is being used.

2008-06-03 Brian Cameron <brian.cameron@sun.com>

	* daemon/mdm-daemon-config.c:  Free the pointer array via 
	  g_free instead of g_ptr_array_free.  Fixes an error where
	  an assertion was being triggered when MDM is exiting.
	  Further fix for bug #517526.  Patch by Frederic Crozat
	  <fcrozat@mandriva.com>.

2008-05-22 Brian Cameron <brian.cameron@sun.com>

	* daemon/getvt.c:  Change 3rd argument of XInternAtom to True,
	  so that the XFree86_VT Atom is not created if it does not
	  exist.

2008-05-12 Brian Cameron <brian.cameron@sun.com>

	* Release 2.20.6:
	* configure.ac: Updated to new release version
	* NEWS: Updated.

2008-05-09  Brian Cameron  <brian.cameron@sun.com>

	* daemon/mdm.c:  Fix crash on logout caused by trying to read
	  configuration values in the mainloop_sig_callback function.
	  Redesigned so we only read configuration values when it is
	  appropriate (when dealing with SHUTDOWN, REBOOT, etc.).
	  Fixes another issue raised in bug #517526.

2008-05-03  Brian Cameron  <brian.cameron@sun.com>
	
	* daemon/mdm-xdmcp-manager.c:  Move reading of configuration
	  from mdm_xdmcp_manager_init to mdm_xdmcp_manager_start
	  Otherwise the configuration values get over-ridden by the
	  deafult values set via properties.  Fixes bug #515148.

2008-05-02  Brian Cameron  <brian.cameron@sun.com>

	* daemon/mdm-daemon-config.c: A better fix for the problem.
	  While investigating the crashing problem on exit, I noticed
	  that mdm_daemon_config_update_key was similarly crashing
	  when calling mdm_config_load and freeing the daemon_config
          global.  This crash would only happen occasionally, but I
	  was able to recreate it a few times.  This indicates that
	  this function needs to be thread-safe, since if the deamon
	  recieves multiple UPDATE_KEY requests quickly, two requests
	  could be processed at the same time.  This change fixes the
	  code so it doesn't reload the configuration, but instead
	  loads it into a temporary variable, and then updates just
	  the key requested.  Thus avoiding the freeing of the global
	  and this should fix the crashing.  This is more sensible
	  anyway, because some places in the code resets configuration
	  values to different values (e.g. resetting CONSOLE_NOTIFY to
	  false in mdm_config_parse if no displays were defined in the
	  configuration), so we lose such values if we reload the
	  entire configuration file.  It's better to just reload the
	  specified key.
	* daemon/mdm-daemon-config.c: I noticed that the key
	  "xservers/PARAMETERS" was not being processed in the
	  mdm_daemon_config_update_key, so that if you change Xserver
	  variables in mdmsetup, they weren't getting recognized by
	  the daemon.  I fixed this, and thus fixed bug #450357.

2008-05-02  Brian Cameron  <brian.cameron@sun.com>

	* daemon/mdm-daemon-config.c: Reverse last change.  It seemed to
	  work when I first tested it, but I must have tested it wrong.
	  
2008-05-02  Brian Cameron  <brian.cameron@sun.com>

        * daemon/mdm-daemon-config.c: Remove call to mdm_config_load from
          mdm_daemon_config_update_key.  This function is only called when
          the UPDATE_KEY message is passed to the daemon, which is typically
          sent from mdmsetup when a specific configuration value has changed.
          Calling mdm_config_load before processing the key will cause the
          entire configuration to get reloaded since the datestamp on the
          file will, of course, be newer than the last read.  It is more
          efficient to simply re-process the single key value requested via
          the UPDATE_KEY command.  This makes MDM behave more like it did
          in MDM 2.18 and earlier.

2008-05-01 Brian Cameron <brian.cameron@sun.com>

	* gui/mdmsession.c: If a MDM session desktop file is marked as
	  "Hidden=true" then do not show it in the session dialog.

2008-05-01 Brian Cameron <brian.cameron@sun.com>

	* common/mdm-config.c: Similar fix to ensure that we do not free
	  the data structure twice when reloading.  Similar issues as 
	  with bug #517526.

2008-04-30 Brian Cameron <brian.cameron@sun.com>

	* common/mdm-config.c: A new fix to address the crashing issue bug
	  #517526.

2008-04-30 Brian Cameron <brian.cameron@sun.com>

	* common/mdm-config.c: Back-out the last change, it did not work
	  as I thought it did.

2008-04-30 Brian Cameron <brian.cameron@sun.com>

	* common/mdm-config.c:  Fix bug that was causing MDM to crash
	  when freeing memory in the keyfile code when exiting (such as when
	  shutting down the system).  Fixes bug #517526.

2008-04-24 Brian Cameron <brian.cameron@sun.com>

	* gui/mdmsetup.c:  Fix the 24HourClock setting so that
	  we do not save translated strings as the configuration
	  option.  

2008-04-24 Brian Cameron <brian.cameron@sun.com>

	* daemon/mdm-daemon-config.c:  Fix reading of user's .dmrc
	  file so that if it does not exist, we avoid calling 
	  gkeyfile functions.  This avoids useless gkeyfile warning
	  messages about the file being NULL.  The fix on 2007-09-20
	  mostly fixed this issue by making sure the file is
	  created before trying to read it.  However, in some cases,
	  such as when the user's $HOME directory is not writable,
	  the read can happen when the file does not exist.

2008-04-24 Brian Cameron <brian.cameron@sun.com>

	* configure.ac:  Add openbsd section to configure file.
	  to specify default halt, reboot, suspend commands.
	  Fixes bug #529686.  Patch by Jasper Lievisse Adriaanse
	  <jasper@humppa.nl>.

2008-04-22 Brian Cameron <brian.cameron@sun.com>

	* configure.ac: Remove the broken logic which was trying
	  to append ${prefix}/bin to the DefaultPath and RootPath.
	  Users will need to use --with-post-path configure option
	  if they want to add their own directories to the
	  DefaultPath and RootPath.  Fixes bug #510469.

2008-04-22 Brian Cameron <brian.cameron@sun.com>

	* configure.ac, config/Xsession.in, config/Xsession.solaris,
	  config/Xsession.common, config/Makefile.am:  Fix the way 
	  Xsession is built so that distros can more easily add their
	  own logic to the Xsession script.  Move Solaris specific 
	  Xsession logic to the Xsession.solaris file.  Get rid of
	  logic to normalize LC_ variables since this was causing
	  problems for some users, fixes bug #509141.  Patch by
	  Takao Fujiwara <Takao.Fujiwara@sun.com>.

2008-04-11 Ray Strode <rstrode@redhat.com>

	* gui/slave.c:
	(mdm_slave_session_start): Sync to catch any XIO errors after session
	exits (fixes bug 419301)

2008-04-07 Brian Cameron <brian.cameron@sun.com>

	* Release 2.20.5:
	* configure.ac: Updated to new release version
	* NEWS: Updated.

2008-03-27 Brian Cameron <brian.cameron@sun.com>

	* gui/mdmdynamic.c, gui/modules/dwellmouselistener.c,
	  gui/modules/keymouselistener.c, daemon/slave.c, 
	  daemon/mdm-daemon-config.[ch]: Correct copyright information for
 	  Sun contributions to the code.

2008-03-19 Brian Cameron <brian.cameron@sun.com>

	* gui/mdmwm.c: Use GDK functions to get the proper screen
	  resolution.  Fixes bug #523403.  Patch provided by Vincent
	  Untz <vincent@vuntz.net>.

2008-03-11 Brian Cameron <brian.cameron@sun.com>

	* daemon/mdm.h, daemon/mdm-daemon-config-keys.h, po/POTFILES.in:
	  Move the default Welcome/RemoteWelcome strings from mdm.h to
	  mdm-daemon-config-keys.h.  I noticed that we were defining the
	  #defines in two places.  So now we just define them once.

2008-03-10 Brian Cameron <brian.cameron@sun.com>

	* Release 2.20.4:
	* configure.ac: Updated to new release version
	* NEWS: Updated.

2008-03-10 Brian Cameron <brian.cameron@sun.com>

	* daemon/mdm.h, po/POTFILES.in:  Mark the default local and remote
	  welcome message for translation more clearly.  Fixes bug
	  #519528.  Thanks to Wouter Bolsterlee <uws+gnome@xs4all.nl>
	  and Frederic Crozat <fcrozat@mandriva.com> for help with 
	  this patch.

2008-03-07 Brian Cameron <brian.cameron@sun.com>

	* daemon/mdm.c:  Get default locale from LC_MESSAGES rather than
	  from g_get_language_names.  Fixes bug #517670.  Patch by Ray
	  Strode <rstrode@redhat.com>.

2008-03-05 Brian Cameron <brian.cameron@sun.com>

	* gui/mdmcommon.c: If the user uses the default remote welcome string
	  for local displays or vice-versa, then translate the string.
	* gui/mdmflexiserver.c:  Need to call gdk_init when running in
	  --command mode or the -a option fails when trying to call the
	  gdk function to get the display value.  Patch by Frederic Crozat 
          <fcrozat@mandriva.com> and myself.

2008-03-01 Brian Cameron <brian.cameron@sun.com>

	I got approval from the GNOME release team for these 3 changes.

	* gui/mdmlogin.c, gui/mdmsetup.glade,
	  gui/greeter/greeter_canvas_item.c, gui/mdmsetup.c,
	  config/mdm.conf.in: Honor default password character rather than
	  hardcoding to '*'.  Fixes bug #477881.  Note this same fix was
	  committed and reverted on 2007-11-14 because I did not obtain string
	  freeze breakage approval at that time.  Patch by Alexander "weej"
	  Jones <alex@weej.com>.
	* docs/C/mdm.xml: Modify docs relating to above change, and 
	  modify the Custom Widgetry section to explain the recent fixes
	  (in last commit).
	* gui/greeter/greeter_canvas_item.c:  Note the change on 2007-11-14
	  also fixed bug #389734.  I intended to back this change out, but I
	  obviously forgot to revert it with the other changes.  At any rate
	  there is now approval to break string freeze for this string, so
	  leaving this fix in.  Patch provided by Roberto Sarrionandia
	  <rbs.tito@gmail.com>.
 
2008-02-28 Brian Cameron <brian.cameron@sun.com>

	* gui/mdmcommon.c:  Fix code so that saving custom widgetry values
	  works again.  Now the files are saved in INI format with the
	  [GreeterInfo] group.

2008-02-18 Brian Cameron <brian.cameron@sun.com>

	* daemon/slave.c: Get the environment value for XDG_DATA_DIRS
	  before calling ve_clearenv.  This issue was noticed while
	  discussing bug #510358.

2008-01-23 Brian Cameron <brian.cameron@sun.com>

	* gui/mdmsetup.c: Fix bug that was causing the Welcome message to not
	  get saved properly.  Fixes bug #511018.  Also removed the bad code
	  to delete translated strings if the user changes the value.  If
	  user wants to change the translated strings, they should do it 
	  manually.

2008-01-10 Brian Cameron <brian.cameron@sun.com>

	* daemon/mdm-daemon-config.c: Fix the setting of the custom command
	  NOTIFY key to avoid crashing problem when changing the label values
	  of a custom command in mdmsetup.

2008-01-09 Brian Cameron <brian.cameron@sun.com>

	* daemon/verify-crypt.c, daemon/verify-shadow.c:  Add include of
	  mdm-log.h to fix compile issues.  Fixes bug #508275.  Thanks to
	  Simon Munton <simon-gnome@munton.demon.co.uk> for the patch.

2008-01-07 Brian Cameron <brian.cameron@sun.com>

	* Release 2.20.3:
	* configure.ac: Updated to new release version
	* NEWS: Updated.

2008-01-04 Brian Cameron <brian.cameron@sun.com>

	* daemon/mdm-daemon-config.c: Fix memory management for code
	  change I made on 2008-01-02.  Thanks to Martin Weinberg for
	  pointing out the problem, though I wrote the fix.

2008-01-04 Brian Cameron <brian.cameron@sun.com>

	* daemon/verify-pam.c: I think I finally got the casting
	  cleaned up so it should compile on Linux and Solaris
	  with no further warnings.

2008-01-03 Brian Cameron <brian.cameron@sun.com>

	* daemon/verify-pam.c: Fix some more casting issues pointed
	  out by Larry Doolittle <ldoolitt@recycle.lbl.gov> via email.

2008-01-03 Brian Cameron <brian.cameron@sun.com>

	* daemon/verify-pam.c: Remove unnecessary casting pointed out
	  by Larry Doolittle <ldoolitt@recycle.lbl.gov> via email.

2008-01-02 Brian Cameron <brian.cameron@sun.com>

	* common/mdm-config.h, common/mdm-config.c:  Add function for
	  getting a list of server-foo sections from the configuration
	  files.  Also fix bug that was causing the comparison of
	  STRING_ARRAY keys to not work.  This was causing mdmsetup
	  to behave badly when changing the value of the
	  Halt/Shutdown/Reboot commands.  Fixes bug #502074.
	* daemon/mdm-daemon-config.c: Now use the above functions to
	  get the server-foo section names rather than just parsing the
	  ones used in the [server] section.  This makes mdmsetup work
	  better and fixes bug #462613.
	* daemon/mdm.c, daemon/mdm-daemon-config.c: Set debug as soon as
	  the configuration value is read, not after the configuration
	  file parsing is done.  This is useful for debugging problems
	  while parsing.

2007-12-21 Brian Cameron <brian.cameron@sun.com>

	* daemon/mdm.c, daemon/slave.c: Fix some casting issues pointed out
	  by Larry Doolittle <ldoolitt@recycle.lbl.gov> via email.

2007-12-10 Brian Cameron <brian.cameron@sun.com>

	* gui/mdmflexiserver.c: Revert to the old logic for handling 
	  options.  This uses g_option_context* rather than gtk_init.
	  Now we only call gtk_init when not handling the "--command"
	  argument.  This fixes bug #438939.  The problem here is that
	  you should be able to run mdmflexiserver with the --command
	  option even if running setuid or setgid, but the gtk_init
	  function doesn't allow this.  So we need to use the g_option
	  functions instead.

2007-12-10 Brian Cameron <brian.cameron@sun.com>

	* gui/mdmlogin.c, gui/greeter/greeter.c: Now "Esc" key acts like the
	  "Start Again" button.  Fixes enhancement request #482642.  Patch by
	  Ray Strode <rstrode@redhat.com>.

2007-12-03 Brian Cameron <brian.cameron@sun.com>

	* gui/mdmsetup.c:  In mdm_load_displays, just return if keys
	  is NULL rather than crashing.  Fixes bug #501010.
	* gui/mdmXnestchooser.c, gui/mdmsetup.c: Include "mdm-log.h" to find
	  needed prototypes.

2007-11-30 Brian Cameron <brian.cameron@sun.com>

	Thanks to George Lebl for noticing these issues.
	* daemon/errorgui.c, daemon/mdmconsolekit.c, daemon/display.c,
	  daemon/mdm.c, daemon/filecheck.c, daemon/verify-shadow.c,
	  daemon/mdm-xdmcp-manager.c, daemon/verify-crypt.c, daemon/server.c,
	  daemon/slave.c, daemon/mdm-daemon-config.c, daemon/choose.c,
	  daemon/misc.c:  Use mdm_debug instead of g_warning and g_debug.
	* daemon/mdm-xdmcp-manager.c: Fix bug where WILLING script was
	  being read from the configuration file as an int rather than a
	  string.  
	
2007-11-30 Brian Cameron <brian.cameron@sun.com>

	* daemon/mdm.c, daemon/slave.c: Fix Suspend configuration option
	  so it works.  Fixes bug #500362.  Patch by Philippe Troin
	  <phil@fifi.org>.

2007-11-27 Brian Cameron <brian.cameron@sun.com>

	* daemon/mdm-xdmcp-manager.[ch]: Fix counting of number of
	  open sessions.  Close the XDMCP socket in the finalize function.
	  Otherwise mdm-restart does not allow XDMCP connections.  
	  Remove unused function mdm_xdmcp_manager_stop.  Fixes bug
	  #495623.  Patch by Andrew Ziem <ahziem1@mailbolt.com>

2007-11-26 Brian Cameron <brian.cameron@sun.com>

	* Release 2.20.2:
	* configure.ac: Updated to new release version
	* NEWS: Updated.

2007-11-26  Brian Cameron  <brian.cameron@sun.com>

	* daemon/mdm-xdmcp-manager.c: Fix so that the XDMCP configuration
	  options are read from the configuration file again.
	  Fixes bug #498277.  Patch by Andrew Ziem <ahziem1@mailbolt.com>

2007-11-26  Brian Cameron  <brian.cameron@sun.com>

	* daemon/mdm.c, daemon/server.c, daemon/mdm-daemon-config.[ch],
	  common/mdm-config.c, common/test-config.c, gui/mdmwm.c,
	  gui/mdmphotosetup.c, gui/mdmXnestchooser.c, gui/mdmcommon.c,
	  gui/mdmflexiserver.c: Fix leaks.  Fixes bug #499445.  Patch
	  by Andrew Ziem <ahziem1@mailbolt.com>

2007-11-26  Brian Cameron  <brian.cameron@sun.com>

	* gui/mdmXnestchooser.c: Set execvec by calling make_us_an_exec_vector
	  after setting indirect_host, since the function uses this variable.
	  Fixes bug #499389.  Patch by Andrew Ziem <ahziem1@mailbolt.com>

2007-11-21  Brian Cameron  <brian.cameron@sun.com>

	* daemon/mdm.c, daemon/slave.c: Fix so that we allow setting of
	  LC_CTYPE without setting LANG.  Cleanup of how we set the
	  system locale.  Fixes bug #485852.  Patch by Sjoerd Simons
	  <sjoerd@luon.net> and Takao Fujiwara <Takao.Fujiwara@sun.com>.

2007-11-16  Brian Cameron  <brian.cameron@sun.com>

	* daemon/misc.c: Add back hinting, with a preference towards
	  IPv6.  Patch by Ely Levy <nakeee@gmail.com>.

2007-11-14  Brian Cameron  <brian.cameron@sun.com>

	* Reversing last commit since it broke string freeze.

2007-11-14  Brian Cameron  <brian.cameron@sun.com>

	* gui/mdmlogin.c, gui/greeter/greeter_canvas_item.c,
	  gui/mdmsetup.glade, gui/mdmsetup.c, config/mdm.conf.in,
	  docs/C/mdm.xml:  No longer hardcode the password field to '*'.
	  Instead use the GTK+ default character for password fields.  No
	  longer support the UseCirclesInEntry configuration option.
	  Addresses enhancement request #477881.  Patch by Alex "weej"
	  Jones <alex@weej.com>.

2007-11-13  Brian Cameron  <brian.cameron@sun.com>

	* daemon/getvt.c: If mdm_get_current_vtnum is called with a NULL
	  display, just return -1.

2007-11-07  Brian Cameron  <brian.cameron@sun.com>

	* common/mdm-common.[ch], daemon/misc.c, daemon/mdm-xdmcp-manager.c:
	  Fix to better calculate sockaddr length.  No longer set hints,
	  since the way we were doing it was broken.  hints_ai_family is not
	  a bitmask.  Patch by Robert Nelson <robertn@the-nelsons.org>.
	  Fixes bug #494817.

2007-10-31  Luca Ferretti  <elle.uca@libero.it>

	* data/icons/README: Added, with the list of currently installed
	icons and some info if you need to provide new named icons.

2007-10-31  Luca Ferretti  <elle.uca@libero.it>

	* gui/mdmflexiserver.desktop.in: "flexiserver", not "flexyiserver"

2007-10-31  Luca Ferretti  <elle.uca@libero.it>

	* data/icons/32x32/apps/mdm-setup.png: 
	This should never be there, sorry. Deleted from svn.

2007-10-31  Luca Ferretti  <elle.uca@libero.it>

	* pixmaps/16x16/Makefile.am:
	* pixmaps/32x32/Makefile.am:
	* pixmaps/48x48/Makefile.am:
	* pixmaps/Makefile.am:
	Update the icon cache only when exiting from pixmaps/ dir,
	plus remove old "mdm-setup" icon from build.

	* pixmaps/48x48/mdm-setup.png
	* pixmaps/32x32/mdm-setup.png
	* pixmaps/24x24/mdm-setup.png
	Deleted from svn; note that the 24x24 one wasn't used in build.

2007-10-31  Luca Ferretti  <elle.uca@libero.it>

	* gui/mdmflexiserver.desktop.in: Use new "mdmflexiserver" icon
	in launcher
	* gui/mdmsetup.desktop.in.in: Use new "mdmsetup" icon in
	launcher
	* gui/mdmsetup.c: (main): USe new "mdmsetup" icon as default
	window icon (gtk_window_set_default_icon_name)
	* gui/greeter/greeter_system.c: Use "mdmsetup" icon for
	Configure Login Manager menu entry.

2007-10-31  Luca Ferretti  <elle.uca@libero.it>

	* Makefile.am: Added new data/ directory to SUBDIRS.
	* configure.ac: Added new data/* directories to AC_OUTPUT.

2007-10-31  Luca Ferretti  <elle.uca@libero.it>

	* data/*: Added new data/ directory to svn, storing
	by now icons/ directory with new named icons for mdm:
	"mdmsetup" and "mdmflexiserver".
	See bugs #477799 and #477983.

2007-10-15 Brian Cameron <brian.cameron@sun.com>

	* Release 2.20.1:
	* configure.ac: Updated to new release version
	* NEWS: Updated.

2007-10-15  Brian Cameron  <brian.cameron@sun.com>

	* gui/mdmlogin.c, gui/greeter/mdmgreter_item_pam.c: Change
	  behavior of Tab so it acts like enter if the focus is on
	  the entry field.  Ctrl-Tab can be used for changing focus.
	  This fixes bug #433495.  Patch by Lo\357c Minier
	  <lool@dooz.org>.

2007-10-09  Brian Cameron  <brian.cameron@sun.com>

	* daemon/verify-crypt.c, daemon/verify-shadow.c, 
	  daemon/filecheck.c, daemon/mdm-xdmcp-manager.c: No longer
	  translate messages in debug.

2007-10-09  Brian Cameron  <brian.cameron@sun.com>

	* daemon/verify-crypt.c, daemon/verify-shadow.c: No longer print
	  username in error messages in case the user accidently types
	  their password in the username entry.  We should avoid logging
	  any passwords to syslog.  Addresses some problems in bug 
	  #484750.

2007-10-03  Brian Cameron  <brian.cameron@sun.com>

	* Decrease num_sessions when appropriate.  Otherwise MDM incorrectly
	  thinks the maximum number of XDMCP connections has been reached.
	  Fixes bug #478441.  Patch by Francis Giraldeau
	  <francis.giraldeau@revolutionlinux.com>.

2007-09-28  Brian Cameron  <brian.cameron@sun.com>

	* gui/mdmlogin.c, gui/greeter/greeter.c: Send a response before
	  exiting to avoid a hang.  Fixes bug #473480.  Patch by Ray
	  Strode <rstrode@redhat.com>.

2007-09-21  Brian Cameron  <brian.cameron@sun.com>

	* gui/mdmXnestchooser.c, gui/mdmsetup.c: Turn off debug message
	  logging.  Fixes bug #478318.

2007-09-21  Dave Fincher  <finchair@yahoo.com>

	Fixes bug #478805.
	* gui/greeter/themes/happygnome/happygnome-list.xml: Updated
	  happygnome-list.xml so that all elements display on 800x600 and
	  larger screen resolutions and elements dynamically adjust size and
	  position based on the screen resolution.
	* gui/greeter/themes/happygnome-list: Removed the options.png files
	  which  is not used in the happygnome-list theme
	* gui/greeter/themes/happygnome-list/Makefile.am:
	  Removed session.png file entry which is not used in the
	  happygnome-list theme.

2007-09-21  Dave Fincher  <finchair@yahoo.com>

	Fixes bug #478800.
	* gui/greeter/themes/happygnome/happygnome.xml: Updated happygnome.xml 
	  so that the bottom buttons and bar to display on 800x600 and larger
	  screen resolutions.
	* gui/greeter/themes/happygnome: Removed the options.png files which 
	  is not used in the happygnome theme
	* gui/greeter/themes/circles/Makefile.am:
	  Removed session.png file entry which is not used in the circles theme.

2007-09-20  Brian Cameron  <brian.cameron@sun.com>

	* configure.ac: Bump glib dependency to 2.12 since we now
	  use g_hash_table_remove_all.

2007-09-20  Dave Fincher  <finchair@yahoo.com>

	* gui/greeter/themes/circles/circles.xml: Updated circle.xml so that
	  the bottom buttons and bar to display on 800x600 and larger screen
	  resolutions.
	* gui/greeter/themes/circles: Removed the options.png and help.png
	  files which are not used in the circles theme
	* gui/greeter/themes/circles/Makefile.am:
	  Removed session.png and help.png file entries which were not used in
	  the circles theme.
	* AUTHORS: Added self to authors file.

2007-09-20 Brian Cameron <brian.cameron@sun.com>

	* daemon/mdm-daemon-config.c: Fix so that if the .dmrc file does
	  not exist, it is created.  Fixes bug #453916.  Patch by Brady
	  Anderson <brady.anderson@gmail.com>.

2007-09-19 Brian Cameron <brian.cameron@sun.com>

	* configure.ac, gui/Makefile.am: I discovered that MDM was getting
	  -lsocket and -lnsl from a different pc file, which is not
	  appropriate.  Fix mdm so we list these explicitely.  This is
	  needed on Solaris where we need to specify dependant libraries.

2007-09-18 Brian Cameron <brian.cameron@sun.com>

	* gui/mdmcommon.c: Set stdout/stderr to DEV_NULL when spawning
	  at_spi_registryd and the prefetch program.  This fixes a
	  hanging problem reported in bug #473480.  Patch by
	  Huang Peng <shawn.p.huang@gmail.com>

2007-09-17 Brian Cameron <brian.cameron@sun.com>

	* Release 2.20.0:
	* configure.ac: Updated to new release version
	* NEWS: Updated.
	* gui/mdmcommon.c, gui/Makefile.am: Properly propegate the new
	  atspidir to the c-file.  This fixes bug #471978.

2007-09-17 Brian Cameron <brian.cameron@sun.com>

	* configure.ac, gui/mdmcommon.c: Now allow users to specify the
	  location of at-spi-registryd via the --with-atspi-dir configure
	  argument.

2007-09-12 Brian Cameron <brian.cameron@sun.com>

	* gui/modules/dwellmouselistener.c: Fix casting so that it doesn't
	  generate warnings when you enter/leave various widgets.  Fixes
	  bug #440948.  Patch by Gerd Kohlberger <lowfi@chello.at>.

2007-09-12 Brian Cameron <brian.cameron@sun.com>

	* gui/mdmlanguages.c: Fix Macedonian language so that the
	  language appears in the local language.  Fixes bug #474530.
	  Patch by Arangel Angov <ufo@linux.net.mk>.

2007-09-12 Brian Cameron <brian.cameron@sun.com>

	* gui/modules/keymouselistener.c: Improve checking for input 
	  devices so it doesn't fail on Ubuntu, and we free memory
	  relating to the devices.  Fixes bug #440948.  Patch by 
	  Gerd Kohlberger <lowfi@chello.at>.

2007-09-12 Brian Cameron <brian.cameron@sun.com>

	* daemon/auth.c, common/mdm-common.c: Fix bug with IPv6 logic.  Fixes
	  bug reported in bug #376010.  Patch by Jacob Berkman
	  <jacob@gnome.org>.

2007-09-06 Brian Cameron <brian.cameron@sun.com>

	* Release 2.19.8:
	* configure.ac: Updated to new release version
	* NEWS: Updated.

2007-09-06  Brian Cameron  <brian.cameron@sun.com>

	* configure.ac: Add support for /usr/X11/bin/Xorg when
	  setting X_PATH, etc.  Patch by Laszlo Peter 
	  <Laszlo.Peter@sun.com>.

2007-09-01  Brian Cameron  <brian.cameron@sun.com>

	* daemon/mdm-daemon-config.c: Fix bug #470390 where MDM was not
	  properly executing a custom start script.  This relates to my
	  previous fix for bug #462613, which didn't fix this part.

2007-08-31  Brian Cameron  <brian.cameron@sun.com>

	* MAINTAINERS: Update so it is in the right format.
	* configure.ac: Fix bug from the last commit that caused the 
	  HALT_COMMAND to no longer get set.

2007-08-29  Brian Cameron  <brian.cameron@sun.com>

	* configure.ac: Make it possible to configure system dependant
	  options by setting environment variables before running
	  configure.  Patch by Laszlo Peter <Laszlo.Peter@sun.com>

2007-08-29  Brian Cameron  <brian.cameron@sun.com>

	* daemon/slave.c: Fix bug with ConsoleKit that occurs when
	  the session is going to migrate.  Previous code was failing
	  to send the notification when the greeter is not TYPE_FLEXI.
	  Fixes bug #461056.  Patch by Ian Jackson <iwj@ubuntu.com>

2007-08-28  Brian Cameron  <brian.cameron@sun.com>

	* gui/greeter/greeter_canvas_item.c: Set invisible character to '*' if
	  the configuration file does not specify to use invisible or circles.
	  This change was already fixed for mdmlogin, refer to 2007-06-04
	  entry.  Fixes bug #439089 for mdmgreeter.  Patch by Sebastien Bacher
	  <seb128@debian.org>.

2007-08-27 Brian Cameron <brian.cameron@sun.com>

	* daemon/verify-pam.c: When using mdm_verify_standalone_pam_conv
	  we need to send echo to FALSE when PAM_PROMPT_ECHO_OFF is
	  handled.  Fixes bug #470728.

2007-08-27 Brian Cameron <brian.cameron@sun.com>

	* Release 2.19.7:
	* configure.ac: Updated to new release version
	* NEWS: Updated.

2007-08-25  Brian Cameron <brian.cameron@sun.com>

	* gui/greeter/greeter.dtd: Fix bug #469759.  Patch by Dave
	  Fincher <finchair@yahoo.com>.
	  1. CDATA #IMPLIED" properties
	  2. Added "background (true | false) #IMPLIED to item ATTLIST
	     properties
	  3. Added "everywhere" and "nowhere" to list of modes for the
	     show ATTLIST
	* gui/greeter/themes/happygnome-list/Makefile.am,
	  gui/greeter/themes/happygnome-list/happygnome-list.xml: Removed
	  an error where max-width was used as a property for a box
	  element. The max-width property is a property of the pos
	  element specifically dealing with a label item type: Rename
	  happygnome.xml to happygnome-list.xml.  Fixes bug #469741.
	  Patch by Dave Fincher <finchair@yahoo.com>.
	* gui/greeter/themes/happygnome-list/happygnome-xml: Deleted.
	* gui/greeter/themes/happygnome-list/happygnome-list.xml: Added.

2007-08-21  Brian Cameron <brian.cameron@sun.com>

	* gui/greeter/greeter.dtd: This was badly out of date, the new
	  DTD file is more accurate and contains a lot of changes to the
	  DTD format since the last time this file was updated.  Changes
	  provided by Dave Fincher <finchair@yahoo.com>.

2007-08-21  Brian Cameron <brian.cameron@sun.com>

	* daemon/mdm.h: Fix "#ifdef sun" to "#ifdef __sun".

2007-08-16  Brian Cameron <brian.cameron@sun.com>

	* daemon/slave.c: Fix some warnings and avoid using #ifdef's
	  in mdm_debug calls since some compilers do not like #ifdef's
	  in macros.  Some code cleanup.  Fixes bug #467401.  Patch	
	  by Jens Granseuer <jensgr@gmx.net>.

2007-08-16  Brian Cameron <brian.cameron@sun.com>

	* gui/mdmlogin.c, * gui/greeter/greeter_item_ulist.c: Disable
	  autocompletion in the face browser.  Fixes bug #467335.  Patch
	  by Ray Strode <rstrode@redhat.com>.

2007-08-15  Brian Cameron <brian.cameron@sun.com>

	* gui/greeter/themes/*xml: Fix comment to have correct timed
	  login message.

2007-08-15  Brian Cameron <brian.cameron@sun.com>

	* Release 2.19.6:
	* configure.ac: Updated to new release version
	* NEWS: Updated.

2007-08-15  Brian Cameron <brian.cameron@sun.com>

	* gui/modules/dwellmouselistener.c: Remove XInput code from
	  dwellmouselistener.c since it doesn't seem to work properly.
	  Now this module assumes that X be configured to send core
	  events for extended input devices.  This fixes bug #457998
	  where a tablet was not working with dwellmouselistener.c.
	  Patch by Ray Strode <rstrode@redhat.com>.

2007-08-09  Brian Cameron <brian.cameron@sun.com>

	* gui/mdmflexiserver.c: We do not want to pop up the
	  dialog showing other flexiservers running when you
	  run with xnest, so call check_for_users only in the
	  non-xnest case.

2007-08-09  Brian Cameron <brian.cameron@sun.com>

	* daemon/misc.c: Fix has_ipv6 check so that if the IPv6
	  network is unreachable, MDM will fallback to IPv4.  This
	  can happen if IPv6 is available but the administrator has
	  disabled it.

2007-08-09  Brian Cameron <brian.cameron@sun.com>

	* common/mdm-log.h, daemon/misc.h, daemon/misc.c: Revert to
	  previous mdm_fail function since we really want this
	  function to cleanup and exit, not just log a message.  This
	  was broken in the 2.19 cleanup.  Fixes bug #461822.
	* daemon/mdm.c: Fixes to support mdm_fail and also better 
	  string error handling for GET_XSERVER_DETAILS command.
	* daemon/mdm-config.c, daemon/server.h: Revert code to the way
	  the 2.18 code managed the xserver and display lists.  This
	  also got broken in the cleanup.  It is not appropriate to 
	  save the display in the server array because more than one
	  display can share the same server name.  There is one 
	  change in behavior still.  In 2.18 MDM would load all 
	  [server-foo] sections even if they weren't actually being
	  used.  Now it only loads the ones that are used by a
	  display in the [servers] section.  This means mdmsetup is
	  a bit broken for editing the server-foo sections, so 
	  probably need to fix this later.  Still at least now it
	  should manage the displays properly if you have multiple
	  displays defined to use the same [server-foo].  Partial
	  fix for bug #462613.

2007-08-08  Brian Cameron <brian.cameron@sun.com>

	* gui/mdmsetup.c: Now properly set "Use 24 Hour Clock" to
	  "yes" when this is its value.  It was previously changing
	  it to "auto" for no reason.  Fixes bug #464756.  Patch by
	  Sebastien Bacher <seb128@debian.org>.

2007-08-06  Brian Cameron <brian.cameron@sun.com>

	* configure.ac: Now check for utmp/utmpx functions so that
	  utmp processing is actually enabled.
	* daemon/verify-pam.c: Fix bug in if-statement for checking
	  for logindevperm when VT is enabled.

2007-08-06  Brian Cameron <brian.cameron@sun.com>

	* daemon/mdm.c: Fix compile problem with last commit.

2007-08-06  Brian Cameron <brian.cameron@sun.com>
	* daemon/mdm.c: Fix error handling of try_command so it generates
	  more reasonable debug messages.  These messages are not 
	  translated so it's okay to commit this after string freeze.
	  Fixes bug #460407.  Patch by Lukasz Zalewski
	  <lukas@dcs.qmul.ac.uk>.

2007-07-31  Brian Cameron <brian.cameron@sun.com>

	* configure.ac, acinclude.m4, daemon/slave.c: Now support utmp
	  in addition to utmpx.  Patch provided by Joe Marcus Clarke
	  <marcus@freebsd.org>.  Fixes bug #456697.

2007-07-31  Brian Cameron <brian.cameron@sun.com>

	* README: Some improvements.

2007-07-31  Lukasz Zalewski <lukas@dcs.qmul.ac.uk>

	* gui/mdmsetup.glade: Further fix for sting translation 
	  issues for bug #460407.
	
2007-07-30  Brian Cameron <brian.cameron@sun.com>

	* Release 2.19.5:
	* configure.ac: Updated to new release version
	* NEWS: Updated.

2007-07-30  Brian Cameron  <brian.cameron@sun.com>

	More work to fix CVE-2007-3381.
	* common/mdm-common.c: Now use g_strv_length to calculate the
	  array size.
	* gui/mdmsetup.c: Use an assert to check that the array is not
	  NULL before the loop rather than in the loop.

2007-07-30  Brian Cameron  <brian.cameron@sun.com>

	* daemon/slave.c: Rename login to login_user to avoid problem
	  on FreeBSD with symbol conflict since their utmp code needs
	  to call a function called login.  Partially fixes #456697.

2007-07-30  Lukasz Zalewski <lukas@dcs.qmul.ac.uk>

	* daemon/mdm.c, gui/mdmsetup.glade: Fixed some sting translation 
	  issues for bug #460407.
	
2007-07-30  Lo\357c Minier  <lool@dooz.org>

	* configure.ac:
	* daemon/slave.c: (session_child_run):
	* daemon/verify-crypt.c: (mdm_verify_user):
	* daemon/verify-shadow.c: (mdm_verify_user):
	* gui/mdmuser.c: (mdm_check_shell): Autodetect the path to the nologin
	  binary.  Fixes bug #457958.

2007-07-30  Lukasz Zalewski <lukas@dcs.qmul.ac.uk>

	* daemon/display.h, daemon/mdm.c: Fixes bug #457098. Range
	  check in mdm_do_logout_action for custom commands was 
	  only allowing index 0. Now the whole range of commands 
	  is allowed.
	
2007-07-18  Brian Cameron <brian.cameron@sun.com>

	* daemon/getvt.c, daemon/mdm-common.c, daemon/display.h:  Fix
	  compile issues for FreeBSD.  Fixes bug #456697.  Patch by
	  Joe Marcus Clarke <marcus@freebsd.org>

2007-07-18  Brian Cameron <brian.cameron@sun.com>

	* pixmaps/24x24/Makefile.am, gui/mdmlogin.c, gui/mdmcommon.[ch],
	  gui/mdmchooser.c, gui/greeter/greeter.c: Fix some issues with
	  icons not showing up properly in mdmgreeter menu.  Fixes enhancement
	  request #360984 so it really works.  Patch by Michael Terry.
	  Now use built-in icons.

2007-07-11  Brian Cameron <brian.cameron@sun.com>

	This fixes CVE-2007-3381 - a denial of service attack where
	the user can crash the MDM daemon with a carefully crafted MDM
	sockets command and cause MDM to stop managing future displays.

	* daemon/mdm.c, daemon/server.c, common/mdm-common.[ch],
	  common/mdm-common-config.c, gui/mdmlogin.c, gui/mdmcommon.[ch],
	  gui/mdmflexiserver.c, gui/mdmsetup.c, gui/mdmconfig.c,
	  gui/greeter/greeter_system.c, gui/greeter/greeter_item_ulist.c:
	  Fix g_strsplit calls so that NULL return codes are better
	  handled.
	* gui/Makefile.am, gui/greeter/Makefile.am, gui/mdmgreeter.[ch],
	  Create new mdmgreeter.a library that is only linked by 
	  mdmlogin and mdmgreeter.  This was needed because I wanted to
	  make the mdm_common_is_action_available function a common
	  function and the chkauthattr function requires linking additional
	  libraries.  This made this change easier and also makes MDM a bit 
	  cleaner.  It is better, I think, to separate the code only used by
	  the greeters since these two programs have more common shared code
	  than the other MDM gui programs.

2007-07-09  Brian Cameron <brian.cameron@sun.com>

	* gui/mdmlanguages.c: Fix memory handling of dialog_selected_language
	  so it isn't freed when it shouldn't be.  Fix for bug #108820.
	  Patch by Takao Fujiwara <Takao.Fujiwara@sun.com>.

2007-07-09  Brian Cameron <brian.cameron@sun.com>

	* Release 2.19.4:
	* configure.ac: Updated to new release version
	* NEWS: Updated.
	* Makefile.am: Add icon-theme.cache file to
	  distuninstallcheck_listfiles so "make distcheck" works.

2007-07-09  Brian Cameron <brian.cameron@sun.com>

	* daemon/slave.c: Fix MAXPATHLEN check so it works when MAXPATHLEN
	  is defined.

2007-07-09  Brian Cameron <brian.cameron@sun.com>

	* gui/greeter/Makefile.am, gui/greeter/greeter.c, 
	  gui/greeter/greeter_canvas_item.c, gui/greeter/greeter_system.c: Add
	  icons to the mdmgreeter menu.
	* configure.ac, pixmaps/Makefile.am: Add new 24x24 directory.
	* pixmaps/24x24/*: New directory with pixmaps to show in the
	  mdmgreeter menu.  This addresses enhancement request #360984.
	  Patch by myself and Michael Terry.

2007-07-09  Brian Cameron <brian.cameron@sun.com>

	* daemon/slave.c: Define MAXPATHLEN to PATH_MAX if MAXPATHLEN does
	  not exist on the system.  Fixes bug #454777.  Patch by Laurent
	  Goujon <laurent.goujon@online.fr>.

2007-07-05  Brian Cameron <brian.cameron@sun.com>

	* daemon/verify-pam.c: Add logindevperm debug messages, so it is
	  easier to tell when it is working.
	* config/Makefile.am: Fix typo that was causing the UtmpLineAttached
	  and UtmpLineRemote values to not get filled with proper defaults.

2007-07-02  Brian Cameron <brian.cameron@sun.com>

	* acconfig.h, configure.ac, config/Makefile.am, config/mdm.conf.in, 
	  daemon/mdm-daemon-config-entries.h, daemon/mdm-daemon-config-keys.c,
	  daemon/mdm-daemon-config.c, daemon/slave.c:  Set UtmpLineAttached,
	  UtmpLineRemote, and UtmpPseudoDevice based on OS.  On Solaris set to
	  dtlocal, dtremote, and true.  On Linux set to "/dev/console", NULL,
	  and false.
	* daemon/verify-pam.c: Fix logindevperm logic so that we only call
	  logindevperm for VT devices and for the "/dev/console" device.

2007-07-02  Brian Cameron <brian.cameron@sun.com>

	* daemon/mdm.c daemon/display.[ch], daemon/verify-pam.c,
	  daemon/slave.[ch], daemon/mdm-daemon-config-entries.h,
	  daemon/mdm-daemon-config-keys.h, daemon/mdm-daemon-config.c
	  daemon/server.h, config/mdm.conf.in: Improve configurability
	  of how ut_line is set when doing utmp/wtmp processing.  Now MDM
	  supports the ability to specify the device in the [servers] section
	  and also to define default local/remote values via the new
	  UtmpLineAttached and UtmpLineRemote configuration options.  The
	  new UtmpPseudoDevice configuration option allows you to specify if
	  pseudo devices should be created.
	* daemon/slave.c: Now support a new
	  mdm_slave_parse_enriched_string function used by new
	  device logic.

2007-07-01  Lukasz Zalewski <lukas@dcs.qmul.ac.uk>

	* gui/greeter/greeter.c: when getting the theme file added a check if
	  the file is readable (the check was only for the file existance
	  previously) + some error messages.  Fixes issues raised in bug
	  #451989
	
2007-06-28  Lo\357c Minier  <lool@dooz.org>

	* gui/mdmlanguages.c, gui/mdmcommon,c, gui/mdmchooser,c,
	  gui/modules/dwellmouselistener.c, gui/modules/keymouselistener.c, 
	  daemon/mdm-xdmcp-manager.c, daemon/auth.c, daemon/slave.c,
	  daemon/mdm-daemon-config.c: Fix warnings.  Patch by 
	  Lo\357c Minier <lool@dooz.org>.

2007-06-28  Lo\357c Minier  <lool@dooz.org>

	* gui/mdmlanguages.c: (mdm_lang_read_locale_file): Remove the default
	  locale selection logic and let the system default to C.  Fixes bug
	  #436811.

2007-06-28  Brian Cameron  <brian.cameron@sun.com>

	* gui/mdmlogin.c:  Now allow focus to move into the OK and Cancel
	  buttons.  Fix the sensitivity of the OK button so it is insensitive
	  when mdmlogin first starts (since it should only be sensitive when
	  there is some string entered in the entry field).  This addresses
	  the security issue raised in bug #433495.

2007-06-26  Michael Terry  <mike@mterry.name>

	* gui/login-photo.png, pixmaps/48x48/mdm-login-photo.png,
	  gui/Makefile.am, pixmaps/48x48/Makefile.am: Rename and move
	  login-photo.png to be properly namespaced and with the rest of the
	  installed icons.  Followup to #450786.

2007-06-25  Brian Cameron  <brian.cameron@sun.com>

	* gui/mdmchooser.c: Call mdm_common_atspi_launch so that users can
	  launch AT programs when mdmchooser is running.
	* acconfig.h, configure.ac, daemon/display.[ch], daemon/verify-pam.c, 
	  daemon/mdm-xdmcp-manager.c, daemon/getvt.[ch], daemon/slave.[ch]:
	  Fix utmp logic so it works on Linux and improved the logic a bit,
	  fixing bug #450453.  Patch by Ray Strode.  <rstrode@redhat.com>.
	  Also, I changed the way the XFree86_VT atom is accessed so it is
	  only checked once after X starts and before the mdmgreeter starts,
	  and then the value is cached.  This is better because the Atom can
	  be changed by the user, so we do not want to access the Atom after
	  the user session starts.
	* daemon/slave.c: Fix calls to setfacl so they work in Solaris
	  specific block of code.

2007-06-25  Brian Cameron  <brian.cameron@sun.com>

	* pixmaps/48x48/Makefile.am, pixmaps/32x32/Makefile.am,
	  pixmaps/16x16/Makefile.am, gui/mdmphotosetup.desktop.in,
	  gui/mdmsetup.c, gui/Makefile.am, gui/mdmchooser.c: Install 48x48
	  icons to the hicolor theme and uses the correct GTK call to grab
	  application icons from the theme, not pixmaps.  Fixes enhancement
	  request #450786.  Patch by Michael Terry <mike@mterry.name>

2007-06-25  Brian Cameron  <brian.cameron@sun.com>

	* daemon/slave.c: Fix some warnings.

2007-06-21  Brian Cameron  <brian.cameron@sun.com>

	* daemon/slave.[ch]: Add functions to support utmp and wtmp processing.
	  Modified the mdm_window_path function to use the new
	  mdm_get_current_vtnum funtion.  This fixes enhancement request
	  #347871.  I did modify the patch provided by Ray Strode
	  <rstrode@redhat.com> quite a bit.  Biggest changes were to make it
	  use utmpx rather than utmp functions, add utmp handling in addition
	  to wtmp/btmp which was in his original patch, move function from
	  verify-pam.c to slave.c so it also works when PAM isn't being used.
	  Other changes include using the device name for ut_line on Solaris
	  instead of DISPLAY, setting ut_type to DEAD_PROCESS on logout, and
	  adding better error handling and debugging messages.
	* daemon/getvt.[ch]: Add function mdm_get_current_vtnum which checks
	  the XFree86_VT atom and returns the VT number used by current
	  display.  This function used to be a part of the windowpath code.
	  Also added the mdm_get_vt_device and mdm_get_current_vt_device
	  access functions to get the right VT device name.
	* daemon/verify-pam.[ch]: Now Solaris audit, PAM_TTY, and di_devperm
	  functions pass proper VT device names, not just hardcoded to
	  /dev/console.
	* daemon/verify-pam.c, daemon/verify-crypt.c, daemon-verify-shadow.c:
	  Cleaned up the mdm_verify_user and mdm_verify_setup_user functions
	  so they do not take the display and local arguments.  Since these
	  values are already in the MdmDisplay structure that is passed in,
	  the code is cleaner just to access the values directly from the
	  MdmDisplay structure.
	* daemon/mdm.c: If mdm_get_current_vt returns -1, return error
	  message, not OK.
	* daemon/mdm.c, daemon/slave.c: No longer use di_devperm functions to
	  set device ownership to the mdm user.  Instead use setfacl to do the
	  same with ACL.  This is cleaner and now that VT's are working on
 	  Solaris, the di_devperm functions are not an appropriate way to get
	  this behavior.

2007-06-18  Juerg Billeter  <j@bitron.ch>

	* daemon/mdm-daemon-config.c: Initialize lang variable to avoid
	  accessing a random chunk of memory. Fixes bug #448689.

2007-06-17  Brian Cameron  <brian.cameron@sun.com>

	* Release 2.19.3:
	* configure.ac: Updated to new release version
	* NEWS: Updated.
	* README.install: Some updates for Solaris and to make
	  things a bit more clear.

2007-06-17  Brian Cameron  <brian.cameron@sun.com>

	* acconfig.h, configure.ac, daemon/mdm.c, daemon/getvt.[ch],
	  utils/mdmopen.c: Now support VT on Solaris (at the moment only
	  available in Nevada development builds).  I cleaned up the code to
	  better use #defines so we set whether we support VT in
	  daemon/getvt.h rather than using complicated #ifdefs in many places.
	  Also now detect if sys/vt.h is available in configure.ac and only
	  enable VT if it is present.  This ensures MDM builds okay on older
	  versions of Solaris without this interface.

2007-06-17  Brian Cameron  <brian.cameron@sun.com>

	* daemon/mdm-xdmcp-manager.c: Change string to say XDMCP instead of
	  XMCP or XMDCP.  Fixes bugs #448547 and #448548.

2007-06-11  Brian Cameron  <brian.cameron@sun.com>

	* daemon/verify-pam.c: Do not call logindevperm logic when logging
	  into XNEST sessions since we don't want to change device permissions
	  for xnest sessions, only for the real console session.

2007-06-08  Frederic Crozat  <fcrozat@mandriva.com>

	+ gui/greeter/greeter_parser.c: (parse_label): Ensure a non null size
	  is set by default for pango font description.

2007-06-05  Brian Cameron  <brian.cameron@sun.com>

	* daemon/display.[ch], daemon/mdm-xdmcp-manager.c, daemon/slave.c:
	  Now MDM sets WINDOWPATH so that AT programs such as braille
	  displays can work better with Xnest and sessions started via VT.
	  Fixes enhancement request #443557.  Patch by Samuel Thibault
	  <samuel.thibault@ens-lyon.org>

2007-06-04  Brian Cameron  <brian.cameron@sun.com>

	* Release 2.19.2:
	* configure.ac: Updated to new version number.
	* NEWS: Updated.
	* gui/mdmflexiserver-xnest-desktop.in.in: Change Name and Comment
	  from "New Login in a Nested Window" to "New Login in a Window"
	  since the usability team determined that most users do not
	  understand what "nested" means.  The new string is more easy to
	  understand to most non-technical users.

2007-06-04  Brian Cameron  <brian.cameron@sun.com>

	* gui/Makefile.am, gui/greeter/Makefile.am: Add -lfontconfig to
	  programs that link against gui/libmdmcommon.a since it now contains
	  FontConfig code, due to fix for bug #426653.  On Solaris it is
	  necessary to not link libraries implicitely.

2007-06-04  Lukasz Zalewski <lukas@dcs.qmul.ac.uk>

	* gui/greeter/greeter_item.c: (greeter_item_is_visible): Changed
	  the way CustomCommandX are handled. Fixes bug #442355
	* gui/greeter/greeter_parser.c: (parse_stock): Code cleanup
	  regarding CustomCommands.
	* gui/greeter/greeter.c:
	* gui/mdmlogin.c:
	* daemon/mdm.c: More code cleanup regarding CustomCommands 
	
2007-06-04  Brian Cameron  <brian.cameron@sun.com>

	* gui/mdmlogin.c: Set invisible character to '*' if the configuration
	  file does not specify to use invisible or circles.  Fixes bug
	  #439089.  Patch by Sebastien Bacher <seb128@debian.org>.

2007-06-04  Brian Cameron  <brian.cameron@sun.com>

	* gui/mdmuser.c: Prune users out of the user list if their shell is
	  /sbin/nologin, /bin/true, or /bin/false.  Patch by Ray Strode
	  <rstrode@redhat.com>.  Fixes bug #438682.

2007-06-04  Brian Cameron  <brian.cameron@sun.com>

	* gui/mdmlogin.c, gui/greeter/greeter_item_pam.c: No longer accept Tab
 	  as Enter, backing out fix for bug #127339.  For a11y purposes, it is
	  better to be able to let users navigate to other widgets via the Tab
	  key.  Patch by Patrick Wade <Patrick.Wade@sun.com> and by myself.
	  This fixes bug #433495.

2007-06-04  Brian Cameron  <brian.cameron@sun.com>

	* gui/mdmlanguages.c, gui/mdmcommon.[ch]: Now only display languages
	  where the locale is actually installed on the machine.  Fixes bug
	  #426653.  Patch by Ray Strode <rstrode@redhat.com>.

2007-06-04  Brian Cameron  <brian.cameron@sun.com>

	* configure.ac, daemon/verify-pam.c: Add Linux auditing support.
	  Patch by Ray Strode <rstrode@redhat.com>.  Fixes bug #349835.
	* daemon/mdm-daemon-config.c, daemon/verify-pam.c,
	  daemon/verify-shadow.c, daemon/verify-crypt.c: Remove
	  mdm_verify_check call since it creates spurious audit entries and
	  the check doesn't add significant value.

2007-06-04  Brian Cameron  <brian.cameron@sun.com>

	* daemon/mdm.c, daemon/slave.c: Rework system locale setting so it is
	  done in the main daemon rather than in the slave.
	* daemon/auth.c: If local server, add loopback properly.
	  Patch for these issues by Takao Fujiwara <Takao.Fujiwara@sun.com>.
	  Fixes bug #108820.
	* gui/mdmlanguages.c: Minor cleanup.

2007-05-14  Brian Cameron  <brian.cameron@sun.com>

	* config/gettextfoo.h: Removed some strings that are no longer used.

2007-05-14  Brian Cameron  <brian.cameron@sun.com>

	* configure.ac: Do not build docs/*/Makefile.  These are not needed.
	* Makefile.am: Do not distribute xmldocs.make or omf.make.
	* omf.make, xmldocs.make: Delete these files.  They are not needed.

2007-05-14  Brian Cameron  <brian.cameron@sun.com>

	* omf.make, xmldocs.make: Bump to the latest versions from
	  gnome-common 2.18.0.

2007-05-14  Brian Cameron  <brian.cameron@sun.com>

	* daemon/mdm-socket-protocol.h: Change location of .mdm_socket file
	  from /tmp to /var/run.  Fixes bug #331059.  This interface change
	  also required changing cinnamon-session, gnome-panel, and the
	  Fast-User-Switch Applet (FUSA).  I understand all these programs
	  have been updated already in the unstable branch.  Patch by
	  Lo\357c Minier.

2007-05-14  Brian Cameron  <brian.cameron@sun.com>

	* daemon/slave.c, gui/Makefile.am: Now install MDM desktop files
	  to /usr/share/mdm/applications and append this directory to 
	  XDG_DATA_DIR before starting the user session, so that these
	  desktop files are only visible if using the MDM program as the
	  display manager.  This will ensure these menu options do not 
	  appear when using other display managers such as KDM or CDE
	  login.  Fixes bug #434813.

2007-05-14  Brian Cameron  <brian.cameron@sun.com>

	* Release 2.19.1:
	* configure.ac: Updated to new version number.
	* NEWS: Updated.
	* README.install: Minor update to Solaris recommended configuration.

2007-05-11  Brian Cameron  <brian.cameron@sun.com>

	* config/Xsession.in:  Remove failsafe logic since it is no longer
	  used.  The cinnamon-session-start function in slave.c starts the xterm
	  directly.  But when that change was made, this cruft was not removed.

2007-05-11  Brian Cameron  <brian.cameron@sun.com>

	* acconfig.h, configure.ac, daemon/slave.c, 
	  gui/modules/keymouselistener.c,
	  gui/modules/dwellmouselistener.c:  Add ctrun support which can be
	  enabled via --with-ctrun.  This is a Solaris only feature that is
	  required because MDM is started via svcadm(1M) service.  Child
	  processes (such as the session, scripts, and AT programs) need to
	  separate themselves from the service so that if any subprocess
	  core-dumps it doesn't cause a MDM restart.  I also cleaned up the
	  logic in cinnamon-session-start a lot by using a GString and appending
	  the command to it.  This makes things cleaner since the command is
	  affected by ctrun and Trusted Solaris.  The previous approach of
	  setting argv directly was a mess.  This makes this function far more
	  maintainable.
	
2007-05-11  Brian Cameron  <brian.cameron@sun.com>

	* daemon/mdm-daemon-config.c:  Fix mdm_daemon_check_permissions so it
	  updates the permissions for the SERV_AUTHDIR directory not the
	  LOGDIR directory.  This bug was introduced when the config logic
	  was rewritten.

2007-05-10  Brian Cameron  <brian.cameron@sun.com>

	* daemon/slave.c: Fix handling of AlwaysLoginCurrentSession and
	  DoubleLoginWarning so it works for the non-migratable case (for
	  Xnest, XDMCP, etc.).  Fixes bug #435552.

2007-05-10  Brian Cameron  <brian.cameron@sun.com>

	* daemon/mdm.c: In debug message handle when display is NULL to
	  avoid core dump on Solaris.

2007-05-09  Brian Cameron  <brian.cameron@sun.com>

	* configure.ac: Fix check for Xserver to work on Solaris also.

2007-05-09  Brian Cameron  <brian.cameron@sun.com>

	* configure.ac: Fix check for Xserver to work for Debian and Ubuntu.
	  Fixes bug #436879.  Patch by Lo\357c Minier <lool+gnome@via.ecp.fr>

2007-05-09  Brian Cameron  <brian.cameron@sun.com>

	* daemon/misc.c: In mdm_fdgetc must used an unsigned char buffer here
	  because the GUI sends username/password data as utf8 and the daemon
	  will interpret any character sent with its high bit set as EOF
	  unless we used unsigned here.  Fixes bug #436808.  Patch by
	  Lo\357c Minier <lool+gnome@via.ecp.fr>

2007-05-09  Brian Cameron  <brian.cameron@sun.com>

	* daemon/slave.c:  No longer unset MAIL when starting a user session.
	  Now set PWD before starting a user session which fixes problems when
	  the user's $HOME directory is a symlink.  Fixes bug #436803.  Patch
	  by Lo\357c Minier <lool+gnome@via.ecp.fr>

2007-05-08  Loïc Minier  <lool@dooz.org>

	* config/mdm.conf.in: Fix misc typos.  Fixes bug #436814.

2007-05-08  Brian Cameron  <brian.cameron@sun.com>

	* daemon/verify-pam.c: When we receive PAM_AUTHINFO_UNAVAIL just
	  display the default "authentication failed" message.  This ensures
	  that the error message is the same for invalid user and incorrect
	  password, making it harder to tell whether an account is a valid
	  one or not.  Fixes bug #436812.  Patch by Lo\357c Minier
	  <lool+gnome@via.ecp.fr>

2007-05-08  Brian Cameron  <brian.cameron@sun.com>

	* config/PostLogin: Change reference from $LOGIN to $LOGNAME in
	  documentation comment.  Fixes bug 436805.  Patch by Lo\357c Minier
	  <lool+gnome@via.ecp.fr>

2007-05-08  Brian Cameron  <brian.cameron@sun.com>

	* gui/greeter/greeter.c: Check for existance of a theme before
	  selecting a random theme.  Fixes bug #436800.  Patch by
	  Lo\357c Minier <lool+gnome@via.ecp.fr>

2007-05-08  Brian Cameron  <brian.cameron@sun.com>

	* daemon/verify-pam.c: Avoid starting timed login if a username is
	  already entered.  Fixes bug #436797.  Patch by Lo\357c Minier
	  <lool+gnome@via.ecp.fr>

2007-05-02  Brian Cameron  <brian.cameron@sun.com>

	* daemon/mdm.c: Fix problem causing SET_LOGOUT_ACTION and
	  SET_SAFE_LOGOUT_ACTION to not work.

2007-05-01  Brian Cameron  <brian.cameron@sun.com>

	* daemon/mdm-daemon-config.c: Fix return of
	  mdm_daemon_config_update_key so that it returns TRUE when the key is
	  valid and FALSE when the key is not valid.  This fixes the
	  UPDATE_CONFIG command so it doesn't return an error message saying
	  it didn't recognize the key, when it fact it is a valid key.  Also
	  fixed "xdmcp/PARAMETERS" so we check return codes more nicely.
	  Fixes bug #428657.

2007-05-01  Brian Cameron  <brian.cameron@sun.com>

	* daemon/display.[ch], daemon/server.[ch], daemon/mdm.c,
	  daemon/mdm-daemon-config.c: Rename mdm_server_alloc to
	  mdm_display_alloc since this function really initializes this
	  display structure and belonds in display.c rather than in server.c.

2007-05-01  Brian Cameron  <brian.cameron@sun.com>

	* daemon/display.[ch], daemon/server.c, daemon/slave.c, 
	  daemon/mdm-daemon-config.[ch]: Add optional X-Mdm-XserverArgs key to
	  the MDM desktop files.  If this is set in the desktop file, then MDM
	  will restart the Xserver with the additional arguments specified.
	  This allows people to create sessions that require special Xserver 
	  flags (e.g. for accessibility or to use a session that requires
	  special Xserver extensions to be turned on, etc.) This implements
	  enhancement request #326771.  Patch by Ron Yorston
	  <rmy@tigress.co.uk>.  I had to rework the patch quite a bit to get it
	  to compile against the latest code.  Also added a test so that any
	  such extra arguments are *not* used when using Xnest since this
	  "restarting" feature does not work with Xnest.
	* daemon/mdm.c: Minor cleanup.

2007-05-01  Changwoo Ryu  <cwryu@debian.org>

	* configure.ac: Remove docs/ko/Makefile output for gnome-doc-utils
	  migration.

2007-04-30  Frederic Crozat  <fcrozat@mandriva.com>

	* gui/mdmcommon.c: (mdm_common_set_root_background):
	* gui/mdmcommon.h:
	* gui/mdmlogin.c: (setup_background):
	* gui/greeter/greeter.c: (process_operation), (key_press_event),
	  (main):
	* gui/greeter/greeter.dtd:
	* gui/greeter/greeter_canvas_item.c:
	  (greeter_item_create_canvas_item):
	* gui/greeter/greeter_item.c: (greeter_item_info_new):
	* gui/greeter/greeter_item.h:
	* gui/greeter/greeter_parser.c: (parse_items), (hide_item),
	  (greeter_show_only_background):
	* gui/greeter/greeter_parser.h:
	* gui/greeter/themes/circles/circles.xml:
	* gui/greeter/themes/happygnome-list/happygnome.xml:
	* gui/greeter/themes/happygnome/happygnome.xml:
	  Add support for root background when login is accepted
	  (bug #322056).

	* gui/greeter/greeter_item_pam.c: (greeter_item_pam_error_set):
	  Code cleanup.

2007-04-30  Brian Cameron  <brian.cameron@sun.com>

	* daemon/mdm-xdmcp-manager.c: Add include of sys/ioctl.h to fix
	  building problem on Gentoo.  Fixes bug #434458.  Patch by Ed
	  Catmur <ed@catmur.co.uk>.

2007-04-24  William Jon McCann  <mccann@jhu.edu>

	* common/test-config.c: (load_servers_group):
	  Cast gsize to int for printf.  Patch by Saleem Abdulrasool
	  <compnerd@gentoo.org>.  Fixes bug #432830.

2007-04-24  Brian Cameron  <brian.cameron@sun.com>

	* daemon/misc.[ch], daemon/auth.c, daemon/misc.c: Be more clever
	  about setting umask.  Now mdm_safe_fopen_w and mdm_safe_fopen_ap
	  takes a perm argument so that the open can specify the mode 
	  rather than having to use umask to cause the mode to be set
	  properly.  In daemon/auth.c, no longer set umask to 022
	  immediately before calling "goto try_user_add_again" since
	  the umask is reset to 077 right after the goto label.  Patch
	  by Peter Baumann <waste.manager@gmx.de>.  Partially fixes
 	  bug #305931.

2007-04-24  Brian Cameron  <brian.cameron@sun.com>

	* common/Makefile.am: Fix so libmdmcommon.a is referenced without
	  full path.  Fixes bug #432831.  Patch by Saleem Abdulrasool
	  <compnerd@gentoo.org>.

2007-04-24  Brian Cameron  <brian.cameron@sun.com>

	* daemon/filecheck.c, gui/mdmuser.c: Fix include order to correct
	  compile issues on some platforms where uid_t isn't found.  Patch
	  by Jens Granseuer <jensgr@gmx.net>.  Fixes bug #432686.

2007-04-23  Brian Cameron  <brian.cameron@sun.com>

	* Release 2.19.0:
	* configure.ac: Updated to new version number.
	* NEWS: Updated.
	* gui/mdmflexiserver.c: Fix compile errors from 04/20 change.
	* daemon/Makefile.am: Add daemon/mdm-daemon-config-keys.h and
	  daemon/socket-protocol.h to mdm_binary_SOURCES.
	* utils/Makefile.am: Remove generated files mdm-stop, mdm-restart,
	  and mdm-safe-restart in DISTCLEANFILES.

2007-04-20  William Jon McCann  <mccann@jhu.edu>

	* daemon/mdm.c: (handle_flexi_server), (handle_dynamic_server),
	  (sup_handle_flexi_xserver), (sup_handle_flexi_xnest),
	  (sup_handle_set_logout_action),
	  (sup_handle_set_safe_logout_action), (sup_handle_query_vt),
	  (sup_handle_set_vt):
	  Fix detection of user specified in flexi command.

	* gui/mdmflexiserver.c: (get_cur_vt), (change_vt),
	  (maybe_lock_screen):
	  Fix a double free.

2007-04-20  William Jon McCann  <mccann@jhu.edu>

	* gui/mdmflexiserver.c: (maybe_lock_screen), (main):
	  Properly initialize gtk.  Fixes #431044

2007-04-20  William Jon McCann  <mccann@jhu.edu>

	* Makefile.am:
	* configure.ac:
	* mdm-restart.in:
	* mdm-safe-restart.in:
	* mdm-stop.in:
	* mdm.spec.in:
	* mdmsetup-pam:
	* mdmsetup-security.in:
	* utils/Makefile.am:
	* utils/mdm-restart.in:
	* utils/mdm-safe-restart.in:
	* utils/mdm-stop.in:
	  Fixes the pid file handling in the mdm-restart/stop/safe-restart
	  scripts. Moves the scripts to the utils subdir.  Moves the
	  mdmsetup stuff from toplevel to utils subdir.  Removes mdm.spec.
	  Fixes #431462

2007-04-19  Brian Cameron  <brian.cameron@sun.com>

	* configure.ac, acconfig.h, daemon/mdm.c,
	  daemon/mdm-daemon-config-entries.h, daemon/mdm-daemon-config-keys.h, 
	  gui/Makefile.am, gui/mdmlogin.c, gui/greeter/Makefile.am,
	  gui/greeter/greeter.c, gui/greeter/greeter_system.c,
	  config/Makefile.am, config/mdm.conf.in: Add RBAC support and allow
	  more configuration on how the System Commands are handled.  This
	  includes adding the SystemCommandsInMenu option to specify which
	  commands show up in the greeter menu and the AllowLogoutActions to
	  specify which system commands are supported via the
	  QUERY_LOGOUT_ACTION, SET_LOGOUT_ACTION, and SET_SAFE_LOGOUT_ACTION
	  mdmflexiserver commands.  Also add the RBACSystemCommandKeys option
	  so that RBAC can be configured in a generic way for each system
	  command.  The configure.ac script sets up this key properly for
	  Solaris.  This fixes bug #372738.  Note that the mdmflexiserver
	  QUERY_LOGOUT_ACTION, SET_LOGOUT_ACTION, and SET_SAFE_LOGOUT_ACTION
	  were broken after William Jon McCann's config cleanup, so I fixed
	  this.
	* daemon/mdm-net.c: Fix includes so glib includes are after system
	  includes.

2007-04-17  William Jon McCann  <mccann@jhu.edu>

	* daemon/mdm-xdmcp-manager.c:
	* daemon/mdm-xdmcp-manager.h:
	  Fix some includes issues from bug #376010.

2007-04-17  William Jon McCann  <mccann@jhu.edu>

	* daemon/verify-crypt.c: (mdm_verify_user),
	  (mdm_verify_setup_user), (mdm_verify_setup_env):
	* daemon/verify-pam.c: (audit_fail_login), (mdm_verify_user),
	  (mdm_verify_setup_user), (mdm_verify_setup_env):
	* daemon/verify-shadow.c: (mdm_verify_user),
	  (mdm_verify_setup_user):
	  Fix verify backends for VE patch from bug #355425.

2007-04-16  William Jon McCann  <mccann@jhu.edu>

	* common/mdm-common-config.c: (mdm_common_config_parse_key_string),
	  (mdm_common_config_get_int),
	  (mdm_common_config_get_translated_string),
	  (mdm_common_config_get_string), (mdm_common_config_get_boolean):
	* common/mdm-common-config.h:
	  Return FALSE if no default is given in the key and key doesn't
	  exist in the file.

	* daemon/mdm-daemon-config.c:
	  (mdm_daemon_config_get_value_int_per_display),
	  (mdm_daemon_config_get_value_bool_per_display),
	  (mdm_daemon_config_get_value_string_per_display),
	  (mdm_daemon_config_key_to_string_per_display),
	  (mdm_daemon_config_key_to_string), (mdm_daemon_config_to_string):
	* daemon/mdm-daemon-config.h:
	  Fix handling of per display keys.

	* daemon/mdm-xdmcp-manager.c:
	  (mdm_xdmcp_manager_set_willing_script),
	  (mdm_xdmcp_manager_set_property), (mdm_xdmcp_manager_get_property):
	  Fix missing property.

	* daemon/mdm.c: (mdm_start_first_unborn_local),
	  (mdm_final_cleanup), (custom_cmd_no_restart),
	  (mdm_cleanup_children), (mainloop_sig_callback), (main),
	  (mdm_handle_message), (handle_flexi_server),
	  (sup_handle_auth_local), (sup_handle_attached_servers),
	  (sup_handle_get_server_details), (sup_handle_flexi_xserver),
	  (sup_handle_flexi_xnest), (sup_handle_get_config),
	  (sup_handle_query_logout_action),
	  (sup_handle_query_custom_cmd_labels), (sup_handle_all_servers),
	  (sup_handle_get_server_list), (sup_handle_get_custom_config_file),
	  (sup_handle_greeterpids),
	  (sup_handle_query_custom_cmd_no_restart_status),
	  (sup_handle_set_logout_action),
	  (sup_handle_set_safe_logout_action), (sup_handle_query_vt),
	  (sup_handle_set_vt), (mdm_handle_user_message):
	  Break up the monolithic mdm_handle_user_message function so it
	  can be read more easily.

	* daemon/slave.c: (check_for_interruption):
	* daemon/verify-pam.c: (mdm_verify_user), (mdm_verify_setup_user):
	  Update for changed daemon_config arguments.

2007-04-16  William Jon McCann  <mccann@jhu.edu>

	* daemon/Makefile.am:
	* daemon/auth.c: (mdm_auth_secure_display):
	* daemon/choose.c:
	* daemon/choose.h:
	* daemon/cookie.c: (mdm_cookie_generate):
	* daemon/cookie.h:
	* daemon/display.c: (mdm_display_manage), (count_session_limits):
	* daemon/mdm-daemon-config-entries.h:
	* daemon/mdm-xdmcp-manager.c:
	* daemon/mdm-xdmcp-manager.h:
	* daemon/mdm.c: (mdm_make_global_cookie), (main):
	* daemon/server.c:
	* daemon/slave.c:
	* daemon/xdmcp.c: (mdm_xdmcp_init), (mdm_xdmcp_run),
	  (mdm_xdmcp_close), (mdm_xdmcp_migrate):
	* daemon/xdmcp.h:
	  Turn XDMCP handling into an object.  From bug #376010.

2007-04-13  Brian Cameron  <brian.cameron@sun.com>

	* configure.ac, config/Makefile.am: Set LogDir by default to 
	  /var/log/mdm and add configure --with-log-dir option so this
	  can be easily configured.
	* gui/modules/AccessDwellMouseEvents.in, 
	  gui/modules/AccessKeyMouseEvents.in: Improve comments and make
	  GOK key binding a bit less painful to enter.

2007-04-12  Brian Cameron  <brian.cameron@sun.com>

	* daemon/verify-pam.c, daemon/verify-shadow.c, daemon/verify-crypt.c,
	  daemon/verify.h, daemon/slave.c: Fix for bug #428630.  This was
	  introduced by Ludwig Nussel when he rewrote the way the PAM logic
	  works.  If you call mdm_verify_user with a userid, then it will allow
	  you to retry 3 times without asking for password again to better
	  support the Face Browser.  However, when we ask for root password for
	  the configurator, we don't want this behavior.  This patch fixes
	  this.
	* slave.c: Fix for bug #427022.  The greeter was hanging when the Face
	  Browser was turned on because we must use the socket to send face
	  browser information before using the sockets for other purposes.
	* daemon/mdm-daemon-config.c, common/mdm-config.c: Fix g_debug call so
	  we don't pass in a NULL string, which causes a SEGV on Solaris. 
	* gui/mdmlangugaes.[ch]: Fix so that functions that don't return any
	  useful information are now void, and remove meaningless debug from
	  mdm_lang_op_always_restart.

2007-04-11  Lukasz Zalewski <lukas@dcs.qmul.ac.uk>

	* gui/mdmsetup.c: Added missing handler for AlwaysLoginCurrentSession
	  in General tab.

2007-04-11  Brian Cameron  <brian.cameron@sun.com>

	* configure.ac: Minor change to ensure that XnestUnscaledFontPath
	  is always set even if no Xnest command is found.

2007-04-10  William Jon McCann  <mccann@jhu.edu>

	* common/mdm-config.c: (mdm_config_value_get_string_array):
	* common/mdm-config.h:
	* daemon/mdm-daemon-config.c:
	  (mdm_daemon_config_get_value_string_array):
	* daemon/mdm-daemon-config.h:
	* daemon/mdm.c: (deal_with_x_crashes), (try_command),
	  (try_commands), (suspend_machine), (halt_machine),
	  (restart_machine), (custom_cmd_restart), (custom_cmd_no_restart),
	  (mdm_cleanup_children), (create_connections),
	  (mdm_handle_user_message):
	  Fix reboot and halt command handling.  Add ability to get
	  string array values from config.

2007-04-10  William Jon McCann  <mccann@jhu.edu>

	* gui/mdmchooser.c (mdm_chooser_gui_init):
	  Add missing '/' between path and filename.

2007-04-10  William Jon McCann  <mccann@jhu.edu>

	* common/mdm-common-config.c: (mdm_common_config_parse_key_string),
	  (mdm_common_config_get_int),
	  (mdm_common_config_get_translated_string),
	  (mdm_common_config_get_string),
	  (mdm_common_config_get_string_list),
	  (mdm_common_config_get_boolean), (mdm_common_config_set_string),
	  (mdm_common_config_set_boolean), (mdm_common_config_set_int),
	  (mdm_common_config_remove_key):
	* common/mdm-common-config.h:
	* common/mdm-config.c: (mdm_config_value_free),
	  (mdm_config_value_copy), (mdm_config_value_get_locale_string),
	  (safe_strcmp), (mdm_config_value_compare),
	  (mdm_config_value_new_from_string),
	  (mdm_config_value_set_locale_string_array),
	  (mdm_config_value_set_locale_string), (mdm_config_value_to_string),
	  (key_file_get_value), (internal_set_value):
	* common/mdm-config.h:
	* common/test-config.c: (type_to_name), (test_config):
	* daemon/mdm-daemon-config-entries.h:
	* daemon/mdm-daemon-config.c: (mdm_daemon_config_get_value_int),
	  (mdm_daemon_config_get_value_string),
	  (mdm_daemon_config_get_value_bool),
	  (mdm_daemon_config_key_to_string), (mdm_daemon_config_to_string),
	  (mdm_daemon_config_set_value_string),
	  (mdm_daemon_config_set_value_bool),
	  (mdm_daemon_config_set_value_int), (mdm_daemon_config_update_key),
	  (mdm_daemon_config_is_valid_key):
	* gui/mdmsetup.c: (greeter_entry_untranslate_timeout):
	  Handle locale strings a bit better.

2007-04-06  Brian Cameron  <brian.cameron@sun.com>

	* gui/mdmsetup.glade:  Fix some additional spelling issues raised in
	  bug #423158.

2007-04-06  Lukasz Zalewski <lukas@dcs.qmul.ac.uk>

	* daemon/mdm.c, daemon/slave.c:
	* gui/mdmlogin.c, gui/mdmsetup.c:
	* gui/greeter/greeter.c, gui/greeter/greeter_item.c:
	* gui/greeter/greeter_parser.c, gui/greeter/greeter_system.c:
	  Changes to some strings related to custom commands stuff such 
	  that they are not marked for translation. Fixes some issues
	  raised in bug #423158

2007-04-09  Brian Cameron  <brian.cameron@sun.com>

	* gui/mdmlanguages.[ch], gui/greeter/greeter_item_customlist.c:
	  Fix language restart dialog so it works properly with the 
	  mdmgreeter language combo/list style selection, not just 
	  with the language dialog that pops up from the menu.

2007-04-09  Brian Cameron  <brian.cameron@sun.com>

	* gui/mdmlanguages.c:  When the user changes language, MDM pops up
	  a dialog asking if the user wants to restart MDM.  If the user
	  picks "No", the new language should still be applied for when the
	  session starts.  This patch fixes this.

2007-04-09  Brian Cameron  <brian.cameron@sun.com>

	* gui/mdmflexiserver.c: Mark error strings for translation.

2007-04-09  Brian Cameron  <brian.cameron@sun.com>

	* gui/mdmflexiserver.c: Slightly better fix that causes mdmflexiserver
	  to display the dialog GUI when not using --command, and display a
	  text error when using --command.

2007-04-09  Brian Cameron  <brian.cameron@sun.com>

	* gui/mdmflexiserver.c: Report an error message when the mdmcomm_check
	  test fails.

2007-04-06  William Jon McCann  <mccann@jhu.edu>

	* daemon/slave.c: (mdm_slave_greeter):
	  Remove duplicate code from bad svn merge.
	  From #427022

2007-04-06  Brian Cameron  <brian.cameron@sun.com>

	* daemon/mdm.in: Fix script so it works with Solaris /bin/sh.

2007-04-06  Brian Cameron  <brian.cameron@sun.com>

	* config/CDE.desktop.in: Change name of CDE to "Common Desktop
	  Environment (CDE)".

2007-04-06  Brian Cameron  <brian.cameron@sun.com>

	* gui/mdmcomm.c: Fix messages so that they don't imply that
	  Xnest is the nested X server program, since it may be
	  Xephyr, or another program.

2007-04-06  Brian Cameron  <brian.cameron@sun.com>

	* gui/mdmcommon.[ch], gui/mdmlogin.c,
	  gui/greeter/greeter_item_ulist.c:  Usernames with non-utf8
	  characters were causing MDM GUI to crash when it tried to
	  display in the face browser.  This patch fixes so non-utf8
	  characters display as '?'.  Fixes bug #426647.  Patch by
	  Ray Strode <rstrode@redhat.com>.

2007-04-05  Brian Cameron  <brian.cameron@sun.com>

	* daemon/mdm.c: Return correct value when GET_CONFIG_FILE is 
	  asked for.  Previously the value was NULL when using the compiled
	  in default.
	* gui/mdmcomm.c: Make the message a bit nicer when MDM slave 
	  notices MDM daemon isn't running.

2007-04-05  Lukasz Zalewski <lukas@dcs.qmul.ac.uk>

	* gui/mdmsetup.glade, gui/mdmsetup.c: Added a "Themed with face
	  browser" option to the Local/Remote Style ComboBox and updated the
	  documentation. Fixes bug #423300
	* gui/mdmsetup.glade: Changed the spacing between elements in the
	  General tab as an aftermath of bug #403242. Also fixes some of the
	  issues found in bug #423158.

2007-04-05  Brian Cameron  <brian.cameron@sun.com>

	* daemon/xdmcp.c: Fix compile for Solaris.

2007-04-04  William Jon McCann  <mccann@jhu.edu>

	* common/test-log.c: (test_log), (main): Add file.

2007-04-04  William Jon McCann  <mccann@jhu.edu>

	* common/mdm-log.c: (mdm_log_init):
	* daemon/misc.h: Fix building on Solaris.

2007-04-04  William Jon McCann  <mccann@jhu.edu>

	* daemon/mdm-socket-protocol.h:  Oops add file missing from last
	  commit.

2007-04-02  William Jon McCann  <mccann@jhu.edu>

	* common/Makefile.am:
	* common/mdm-common.c: (v4_v4_equal), (v6_v6_equal),
	  (mdm_address_equal), (mdm_address_is_loopback),
	  (mdm_address_get_info):
	* common/mdm-common.h:
	* common/mdm-config.c: (mdm_config_peek_value),
	  (mdm_config_get_value), (mdm_config_peek_value_for_id),
	  (mdm_config_peek_string_for_id), (mdm_config_get_string_for_id),
	  (mdm_config_get_int_for_id), (mdm_config_set_int_for_id):
	* common/mdm-config.h:
	* common/mdm-log.c: (log_level_to_priority_and_prefix),
	  (mdm_log_default_handler), (mdm_log_set_debug), (mdm_log_init),
	  (mdm_log_shutdown):
	* common/mdm-log.h:
	* configure.ac:
	* daemon/Makefile.am:
	* daemon/auth.c: (add_auth_entry), (add_auth_entry_for_addr),
	  (get_local_auths), (mdm_auth_user_add), (mdm_auth_set_local_auth),
	  (mdm_auth_free_auth_list):
	* daemon/choose.c: (get_first_address_for_node), (mdm_choose_data),
	  (mdm_choose_indirect_alloc),
	  (mdm_choose_indirect_dispose_empty_id),
	  (mdm_choose_indirect_lookup_by_chosen),
	  (mdm_choose_indirect_lookup), (mdm_choose_indirect_dispose):
	* daemon/choose.h:
	* daemon/cookie.c:
	* daemon/cookie.h:
	* daemon/display.c: (mdm_display_manage), (count_session_limits),
	  (mdm_display_dispose), (mdm_display_lookup):
	* daemon/display.h:
	* daemon/errorgui.c: (setup_dialog), (mdm_errorgui_error_box_full),
	  (mdm_errorgui_error_box), (mdm_errorgui_failsafe_question),
	  (mdm_errorgui_failsafe_yesno), (mdm_errorgui_failsafe_ask_buttons):
	* daemon/errorgui.h:
	* daemon/filecheck.c: (mdm_file_check), (mdm_auth_file_check):
	* daemon/mdm-daemon-config.c: (mdm_daemon_config_get_display_list),
	  (mdm_daemon_config_display_list_append),
	  (mdm_daemon_config_display_list_insert),
	  (mdm_daemon_config_display_list_remove),
	  (mdm_daemon_config_get_bool_for_id),
	  (mdm_daemon_config_get_int_for_id),
	  (mdm_daemon_config_get_string_for_id), (handle_no_displays),
	  (mdm_daemon_config_parse):
	* daemon/mdm-daemon-config.h:
	* daemon/mdm-net.c:
	* daemon/mdm-net.h:
	* daemon/mdm.c: (mark_display_exists), (mdm_daemonify),
	  (mdm_start_first_unborn_local), (mdm_final_cleanup),
	  (deal_with_x_crashes), (mdm_safe_restart), (mdm_try_logout_action),
	  (main), (order_exists), (get_new_order), (mdm_handle_message),
	  (find_display), (handle_flexi_server), (handle_dynamic_server),
	  (mdm_handle_user_message):
	* daemon/mdm.h:
	* daemon/mdmconsolekit.c: (get_path_array_from_iter):
	* daemon/mdmconsolekit.h:
	* daemon/md5.h:
	* daemon/misc.c: (mdm_clearenv_no_lang), (mdm_get_free_display),
	  (mdm_exec_wait), (mdm_fork_extra), (mdm_wait_for_extra),
	  (mdm_address_peek_local_list), (mdm_address_is_local),
	  (fillout_addrinfo), (mdm_gethostbyname), (mdm_gethostbyaddr),
	  (mdm_hostent_copy):
	* daemon/misc.h:
	* daemon/server.c: (mdm_exec_fbconsole), (mdm_server_spawn):
	* daemon/server.h:
	* daemon/slave.c: (get_runlevel), (mdm_slave_start),
	  (focus_first_x_window), (run_config), (play_login_sound),
	  (mdm_slave_greeter), (send_chosen_host), (mdm_slave_chooser),
	  (session_child_run), (mdm_slave_session_start),
	  (mdm_slave_session_stop), (check_for_interruption),
	  (mdm_child_exit), (mdm_slave_exec_script),
	  (mdm_parse_enriched_login), (mdm_is_user_valid):
	* daemon/slave.h:
	* daemon/verify-crypt.c: (mdm_verify_user),
	  (mdm_verify_setup_user):
	* daemon/verify-pam.c: (mdm_verify_pam_conv),
	  (mdm_verify_standalone_pam_conv), (mdm_verify_user),
	  (mdm_verify_setup_user), (mdm_verify_cleanup), (mdm_verify_check):
	* daemon/verify-shadow.c: (mdm_verify_user),
	  (mdm_verify_setup_user):
	* daemon/verify.h:
	* daemon/xdmcp.c: (mdm_xdmcp_displays_from_host),
	  (mdm_xdmcp_display_lookup_by_host), (ai_family_str), (ai_type_str),
	  (ai_protocol_str), (ai_flags_str), (debug_addrinfo),
	  (mdm_xdmcp_create_socket), (mdm_xdmcp_bind), (mdm_xdmcp_init),
	  (mdm_xdmcp_run), (mdm_xdmcp_close), (mdm_xdmcp_decode_packet),
	  (mdm_xdmcp_handle_query), (set_port_for_request),
	  (set_address_for_request), (mdm_xdmcp_send_forward_query),
	  (mdm_forward_query_alloc), (mdm_forward_query_lookup),
	  (mdm_forward_query_dispose), (create_sa_from_request),
	  (mdm_xdmcp_handle_forward_query), (mdm_xdmcp_send_willing),
	  (mdm_xdmcp_send_unwilling),
	  (mdm_xdmcp_really_send_managed_forward), (managed_forward_handler),
	  (mdm_xdmcp_send_managed_forward),
	  (mdm_xdmcp_send_got_managed_forward), (mdm_xdmcp_handle_request),
	  (mdm_xdmcp_send_accept), (mdm_xdmcp_send_decline),
	  (mdm_xdmcp_handle_manage), (mdm_xdmcp_handle_managed_forward),
	  (mdm_xdmcp_whack_queued_managed_forwards),
	  (mdm_xdmcp_handle_got_managed_forward), (mdm_xdmcp_send_refuse),
	  (mdm_xdmcp_send_failed), (mdm_xdmcp_handle_keepalive),
	  (mdm_xdmcp_send_alive), (mdm_xdmcp_host_allow),
	  (mdm_xdmcp_display_alloc), (mdm_xdmcp_display_lookup),
	  (mdm_xdmcp_display_dispose_check), (mdm_xdmcp_displays_check),
	  (mdm_xdmcp_recount_sessions):
	* daemon/xdmcp.h:
	* gui/Makefile.am:
	* gui/mdmXnestchooser.c:
	* gui/mdmchooser.c: (mdm_chooser_host_alloc), (mdm_chooser_cancel),
	  (mdm_chooser_manage), (mdm_read_config), (mdm_reread_config),
	  (main):
	* gui/mdmcomm.c: (do_command), (mdmcomm_call_mdm_real):
	* gui/mdmcommon.c: (mdm_common_log_init),
	  (mdm_common_log_set_debug), (mdm_common_fail_exit),
	  (mdm_common_fail_greeter), (mdm_common_info), (mdm_common_error),
	  (mdm_common_warning), (mdm_common_debug), (mdm_common_expand_text):
	* gui/mdmcommon.h:
	* gui/mdmconfig.c:
	* gui/mdmdynamic.c: (main):
	* gui/mdmflexiserver.c: (main):
	* gui/mdmlanguages.c:
	* gui/mdmlogin.c: (mdm_login_restart_handler),
	  (mdm_login_halt_handler), (mdm_login_use_chooser_handler),
	  (mdm_read_config), (mdm_reread_config), (main):
	* gui/mdmsession.c:
	* gui/mdmsetup.c:
	* gui/mdmuser.c:
	* gui/mdmwm.c:
	* gui/greeter/greeter.c: (mdm_read_config),
	  (greeter_reread_config), (main):
	* gui/greeter/greeter_item_customlist.c:
	* gui/greeter/greeter_item_pam.c:
	* gui/greeter/greeter_item_timed.c:
	* gui/greeter/greeter_item_ulist.c:
	* gui/greeter/greeter_parser.c: (parse_show):
	* gui/greeter/greeter_system.c: (query_greeter_restart_handler),
	  (query_greeter_halt_handler), (greeter_restart_handler),
	  (greeter_halt_handler), (greeter_chooser_handler):

	  Use fewer global variables.
	  Separate monolithic mdm.h into component parts.
	  Use the Glib message logging API to write to syslog.
	  Cleans up the ipv4/6 handling in the daemon to use a common code
	  patch and be mostly AF- independent.
	  Add a few convenience functions to mdm-config for get/set by ID.
	  Patch from bug #376010

2007-04-02  Brian Cameron  <brian.cameron@sun.com>

	* configure.ac, gui/Makefile.am,
	  gui/mdmflexiserver-xnest.desktop.in.in: Now specify TryExec based
	  on actual Nested Xserver command used.
	* gui/mdmflexiserver-xnest.desktop.in: Remove, now generated from
	  in.in file.

2007-04-02  Brian Cameron  <brian.cameron@sun.com>

	* gui/mdmsetup.c: Only show tar and compressed tar files in
	  file chooser for selecting mdmgreeter themes to install.
	  Fixes bug #422297.  Patch by Kristof Vansant
	  <de_lupus@pandora.be>.

2007-04-02  Brian Cameron  <brian.cameron@sun.com>

	* gui/mdmlanguages.c: Remove needless include.

2007-04-02  Brian Cameron  <brian.cameron@sun.com>

	* gui/mdmchooser.glade, gui/mdmsetup.glade, gui/mdmsetup.c:
	  Remove gnome glade, since it is not used anymore.  Fixes
	  bug #424696.  Patch by Kristof Vansant <de_lupus@pandora.be>.

2007-04-02  Brian Cameron  <brian.cameron@sun.com>

	* gui/mdmlanguages.c: Fix strcpy so source and destination do not
	  overlap.  Fixes bug #424299.  Patch by Ray Strode
	  <rstrode@redhat.com>.

2007-04-02  Brian Cameron  <brian.cameron@sun.com>

	* daemon/mdm.h, daemon/slave.c, daemon/misc.c, gui/mdmlogin.c,
	  gui/mdmlanguages.[ch], gui/greeter/Makefile.am, 
	  gui/greeter/greeter_item_customlist.[ch], 
	  gui/greeter/greeter_parser.c:  Now support the ability to
	  change the language on the fly.  Enhancement request #108820.
	  Patch by Takao Fujiwara <Takao.Fujiwara@sun.com>.
	* gui/greeter/greeter_action_language.[ch]: Deleted - code now
	  merged into gui/mdmlanguages.[ch].
	* AUTHORS: Updated.

2007-03-27  William Jon McCann  <mccann@jhu.edu>

	* acinclude.m4:
	* configure.ac: Make sure that we expand the LOCALSTATEDIR
	  before using it to find the PID file location.  For #162849.

2007-03-27  Brian Cameron  <brian.cameron@sun.com>

	* gui/greeter_greeter_item_ulist.c: In greeter_generate_userlist
	  pass in the value for info rather than getting the value again.

2007-03-27  Brian Cameron  <brian.cameron@sun.com>

	* gui/mdmlogin.c, gui/greeter/greeter_item.c, gui/greeter/greeter.c
	  gui/greeter_greeter_item_ulist.c, gui/greeter/greeter_system.c:
	  Fix mdmlogin and mdmgreeter so the "Configure MDM" menu choice is
	  not available when accessibility is turned on since running it
	  causes the system to hang.  Also fix mdmgreeter so the Face
	  Browser is not displayed when Browser=false.

2007-03-27  Brian Cameron  <brian.cameron@sun.com>

	* daemon/verify-pam.c: Fix some Solaris specific code to call the new
	  mdm_daemon_config_get_mdmuid and mdm_daemon_config_get_mdmgid
	  functions.

2007-03-27  Brian Cameron  <brian.cameron@sun.com>

	* gui/greeter/greeter_item_pam.c: Partially fix #412576 by adding
	  ATK label for the entry field.  Patch provided by David Zeuthen
	  <david@fubar.dk>.

2007-03-27  Brian Cameron  <brian.cameron@sun.com>

	* gui/mdmsetup.glade, daemon/mdm.c: Fix some messages.  Partially
	  fixes bug #423158.

2007-03-r7  Brian Cameron  <brian.cameron@sun.com>

	* gui/greeter/greeter_item_customlist.c:  Fix check so the
	  language combo style works.  Fixes bug #423063.  Patch
	  provided by Simon <simon@munton.demon.co.uk>.

2007-03-26  William Jon McCann  <mccann@jhu.edu>

	* configure.ac:
	* daemon/mdm-daemon-config-entries.h:
	* daemon/mdm-daemon-config-keys.h:
	* daemon/mdm-daemon-config.c: (mdm_daemon_config_to_string):
	* daemon/slave.c: (mdm_slave_start):
	* gui/mdmsetup.c: (setup_general_tab):
	* gui/mdmsetup.glade:
	  Remove the AlwaysRestartServer configuration option.
	  Fixes part of #326771

2007-03-26  William Jon McCann  <mccann@jhu.edu>

	* config/mdm.conf.in:
	* configure.ac:
	* daemon/mdm-daemon-config-entries.h:
	* daemon/mdm-daemon-config-keys.h:
	* daemon/mdm-daemon-config.c: (mdm_daemon_config_to_string),
	  (check_servauthdir), (handle_no_displays),
	  (mdm_daemon_change_user), (mdm_daemon_check_permissions):
	* daemon/mdm.c: (mdm_daemonify), (mdm_final_cleanup), (main):
	* gui/mdmXnestchooser.c: (main):
	* gui/mdmcomm.c: (mdmcomm_check):
	* gui/mdmlogin.c: (mdm_read_config):
	* gui/greeter/greeter.c: (mdm_read_config):
	  Remove the PidFile configuration option.  Fixes #162849

2007-03-26  William Jon McCann  <mccann@jhu.edu>

	* daemon/mdm-daemon-config.c: Update some docs.
	* vicious-extensions/: remove external dependency

2007-03-26  William Jon McCann  <mccann@jhu.edu>

	* common/Makefile.am:
	* common/mdm-common-config.c: (mdm_common_config_load_from_dirs),
	  (mdm_common_config_get_string),
	  (mdm_common_config_get_string_list):
	* common/mdm-common-config.h:
	* common/mdm-common.c: (ve_locale_to_utf8), (ve_locale_from_utf8),
	  (ve_locale_exists):
	* common/mdm-common.h:
	* common/mdm-config.c: (mdm_config_error_quark),
	  (mdm_config_entry_copy), (mdm_config_entry_free),
	  (mdm_config_value_new), (mdm_config_value_free), (set_string),
	  (set_string_array), (mdm_config_value_copy),
	  (mdm_config_value_get_string), (mdm_config_value_get_bool),
	  (mdm_config_value_get_int), (mdm_config_value_compare),
	  (mdm_config_value_new_from_string),
	  (mdm_config_value_set_string_array), (mdm_config_value_set_int),
	  (mdm_config_value_set_bool), (mdm_config_value_set_string),
	  (mdm_config_value_to_string), (mdm_config_init), (mdm_config_new),
	  (mdm_config_free), (mdm_config_lookup_entry),
	  (mdm_config_lookup_entry_for_id), (mdm_config_add_entry),
	  (mdm_config_add_static_entries), (mdm_config_set_validate_func),
	  (mdm_config_set_mandatory_file), (mdm_config_set_default_file),
	  (mdm_config_set_custom_file), (mdm_config_set_notify_func),
	  (key_file_get_value), (entry_get_default_value),
	  (load_value_entry), (lookup_id_for_key), (internal_set_value),
	  (store_entry_value), (load_entry), (add_keys_to_hash),
	  (collect_hash_keys), (mdm_config_get_keys_for_group),
	  (load_backend), (mdm_config_load), (process_entries),
	  (mdm_config_process_entry), (mdm_config_process_entries),
	  (mdm_config_process_all), (mdm_config_get_value),
	  (mdm_config_set_value), (mdm_config_get_value_for_id),
	  (mdm_config_set_value_for_id), (mdm_config_get_string_for_id),
	  (mdm_config_get_bool_for_id), (mdm_config_set_string_for_id),
	  (mdm_config_set_bool_for_id):
	* common/mdm-config.h:
	* common/test-config.c: (source_to_name), (type_to_name),
	  (notify_cb), (validate_cb), (load_servers_group), (test_config),
	  (main):
	* daemon/Makefile.am:
	* daemon/auth.c: (mdm_auth_secure_display), (get_local_auths),
	  (mdm_auth_user_add), (mdm_auth_user_remove):
	* daemon/choose.c: (mdm_choose_data), (mdm_choose_indirect_lookup):
	* daemon/cookie.c:
	* daemon/display.c: (whack_old_slave), (mdm_display_manage):
	* daemon/errorgui.c: (setup_dialog):
	* daemon/filecheck.c: (mdm_file_check), (mdm_auth_file_check):
	* daemon/mdm-daemon-config-entries.h:
	* daemon/mdm-daemon-config-keys.h:
	* daemon/mdm-daemon-config.c:
	  (mdm_daemon_config_get_per_display_custom_config_file),
	  (mdm_daemon_config_get_custom_config_file),
	  (mdm_daemon_config_get_value_int),
	  (mdm_daemon_config_get_value_string),
	  (mdm_daemon_config_get_value_bool),
	  (mdm_daemon_config_get_value_int_per_display),
	  (mdm_daemon_config_get_value_bool_per_display),
	  (mdm_daemon_config_get_value_string_per_display),
	  (mdm_daemon_config_key_to_string_per_display),
	  (mdm_daemon_config_key_to_string), (mdm_daemon_config_to_string),
	  (mdm_daemon_config_compare_displays), (lookup_notify_key),
	  (notify_displays_value), (mdm_daemon_config_set_value_string),
	  (mdm_daemon_config_set_value_bool),
	  (mdm_daemon_config_set_value_int),
	  (mdm_daemon_config_find_xserver), (mdm_daemon_config_get_xservers),
	  (mdm_daemon_config_load_xserver),
	  (mdm_daemon_config_unload_xservers),
	  (mdm_daemon_config_ensure_one_xserver), (load_xservers_group),
	  (mdm_daemon_config_load_xservers), (mdm_daemon_config_update_key),
	  (check_logdir), (check_servauthdir), (have_display_for_number),
	  (mdm_daemon_config_load_displays), (validate_path),
	  (validate_root_path), (validate_base_xsession),
	  (validate_power_action), (validate_standard_xserver),
	  (validate_graphical_theme_dir), (validate_graphical_theme),
	  (validate_greeter), (validate_remote_greeter),
	  (validate_session_desktop_dir), (validate_password_required),
	  (validate_allow_remote_root), (validate_xdmcp),
	  (validate_at_least_int), (validate_cb), (source_to_name),
	  (notify_cb), (handle_no_displays), (mdm_daemon_change_user),
	  (mdm_daemon_check_permissions), (mdm_daemon_config_parse),
	  (mdm_daemon_config_get_mdmuid), (mdm_daemon_config_get_mdmgid),
	  (mdm_daemon_config_get_high_display_num),
	  (mdm_daemon_config_set_high_display_num),
	  (mdm_daemon_config_is_valid_key),
	  (mdm_daemon_config_signal_terminthup_was_notified),
	  (check_user_file), (mdm_daemon_config_get_facefile_from_home),
	  (mdm_daemon_config_get_facefile_from_global), (is_prog_in_path),
	  (mdm_daemon_config_get_session_exec),
	  (mdm_daemon_config_set_user_session_lang),
	  (mdm_daemon_config_get_user_session_lang):
	* daemon/mdm-daemon-config.h:
	* daemon/mdm-net.c:
	* daemon/mdm.c: (mdm_daemonify), (mdm_final_cleanup),
	  (deal_with_x_crashes), (suspend_machine), (halt_machine),
	  (restart_machine), (custom_cmd), (custom_cmd_restart),
	  (custom_cmd_no_restart), (mdm_cleanup_children),
	  (create_connections), (mdm_make_global_cookie), (main),
	  (write_x_servers), (mdm_handle_message), (handle_flexi_server),
	  (handle_dynamic_server), (mdm_handle_user_message):
	* daemon/mdm.h:
	* daemon/mdmconfig.c:
	* daemon/mdmconfig.h:
	* daemon/getvt.c: (get_free_vt_linux),
	  (get_free_vt_freebsd_dragonfly), (mdm_get_empty_vt_argument):
	* daemon/misc.c: (mdm_debug), (mdm_text_message_dialog),
	  (mdm_text_yesno_dialog), (mdm_fork_extra):
	* daemon/server.c: (display_parent_no_connect), (display_busy),
	  (display_vt), (do_server_wait), (mdm_server_start), (rotate_logs),
	  (mdm_server_resolve), (mdm_server_resolve_command_line),
	  (mdm_server_spawn), (get_font_path):
	* daemon/slave.c: (mdm_slave_start), (setup_automatic_session),
	  (mdm_screen_init), (mdm_slave_check_user_wants_to_log_in),
	  (mdm_slave_run), (run_config), (play_login_sound),
	  (mdm_slave_wait_for_login), (run_pictures), (copy_auth_file),
	  (mdm_slave_greeter), (mdm_slave_send), (mdm_slave_send_string),
	  (mdm_slave_chooser), (is_session_ok), (find_a_session),
	  (session_child_run), (mdm_slave_session_start),
	  (mdm_slave_session_stop), (mdm_slave_alrm_handler),
	  (check_for_interruption), (create_temp_auth_file),
	  (mdm_slave_exec_script), (mdm_parse_enriched_login),
	  (mdm_slave_handle_notify):
	* daemon/verify-pam.c: (mdm_verify_user), (mdm_verify_setup_user),
	  (mdm_verify_check):
	* daemon/xdmcp.c: (mdm_xdmcp_init), (mdm_xdmcp_handle_query),
	  (mdm_xdmcp_handle_forward_query), (mdm_xdmcp_send_willing),
	  (mdm_xdmcp_handle_request), (mdm_xdmcp_handle_manage),
	  (mdm_xdmcp_display_alloc), (mdm_xdmcp_displays_check),
	  (reconnect_to_parent):
	* gui/Makefile.am:
	* gui/mdmXnestchooser.c:
	* gui/mdmchooser.c:
	* gui/mdmcomm.c:
	* gui/mdmcommon.c: (ve_strftime):
	* gui/mdmcommon.h:
	* gui/mdmdynamic.c:
	* gui/mdmflexiserver.c:
	* gui/mdmlogin.c:
	* gui/mdmphotosetup.c:
	* gui/mdmsession.c:
	* gui/mdmsetup.c: (bool_equal), (toggle_timeout), (ve_rest),
	  (combobox_timeout), (greeter_toggle_timeout), (get_archive_dir),
	  (xserver_toggle_timeout):
	* gui/mdmuser.c:
	* gui/greeter/greeter.c:
	* gui/greeter/greeter_action_language.c:
	* gui/greeter/greeter_canvas_item.c:
	* gui/greeter/greeter_item.c:
	* gui/greeter/greeter_item_customlist.c:
	* gui/greeter/greeter_item_timed.c:
	* gui/greeter/greeter_item_ulist.c:
	* gui/greeter/greeter_parser.c:
	* gui/greeter/greeter_session.c:
	* gui/greeter/greeter_system.c:
	* gui/misc.c: (mdm_working_command_exists):
	  Redesign the internal configuration system.
	  Fixes #355425

2007-03-26  William Jon McCann  <mccann@jhu.edu>

	* configure.ac: Enable more warnings when possible.

2007-03-23  Brian Cameron  <brian.cameron@sun.com>

	* daemon/mdm.c, daemon/verify-pam.c, daemon/misc.c:  Use
	  "#ifdef __sun" instead of "#ifdef sun".

2007-03-23  Brian Cameron  <brian.cameron@sun.com>

	* daemon/mdm.[ch], daemon/auth.c, daemon/server.c,
	  daemon/slave.c: Change wording from Xnest to "nested
	  Xserver" or "nested display".

2007-03-21  Brian Cameron  <brian.cameron@sun.com>

	* daemon/slave.c:  Remove the logic to call whack_clients
	  when closing the session.  This code was written to address
	  bug 126071, to ensure that all clients are killed on session
	  exit.  However, this approach doesn't work well and causes
	  MDM to fail badly when you kill the Xserver via
	  control-alt-backspace on some environements.  It would be
	  better to kill all clients by looping through the 
	  slave daemons process tree and killing them rather than
	  using XKillClient, which only kills client programs that
	  are attached to the Xserver.  This fixes bug #419301.
	  Patch provided by Cesare Tirabassi <norsetto@alice.it>.

2007-03-21  Brian Cameron  <brian.cameron@sun.com>

	* gui/mdmphotosetup.desktop.in: Change Category to 
	  GNOME;GTK;Settings.  Fixes bug #417350.

2007-03-21  William Jon McCann  <mccann@jhu.edu>

	* common/Makefile.am:
	* common/mdm-common-config.c: (mdm_common_config_parse_key_string),
	  (mdm_common_config_load), (mdm_common_config_save),
	  (mdm_common_config_get_int),
	  (mdm_common_config_get_translated_string),
	  (mdm_common_config_get_string), (mdm_common_config_get_boolean),
	  (mdm_common_config_set_string), (mdm_common_config_set_boolean),
	  (mdm_common_config_set_int), (mdm_common_config_remove_key):
	* common/mdm-common-config.h:
	* common/mdm-common.c: (ve_clearenv), (ve_first_word),
	  (ve_first_word_executable), (ve_get_first_working_command),
	  (ve_rest), (ve_bool_equal), (ve_is_string_in_list),
	  (ve_is_string_in_list_case_no_locale), (ve_find_file_simple),
	  (ve_locale_to_utf8), (ve_locale_from_utf8), (ve_filename_to_utf8),
	  (ve_filename_from_utf8), (ve_strftime), (ve_waitpid_no_signal),
	  (ve_locale_exists), (ve_find_prog_in_path), (ve_is_prog_in_path),
	  (ve_shell_quote_filename):
	* common/mdm-common.h:
	* common/ve-signal.c: (ve_signal_prepare), (ve_signal_check),
	  (ve_signal_dispatch), (ve_signal_add), (ve_signal_add_full),
	  (ve_signal_notify), (ve_signal_was_notified), (ve_signal_unnotify):
	* common/ve-signal.h:
	  Added new files missed from commit for #355425

2007-03-20  Brian Cameron  <brian.cameron@sun.com>

	* gui/mdmsetup.desktop.in.in, gui/mdmphotoseutp.desktop.in:
	  Change to category "GNOME;GTK;Settings;System;".  Fixes bug
	  #417350.

2007-03-20  Brian Cameron  <brian.cameron@sun.com>

	* configure.ac: Bump to 2.19.0.

2007-03-20  Brian Cameron  <brian.cameron@sun.com>

	* configure.ac, gui/greeter/greeter_item.[ch],
	  gui/greeter/greeter_parser.c:  Add min-screen-height tag to parser
	  so that certain elements in the theme will only display if the screen
	  is large enough.  Patch by Ray Strode.  <rstrode@redhat.com>.
	  Enhancement #420610.

2007-03-20  Brian Cameron  <brian.cameron@sun.com>

	* gui/mdmphotosetup.desktop.in:  Add NotShowIn=GNOME; to 
	  mdmphotosetup.desktop.in since the About-Me capplet is
	  used for configuring the user's face image in GNOME.

2007-03-20  Brian Cameron  <brian.cameron@sun.com>
	* configure.ac, autogen.sh, gui/mdmlanguages.c, gui/mdmconfig.h
	  gui/mdmuser.c, gui/mdmwm.c, gui/mdmdynamic.c, gui/mdmlogin.c,
	  gui/mdmphotosetup.c, gui/mdmsession.c, gui/mdmXnestchooser.c,
	  gui/greeter/greeter.c, gui/mdmcommon.c, gui/mdmcomm.c,
	  gui/mdmflexiserver.c, gui/mdmsetup.c, gui/mdmchooser.c,
	  gui/misc.c, gui/mdmmconfig.c, gui/Makefile.am
	  gui/greeter/greeter_item_customlist.c, 
	  gui/greeter/greeter_canvas_item.c gui/greeter/greeter_parser.c,
	  gui/greeter/greeter_item.c, gui/greeter/greeter_item_ulist.c,
	  gui/greeter/greeter_item_timed.c, gui/greeter/greeter_session.c,
	  gui/greeter/greeter_system.c, gui/greeter/greeter_item_pam.c,
	  gui/greeter/Makefile.am, gui/greeter/themes/Makefile.am,
	  common/mdm-common.[ch], common/mdm-common-config.[ch], 
	  common/ve-signal.[ch], common/Makefile.am, daemon/errorgui.c,
	  daemon/mdmconfig.h, daemon/display.c, daemon/mdm.c, daemon/xdmcp.c,
	  daemon/filecheck.c, daemon/verify-pam.c, daemon/getvt.c,
	  daemon/auth.c, daemon/server.c, daemon/cookie.c, daemon/slave.c,
	  daemon/server.h, daemon/misc.c, daemon/mdm-net.c,
	  daemon/mdmconfig.c, daemon/Makefile.am:  Phase 1 of removing
	  vicious-extensions and replacing with a rewrite.  Changes include:
	  - Create a common directory to build libmdmcommon, used by the
	    daemon and the GUI's.
	  - Add a convenience layer over GKeyFile for dealing with compound
	    keys.
	  - Replace selected ve functions like ve_split
	  - Remove glade_helper
	  - Code improvements and leaks.
	  Fix by William Jon McCann <mccann@jhu.edu>.  Refer to bug
	  #355425.
	  
2007-03-20  Brian Cameron  <brian.cameron@sun.com>

	* config/Xsession.in, daemon/mdm.c, daemon/slave.c,
	  gui/mdmlanguages.c:  Normalize all LC_* settings to LANG and
	  starts input methods (IIIM->XIM) and starts up XIM if available.
	  Avoid calling setlocale() in mdmlanguages and sets locale in
	  the daemon instead.  Fixes bug #412997.  Patches originally
	  written by Hidetoshi Tajima <Hidetoshi.Tajima@sun.com> aside
	  from the gui/mdmlanguages.c modification by Chookij Vanatham
	  <Chookij.Vanatham@sun.com>.

2007-03-20  Brian Cameron  <brian.cameron@sun.com>

	* config/Init.in: Call xrdb -merge /etc/X11/Xresources in the Init
	  script so that the MDM GUI is properly configured with xft 
	  resources.  Fixes bug #301826.  Patch by Ray Strode
	  <rstrode@redhat.com>.
	* config/Xsession.in: Minor cleanup.

2007-03-13  Brian Cameron  <brian.cameron@sun.com>

	* acconfig.h, daemon/mdm.h: Remove X_XNEST_DISPLAY_ARG here also.
	* daemon/mdmconfig.c: Remove duplicate line.

2007-03-13  Brian Cameron  <brian.cameron@sun.com>

	* configure.ac, daemon/server.c, daemon/mdmconfig.c,
	  config/mdm.conf.in, config/Makefile.am: Remove 
	  XnestDisplayArg configuration choice.  In discussion with
	  Alan Coopersmith <Alan.Coopersmith@sun.com> from the Xserver
	  team it should be fine to avoid using -display when calling
	  Xnest/Xephyr all the time and just use the DISPLAY environment
	  variable.  Better to not add a configuration choice if it is
	  not needed.

2007-03-13  Brian Cameron  <brian.cameron@sun.com>

	* config/mdm.conf.in: Update comment to show some example
	  Xnest commands.

2007-03-13  Brian Cameron  <brian.cameron@sun.com>

	* configure.ac, daemon/Makefile.am: No longer link with dbus
	  unless ConsoleKit is enabled.  Patch by William Jon McCann
 	  <mccann@jhu.edu>.

2007-03-13  Brian Cameron  <brian.cameron@sun.com>

	* configure.ac, acconfig.h, daemon/Makefile.am, daemon/mdm.h
	  daemon/server.c, daemon/mdmconfig.c, config/mdm.conf.in,
	  config/Makefile.am:  Add Xephyr support and fix problem with
	  using Xsun Xnest with Xorg 7.2.  Xsun doesn't like font path
	  values that have the ":unscaled" suffix.  This required adding	
	  two new configuration options XnestDisplayArg and 
	  XnestUnscaledFontPath so that the user can configure whether
	  the Xnest command uses the -display argument or the DISPLAY
	  environment variable, and to specify whether to strip the
	  ":unscaled" bits from the fontpath.  Modified configure so
	  that if Xephyr is on the system, it is used as the Xnest
	  program since it works better than Xnest.
	* daemon/mdmconfig.h: No longer set default values for the
	  configuration choices here since default are set in
	  daemon/mdm.h.
	* config/mdm.conf.in: Comment now says "true" for ConfigAvailable
	  since this value has been defaulting to true for some time in
	  daemon/mdm.h.   So the comment was wrong.
	* acconfig.h, configure.ac, daemon/mdm.h, daemon/mdmconfig.c: Rework
	  how ALWAYS_RESTART_SERVER is set to avoid using #ifdef.  Also use
	  AC_DEFINE for MDM_USER_PATH rather than passing it in as a -D
	  argument to the compiler, so it works like the other config
	  choices.

2007-03-12  Brian Cameron  <brian.cameron@sun.com>

	* Release 2.18.0:
	* configure.ac: Update to new release version.
	* NEWS: Updated.

2007-03-12  Brian Cameron  <brian.cameron@sun.com>

	* gui/mdmsetup.c: Fix definition of mdm_chooser_cancel so it is
	  not static.  With it being static, it caused the button to be
	  non-functional so users could never exit the chooser window and
	  return to the login screen without restarting X.  Fixes bug
	  #415513.

2007-03-12  Brian Cameron  <brian.cameron@sun.com>

	* gui/mdmsetup.desktop.in.in, gui/mdmphotoseutp.desktop.in,
	  gui/mdmflexiserver.desktop.in,
	  gui/mdmflexiserver-xnest.desktop.in: Remove "Application" and
	  add "GNOME" and "GTK".  In mdmsetup.desktop.in.in, the Exec line
	  now also calls mdmsetup with the full path since this ensures the
	  desktop file works if if /usr/sbin is not in the PATH.  This
	  fixes bug #417350.

2007-03-09  Brian Cameron  <brian.cameron@sun.com>

	* daemon/slave.c, gui/mdmsetup.c: Free leaked memory when
	  calling g_strconcat.

2007-03-07  William Jon McCann  <mccann@jhu.edu>

	* daemon/mdmconsolekit.c (open_ck_session):
	  Update the CK parameter names.  Fixes #415181.

2007-03-05  Brian Cameron  <brian.cameron@sun.com>

	* config/Makefile.am, config/mdm.conf-custom.in, config/mdm.conf.in:
	  Now expand the MDM configuration files so that they point to the
	  correct location of the file (if a non-default location is used).
	  This required renaming mdm.conf-custom to mdm-conf-custom.in.  I
	  also reworded the comment secction so that the filenames are only
	  mentioned once and further references are to "MDM System Defaults"
	  and "MDM Custom Configuration" file since the filenames are
	  configurable.  Also fix the fact that @mdmlocaledir@ is not being
	  expanded.  Fixes bugs #414155 and #414175.  Patches provided by
	  Andreas Hanke <hanke@gmx-topmail.de>.  I also made the comments
	  a bit more clear.  Note these configuration files are not
	  translated so modifying the comments in it does not break the
	  freeze.
	* config/mdm.conf-custom: Removed.

2007-02-27  Brian Cameron  <brian.cameron@sun.com>

	* gui/modules/keymouselisttener.c, gui/modules/dwellmouselistener.c:
	  Fix typo in comments.

2007-02-26  Brian Cameron  <brian.cameron@sun.com>

	* Release 2.17.8:
	* configure.ac: Update to new release version.
	* NEWS: Updated.
	* configure.ac: Add needed docs/en_GB/Makefile.am.

2007-02-26  Brian Cameron  <brian.cameron@sun.com>

	* gui/mdmchooser.c:  Fix setting of PIPE_BUF to fix buf #409801
	  to fix Hurd support.

2007-02-26  Brian Cameron  <brian.cameron@sun.com>

	* gui/mdmlogin.c: Change Session mnemonic to "e" instead of "s"
	  so it doesn't conflict with "Start Again" button.  Fixes bug
	  #409693.

2007-02-26  Brian Cameron  <brian.cameron@sun.com>

	* daemon/mdm.h: Change AlwaysLoginCurrentSession to true by
	  default.  Fixes bug #406226.

2007-02-26  Lukasz Zalewski <lukas@dcs.qmul.ac.uk>

	* mdmsetup.glade: Changed vertical spacing between
	  groups of checkboxes/radiobuttons in mdmsetup interface.
	  Affected were:
	  Local/Background checkboxes (spacing 3)
	  Local/Behaviour checkboxes (spacing 3)
	  Local/Menu checkboxes (spacing 0)
	  Local/Welcome Message (spacing 3)
	  Similar changes were made to the Remote tab to keep both
	  greeter tabs in sync.
	  Security/Security checkboxes (spacing 2)
	  Security/Security Permissions (spacing 0)
	  This fixes bug #403242 (keeps the mdmsetup interface contained
	  within desktop space in 1024x768 with two 24 pixels panels)
	  Also moved groups of checkboxes/radiobuttons to their own vbox
	  containers such that changes in spacing between them does not
	  affect overall alignment of different elements in the main vbox
	  container

2007-02-20  Kjartan Maraas  <kmaraas@gnome.org>

	* Makefile.am: Dist MAINTAINERS

2007-02-15  Brian Cameron  <brian.cameron@sun.com>

	* config/PostSession.in: Remove call to sessionexit
	  script since I need to do further research to make
	  sure this is needed.

2007-02-14  Brian Cameron  <brian.cameron@sun.com>
	
	* gui/mdmdynamic.c: Fix comparison with string literal.
	  Fix by Hans Petter Jansson <hpj@novell.com>.  Fixes
	  bug #407687.

2007-02-13  Brian Cameron  <brian.cameron@sun.com>

	* config/PostSession.in: Call sessionexit script if
	  running on Solaris.
	* configure.ac, config/gnome.desktop.in.in: Now set
	  Exec/TryExec to /usr/dt/config/Xsession.jds for
	  Solaris.

2007-02-12  Brian Cameron  <brian.cameron@sun.com>

	* Release 2.17.7:
	* configure.ac: Update to new release version.
	* NEWS: Updated.

2007-02-09  Brian Cameron  <brian.cameron@sun.com>

	* daemon/display.c, dameon/mdm.[ch], daemon/server.c, daemon/slave.c:
	  Add sockets command to start login procedure, to be used by
	  gnome-screensaver and Fast User Switch applet.  Fixes enhancement
	  request #335786.  Patch by Matthias Clasen <mclasen@redhat.com>.

2007-02-08  Brian Cameron  <brian.cameron@sun.com>

	* gui/mdmlogin.c, gui/greeter/greeter.c: Rework how the "Start
	  Again" button is made sensitive/insensitive so it better works
	  with PAM modules.  Better to not make assumptions about whether
	  PAM is asking for username/password.  Patch by Ludwig Nussel
	  <ludwig.nussel@suse.de>.

2007-02-08  Brian Cameron  <brian.cameron@sun.com>

	* mdm-build.sh: Remove this old script for building MDM.  Not used
	  anymore.
	* autogen.sh: Change CVS references to SVN.

2007-02-06  Brian Cameron  <brian.cameron@sun.com>

	Fixes by Ludwig Nussel <ludwig.nussel@suse.de>.
	
	* gui/mdmlogin.c: Do not set size request for Message and error
	  label widgets so they grow if the message is too big.  Do not
	  initialize message label to "Please enter your username" since
	  there is no reason to assume that the first PAM request will ask
	  for username.  Do not reselect user if chosen from face browser
	  because now we manage this in daemon/verify-pam.c.
	* gui/greeter/greeter_item_ulist.[ch], gui/greeter/greeter.c:
	  Do not reselect user if chosen from face browser because we
	  now manage this in daemon/verify-pam.c
	* daemon/verify-pam.c: Fixes to support if there are multiple PAM
	  modules with conversations.  Remove the tmp_PAM_USER hack.  Now
	  display lastlog information after successful login.  If a user
	  in the face browser is selected, manage not asking for username
	  again here (if 3 password failures in a row then unselect face	
	  browser).  If a user is selected in the face browser, cancel all
	  conversations in a pam_authenticate run.   No longer try to be
	  smart about the username prompt - if PAM asks for a username
 	  then also ask the username about it.

2007-02-05  Brian Cameron  <brian.cameron@sun.com>

	* gui/mdmlogin.c:  Better fix for not showing the face browser
	  if the userlist is empty.  Now we add the model to the treeview
	  and add entries to the model rather than building the model first.
	  For some reason building the model first and adding it to the
	  treeview was causing a selection "changed" signal to get sent
	  which caused the interruption message to the slave process.
	  Fix by Ludwig Nussel <ludwig.nussel@suse.de>.

2007-02-05  William Jon McCann  <mccann@jhu.edu>

	* daemon/mdmconsolekit.c: (add_param_int), (add_param_boolean),
	  (add_param_string), (session_get_x11_display), (session_unlock),
	  (get_path_array_from_iter), (get_sessions_for_user),
	  (unlock_ck_session), (open_ck_session), (close_ck_session):
	  Switch from using the dbus-glib bindings to the lower
	  level API.  It just wasn't working out...  Fixes #400793
	* daemon/slave.c: (mdm_slave_session_start):
	  Move CK session close before post session scripts
	* gui/greeter/Makefile.am: Build fix

2007-01-31  Brian Cameron  <brian.cameron@sun.com>

	* gui/greeter/greeter_item_customlist.c,
	  gui/greeter/greeter_canvas_item.c,
	  gui/greeter/greeter_canvas_text.c, gui/greeter/greeter_session.c,
	  gui/mdmXnestchooser.c, gui/mdmchooser.c, gui/mdmconfig.[ch],
	  daemon/xdmcp.c, daemon/verify-pam.c, daemon/server.c,
	  daemon/mdmconfig.c, daemon/errorgui.c, daemon/misc.c:  Fix warnings
	  and fix an assertion in mdm because it called
	  mdm_xdmcp_send_forward_query also for IPv6.  Patch by Ludwig Nussel
	  <ludwig.nussel@suse.de>.
:
2007-01-26  Brian Cameron  <brian.cameron@sun.com>

	* gui/mdmsetup.d, daemon/slave.c: Fix some trivial spelling
	  errors.  Patch by ash@contact.bg.  Fixes bug #401656.

2007-01-26  Brian Cameron  <brian.cameron@sun.com>

	* gui/mdmsetup.c:  Fix spelling of minimal.  Fixes bug
	  #400698.

2007-01-22  Brian Cameron  <brian.cameron@sun.com>

	* daemon/slave.c: Avoid catching sigchld when trying to call
	  XOpenDisplay.  This corrects an issue where MDM catches a
	  second SIGCHLD when trying to restart.  In this situation
	  the slave freezes even though the Xserver and the session
	  are killed.  This causes the display to no longer manage
	  itself.  Patch by Roberto Tam <Roberto.Tam@sun.com>.

2007-01-22  Brian Cameron  <brian.cameron@sun.com>

	* gui/mdmsetup.diff:  Patch to fix c99 compiling.  Patch by
	  Jens Granseuer <jensgr@gmx.net>.  Fixes bug #399486.

2007-01-21  Brian Cameron  <brian.cameron@sun.com>

	* Release 2.17.6:
	* configure.ac: Update to new release version.
	* NEWS: Updated.

2007-01-21  Lukasz Zalewski  <lukas@dcs.qmul.ac.uk>

	Fix for bug #352263
	* gui/mdmsetup.c: Created more verbose warnings when defaults.conf or
	  custom.conf are missing before terminating. Also all the error
	  messages are displayed using dialogs rather than stdout. This is
	  especially useful when mdmsetup is run from within login mamaner as
	  it doesn't leave users wondering why it didnt start-up. Also check if
	  mdm daemon is running is made before check for config files. In such
	  setup appropriate message is displayed rather than config file not
	  found.
	* daemon/mdmconfig.c: Daemon will not start if main configuration file
	  (defaults.conf) is missing
	* daemon/slave.c: mdmsetup will not be launched if coustom.conf config
	  file is missing
	
2007-01-22  Brian Cameron  <brian.cameron@sun.com>

	* gui/mdmsetup.desktop.in.in: Remove GenericName since the 
	  value is redundant with the Name value.  Fixes bug #395790.

2007-01-08  Brian Cameron  <brian.cameron@sun.com>

	* gui/mdmsetup.c: Fixes so code will compile with c99
	  compilers.  Fixes bug #394421.  Patch provided by
	  Jens Granseuer <jensgr@gmx.net>.

2007-01-07  Brian Cameron  <brian.cameron@sun.com>

	* Release 2.17.5:
	* configure.ac: Update to new release version.
	* NEWS: Updated.

2007-01-07  Brian Cameron  <Brian.Cameron@sun.com>

	* gui/mdmchooser.glade, gui/mdmsetup.glade:  No longer hardcode
	  invisible_char property in glade files, instead rely on GTK+
	  default.  Patch by Vitaliy Ischenko <betalb@gmail.com>.  Fixes
	  bug #393904.

2007-01-07  Brian Cameron  <Brian.Cameron@sun.com>

	* gui/mdmcommon.c: Remove filter_watch after it is called for
	  the first time.  This filter is used to start at_spi_registryd
	  but after it is started there is no need to listen to the propery
	  any more.  Patch by Li Yuan <Li.Yuan@Sun.com>.  Fixes bug #393013.

2006-12-29  Lukasz Zalewski  <lukas@dcs.qmul.ac.uk>
	
	* gui/mdmsetup.c: Fixed minor bug which allowed users
	  with uid lower than minimalUID to be added to the include
	  list, by adding them to the include list (not applying the
	  changes yet), changing the value of the minmalUID and then 
	  applying changes.  Fixes bug #390147.
	* gui/mdmsetup.c: Fix some memory leaks.
	  
2006-12-29  Brian Cameron  <brian.cameron@sun.com>

	* configure.ac, daemon/Makefile.am, daemon/misc.[ch], 
	  daemon/slave.c, daemon/verify-pam.c:  Now MDM will recognize 
	  when the system language has changed and when new GUI's are
	  displayed they will be in the new system language without 
	  neeting to restart MDM.  By default the /var/sysconfig/i18n
	  file is assumed to have the language defined in LANG=foo format.
	  The --with-lang-file configure option may be needed to specify
	  a different system language configuration file.  On Solaris
	  it would be /etc/default/init, for example.  Note the change
	  to verify-pam is done to flush the hash table of pam messages
	  to useful translations.  This change implements enhancement
	  request #384603.  Patch by Ray Strode <rstrode@redhat.com>
	  and Takao Fujiwara <Takao.Fujiwara@sun.com>. 

2006-12-21  Lukasz Zalewski  <lukas@dcs.qmul.ac.uk>

	* More fixes/changes for bug/feature request #334186.
	* gui/mdmsetup.c: Fixed minor bug which resulted in a
	  warning related to the incorrect config value being displayed
	  when one of the custom command fields was toggled
	  gui/mdmsetup.glade: Minor changes in the commands dialog. for each
	  of the entry widgets added text explaining briefly its purpose (that
	  is besides the tooltip)
	
2006-12-16  Brian Cameron  <brian.cameron@sun.com>

	* gui/greeter/greeter_canvas_item.c, gui/greeter/greeter_system.c:
	  Backout changes I didn't mean to apply with last change.  This
	  added icons to the Options menu, but some of the icons aren't	
	  showing up because gnome-settings-daemon isn't running.  Want
	  to figure this out before I commit.

2006-12-16  Lukasz Zalewski  <lukas@dcs.qmul.ac.uk>
	
	* gui/mdmsetup.c, gui/mdmsetup.glade: More fixes/changes for
	  bug/feature request #334186.
	
2006-12-15  Brian Cameron  <brian.cameron@sun.com>

	* gui/greeter/greeter_item_ulist.c: Fix so we only hide
	  userlist if there are no users and the userlist is
	  actually turned on.

2006-12-15  Brian Cameron  <brian.cameron@sun.com>

	* daemon/errorgui.c:  No longer close descriptors when starting
	  dialog boxes because this causes the GUI to not display any
	  text.

2006-12-15  Lukasz Zalewski  <lukas@dcs.qmul.ac.uk>
	
	* gui/mdmsetup.c, gui/mdmsetup.glade: More fixes/changes for
	  bug/feature request #334186.
	
2006-12-14  Brian Cameron  <brian.cameron@sun.com>

	* daemon/mdm.c, daemon/mdmconfig.c, gui/mdmsetup.c,
	  gui/mdmlogin.c, gui/greeter/greeter_action_language.c,
	  gui/greeter/greeter_system.c: Fixes for compiling
	  with gcc 2.95.  Fixes bugs #385644 and #385650.
	  Patch provided by Jens Granseuer <jensgr@gmx.net>.

2006-12-13  Brian Cameron  <brian.cameron@sun.com>

	* Release 2.17.4:
	* configure.ac: Update to new release version.
	* NEWS: Updated.

2006-12-10  Lukasz Zalewski  <lukas@dcs.qmul.ac.uk>

	* vicious-extension/ve-nongnome.c, gui/mdmsetup.c,
	  gui/mdmsetup.glade, gui/greeter/greeter.c,
	  gui/mdmlogin.c, gui/mdmchooser.c, gui/mdmsession.[ch],
	  gui/mdmcommon.c, gui/greeter/greeter_canvas_item.c,
	  gui/greeter_item_customlist.c,
	  gui/greeter/greeter_item_pam.c,
	  gui/greeter/greeter_geometry.c: Additional fixes for bug/feature
	  request #334186.  Fixed some of the compiler warnings.

2006-12-08  Brian Cameron  <brian.cameron@sun.com>

	* gui/modules/AccessDwellMouseEvents.in,
	  gui/modules/AccessKeyMouseEvents.in: Update the default commands
	  so that they start orca instead of Gnopernicus.  Note that you
	  need Orca v2.17.4 or later to support running it with MDM.

2006-12-08  William Jon McCann  <mccann@jhu.edu>

	* daemon/mdmconsolekit.c: (close_ck_session):
	* daemon/slave.c: (session_child_run), (mdm_slave_session_start):
	  Don't set XDG_SESSION_COOKIE if we don't have a cookie.
	  Fixes #383866

2006-12-08  Lukasz Zalewski  <lukas@dcs.qmul.ac.uk>

	* gui/mdmsetup.c, gui/mdmsetup.glade: Additional fixes for bug/feature
	  request #334186
	
2006-12-07  Lukasz Zalewski  <lukas@dcs.qmul.ac.uk>
	
	Fixes bug/feature request #334186.
	Fixes bug #343206
	Fixes bug #347101
	* gui/mdmsession. [ch] (_mdm_session_list_init): Replaces functionality
	  of mdm_session_list_init
	* gui/mdmsession. [ch] (mdm_session_list_init): Becomes a wrapper for
	  _mdm_session_list_init, such that the old functionality within the
	  code is still preserved but session data can be available through
	  _mdm_session_list_init
	* gui/mdmsession.c : Removed mdmwm.h include
	* gui/mdmsession. [ch] (mdm_session_lookup): Removed all the
	  mdm_wm_query_dialog calls making the function accessible without need
	  for mdmwm libraries
	* gui/mdmsession. [ch] (mdm_set_save_session): Sets save session
	  variable
	* gui/mdmsession. [ch] (mdm_get_default_session): Returns default
	  session
	* gui/mdmlogin.c (process_operation): Added mdm_wm_query_dialog calls
	  for processing lookup session results
	* gui/greeter/greeter.c (process_operation): Added
	  mdm_wm_query_dialog calls for processing lookup session results
	* gui/mdmuser. [ch] (mdm_user_uid): Returns uid of a user, or -1 if
	  user does not exist
	* gui/mdmuser. [ch] (get_root_user): Moved from mdmsetup.c
	* gui/mdmsetup.glade: New widgets and tooltips added
	* gui/mdmsetup.c: Numerous functions added/modifed to make way for new
	  functionality
	* gui/mdmsetup.c (combobox_changed): Additional fix for bug #358114	
		
2006-12-05  Brian Cameron  <brian.cameron@sun.com>

	* vicious-extensions/ve-miscui.c: Same fix for 
	  primary message.

2006-12-05  Brian Cameron  <brian.cameron@sun.com>

	* vicious-extensions/ve-miscui.c, gui/mdmchooser.c: Cleaner
	  fix for same problem fixed in last commit.

2006-12-05  Brian Cameron  <brian.cameron@sun.com>

	* vicious-extensions/ve-miscui.c, gui/mdmchooser.c: Fix so
	  that if the "%" key is entered in the input field in 
	  mdmchooser, the secondary message in the error dialog
	  displays properly.  Also fix ve-miscui.c so that if "%"
	  exists in the secondary message, to not display it.
	  Message must have "%%" to display the "%" character.
	  This fixes CVE-2006-6105.

2006-12-04  Brian Cameron  <brian.cameron@sun.com>

	* Release 2.17.3:
	* configure.ac: Update to new release version.
	* NEWS: Updated.

2006-12-04  Brian Cameron  <brian.cameron@sun.com>

	* daemon/errorgui.c, daemon/mdm.[ch], daemon/slave.c,
	  daemon/verify-pam.c:  Patch that makes the MDM daemon
	  (rather than the forked slave) cause all dialogs to be
	  displayed.  This improves accessibility for MDM because
	  any AT programs (such as GOK, Gnopernicus or Orca) which
	  are launched from MDM will now better work with such
	  dialogs.  This is needed because dialogs will show up
	  running as the user if they appear after authentication
	  and at this point the at-spi-registryd is running as the
	  mdm user.  We want all MDM dialogs to run as the mdm
	  user.  Patch by Leena Gunda <leena.gunda@wipro.com> and
	  Srirama Sharma <Srirama.Sharma@Sun.COM>.  Note that
	  there have been some reports that this change triggers
	  GDK bug #376315 on Linux when a11y is turned off.  This
	  will probably need to be fixed before the next stable
	  release.  I think this a11y fix is important enough to
	  introduce this bug in the development cycle.  Workaround
	  for now is to turn on a11y.

2006-12-01  Brian Cameron  <brian.cameron@sun.com>

	* gui/mdmsetup.desktop.in.in.  Implement the tooltip suggestion
	  for mdmsetup suggested by Calum Benson.  Fixes bug #375634.

2006-11-28  Brian Cameron  <brian.cameron@sun.com>

	* config/Xsession.in config/default.desktop.in:  Since the
	  default.desktop file really just runs the Xclients script
	  it should have a better name that specifies this is what
	  it does.   Modify the default fallback program if no
	  Xclients file exists to xterm since xsm isn't on all 
	  systems.  This is a safer fallback.  Patch by 
	  Padraig O'Briain <Padraig.OBriain@sun.com>, modified by
	  myself.

2006-11-28  Brian Cameron  <brian.cameron@sun.com>

	* gui/mdmsession.c: Fix for TryExec check in mdmsession.c so 
	  that it does not pass arguments into g_find_program_in_path
	  since it causes it to say it is not executable if arguments
	  are passed in.

2006-11-27  Brian Cameron  <brian.cameron@sun.com>

	* gui/mdmlanguages.c, config/locale.alias: Rename Panjabi to
	  Punjabi.  Fixes bug #378724.

2006-11-22  Brian Cameron  <brian.cameron@sun.com>

	* NEWS:  Add 2.16.3 info.

2006-11-08  Lukasz Zalewski  <lukas@dcs.qmul.ac.uk>
	
	More changes related to bug #352924.
	* gui/mdmsetup.c: Made warnings more self-explanatory when no themes 
	  are selected in "Random from selected" mode. Enabled back the delete 
	  button on the "Random from selected" view for the currently selected
	  theme in the single theme view with a slight modification - users can
	  click on it but get told that they need to first deselect it from
	  "Single theme" mode first in order to delete it. Also upon closure if
	  users have activeted "Random form selected" but have not selected any
	  themes for it, they will be informed that the greeter will default to
	  single theme mode.
	
2006-11-06  Brian Cameron  <brian.cameron@sun.com>

	* gui/mdmlanguages.c, config/locale.alias:  Add 
	  Serbian and Montenegro languages.  Patch provided by
	  Peter Nugent <Peter.Nugent@sun.com>

2006-11-06  Brian Cameron  <brian.cameron@sun.com>

	* daemon/verify-pam.c: Update to make casting more clear.
	  This fixes a problem noticed with the Kerberos PAM module.
	  Kerberos was sending the proper error message but mdm was not
	  accessing it properly.  This message comes as "struct pam_message"
	  and is accesed using a double pointer "**msg".MDM was treating
	  msg as a pointer to an array of "num_msg"s of "struct pam_message"
	  whereas it actually is pointer to a pointer to an array of
	 "num_msg"s of "struct pam_message".

2006-11-06  Brian Cameron  <brian.cameron@sun.com>

	* Release 2.17.2:
	* configure.ac: Update to new release version.
	* NEWS: Updated.
	* utils/Makefile.am: Add back X_EXTRA_LIBS and X_LIBS to
	  mdm-dmx-reconnect-proxy to fix bug #368808.

2006-11-04  Lukasz Zalewski  <lukas@dcs.qmul.ac.uk>
	
	Fixes bug #352924.
	* gui/mdmsetup.c: Added warnings when no themes are selected in
	  Random from selected mode. Random from selected option can only be 
	  enabled only and only if one or more themes are selected. Also 
	  disabled the delete button on the Random from selected view for 
	  the currently selected theme in the single theme view mode.

2006-11-02  Brian Cameron  <brian.cameron@sun.com>

	* gui/mdmlanguages.c, config/locale.alias:  Add several new
	  languages.  Patch provided by Peter Nugent <Peter.Nugent@sun.com>

2006-11-01  Brian Cameron  <brian.cameron@sun.com>

	* gui/greeter/greeter_item_customlist.c: Fix casting.

2006-11-01  William Jon McCann  <mccann@jhu.edu>

	* Makefile.am:
	* daemon/Makefile.am:
	  Fix make distcheck.

2006-10-31  William Jon McCann  <mccann@jhu.edu>

	* configure.ac:
	* daemon/Makefile.am:
	* daemon/mdm.c: (main):
	* daemon/mdmconsolekit.c: (add_param_int), (add_param_boolean),
	  (add_param_string), (get_string), (unlock_ck_session),
	  (open_ck_session), (close_ck_session):
	* daemon/mdmconsolekit.h:
	* daemon/slave.c: (mdm_slave_check_user_wants_to_log_in),
	  (session_child_run), (mdm_slave_session_start):
	  Add ConsoleKit support.  Fixes #365375.

2006-10-31  Brian Cameron  <brian.cameron@sun.com>

	* gui/greeter/greeter_item_customlist.c: Fix custom lists so
	  that focus does not leave the username/password entry field.
	* gui/greeter/greeter_item_pam.c: Minor cleanup.

2006-10-30  Brian Cameron  <brian.cameron@sun.com>

	* Release 2.17.1:
	* NEWS: Updated.
	* configure.ac: Update to new release version.
	* gui/greeter/greeter_canvas_item.c, gui/greeter/greeter_system.c:
	  Back out patch from 10/17 from Sebastien Bacher <seb128@debian.org>
	  since we don't have icons yet.

2006-10-30  Brian Cameron  <brian.cameron@sun.com>

	* gui/greeter/greeter_item_ulist.c: Minor fix to last patch.
	* gui/greeter/themes/circles/circles.xml
	* gui/greeter/themes/happygnome/happygnome.xml:  Add userlist
	  now that it will disappear if there are no users to display.

2006-10-30  Brian Cameron  <brian.cameron@sun.com>

	* gui/greeter/greeter.c, gui/greeter/greeter_item_ulist.[ch],
	  gui/greeter_item_pam.c:  Similar usability fixes for mdmgreeter.
	  OK/Cancel buttons are now sensitive/insensitive (but only if
	  using GTK style buttons), and the userlist now is not shown
	  if there are no users.  Added a new item id "userlist-rect"
	  which can be used to specify the rectangle containing the
	  userlist, so it can also disappear when the userlist is
	  empty.
	* gui/greeter/themes/happygnome-list/happygnome.xml:  Now use
	  "userlist-rect" so the alpha rectangle goes away when the
	  list is empty.

2006-10-30  Brian Cameron  <brian.cameron@sun.com>

	* gui/mdmlogin.c: Number of usability fixes for mdmlogin.c.  Now
	  do not bother showing browser userlist widget if there are no
	  users to display.  Now OK and Cancel buttons are set sensitive or
	  insensitive based on context (OK only if something is in the entry
	  field and Cancel if not on "Username" request).  Fixed bug causing
	  face browser to autoselect first user.  I changed the behavior
	  of how key events are listened to.  Now respond on release instead
	  of press for accepting Tab key as Enter, back_prog delay,
	  timed_login reset, and flexiserver reaping.  This made setting the
	  buttons sensitive/insensitive easier.

2006-10-30  Brian Cameron  <brian.cameron@sun.com>

	* config/mdm.conf.in, daemon/mdm.c, daemon/mdm.h, daemon/mdmconfig.c,
	  gui/mdmlogin.c, gui/greeter/greeter.c, gui/greeter/greeter_item.c,
	  gui/greeter/greeter_configuration.h, gui/greeter/greeter_system.c:
	  Add new QUERY_CUSTOM_CMD_LABELS and
	  QUERY_CUSTOM_CMD_NO_RESTART_STATUS commands and the new
 	  CustomCommandIsPersistent[0-9]

2006-10-29  Lukasz Zalewski  <lukas@dcs.qmul.ac.uk>

	Fixes enhancement request #358114.
	* daemon/mdmconfig.c: Added variables & functions used to read/store 
	  CustomCommands related values
	* daemon/mdm.c (custom_cmd): New function that handles 
	  execution of CustomCommands.
	* daemon/mdm.c (custom_cmd_restart): New function that handles 
	  execution of CustomCommand if NoRestart option is set to false
	* daemon/mdm.c (custom_cmd_no_restart): New function that handles 
	  execution of CustomCommand if NoRestart option is set to true
	* daemon/mdm. [ch]: Updated macros and several functions to accomodate 
	  new CustomCommands functionality
	* daemon/slave.c: Added Custom command interrupt handler to handle 
	  the CustomCommands execution.
	* gui/mdmlogin.c (mdm_custom_cmd_handler): New function that handles 
	  execution of CustomCommands
	* gui/mdmlogin.c: Added variables and updated several functions to
	  accomodate new CustomCommand functionality
	* gui/greeter/greeter_configuration.h: Added variables used to 
	  store CustomCommand related values
	* gui/greeter/greeter.c: Added variables that use/store 
	  CustomCommand related values
	* gui/greeter/greeter_item.c: Added visibility check for custom_cmd
	  related widgets
	* gui/greeter/greeter_parser.c: Added code for parsing custom_cmd stock
	  items
	* gui/greeter/greeter_system.c (greeter_custom_cmd_handler): New
 	  function that handles execution of CustomCommand
	* gui/greeter/greeter_system.c (query_greeter_custom_cmd_handler): New
	  function that handles execution of CustomCommand (with warn message
	  query beforehand)
	* gui/greeter/greeter_system.c: Updated macros and several functions
	  to accomodate new CustomCommand functionality

2006-10-26  Brian Cameron  <brian.cameron@sun.com>

	* gui/mdmcommon.c, gui/greeter/greeter.c:  Never die if
	  at-spi-registryd can not be started.  Fixes bug #345434.  Patch by
	  Ariel Rios  <ariel@gnu.org>.

2006-10-26 Erwann Chenede - <erwann.chenede@sun.com>

	* gui/greeter/greeter_parser.c: introduced altfile[n] property
	  to cater for alternate image file definition.

2006-10-23  Dwayne Bailey  <dwayne@translate.org.za>

	* gui/mdmlanguages.c: Add Xhosa and fix native name for Zulu

2006-10-23  Brian Cameron  <brian.cameron@sun.com>

	* utils/Makefile.am: Remove X_EXTRA_LIBS and X_LIBS from
	  building of dm_dmx_reconnect_proxy since these libraries
	  are not needed for building this program.

2006-10-20  Brian Cameron  <brian.cameron@sun.com>

	* gui/mdmsession.[ch], gui/greeter/greeter.c,
	  gui/greeter/greeter_action_language.[ch],
	  gui/greeter/greeter_canvas_item.[ch], gui/greeter/greeter_parser.c,
	  gui/greeter/greeter_item_customlist.[ch],
	  gui/greeter/greeter_session.[ch],
	  gui/greeter/themes/*/*xml: Now support "combo" style lists and
	  support "language" and "session" lists which can be used directly
	  in the theme rather than having to use the session/language
	  pop-ups.  Suggestion from Boston GNOME Summit.  The default themes
	  now support these combo boxes.
	* gui/greeter_item_ulist.c: Cleanup
	* gui/mdmconfig.[ch]: Renamed function to mdm_save_customlist_data,
	  so it is more clear what the function does.

2006-10-17  Brian Cameron  <brian.cameron@sun.com>

	* gui/greeter/greeter_canvas_item.c, gui/greeter/greeter_system.c:
	  Add icons to the F10/Options menu.  Fixes RFE #360984.  Patch by
	  Sebastien Bacher <seb128@debian.org>.

2006-10-17  Brian Cameron  <brian.cameron@sun.com>

	* gui/mdmphotosetup.c: Enable help button.  Fixes bug #362853.
	  Patch by Matthias Clasen <mclasen@redhat.com>.

2006-10-16  Brian Cameron  <brian.cameron@sun.com>

	* Release 2.17.0:
	* NEWS: Updated.
	* configure.ac: Update to new release version.

2006-10-16  Brian Cameron  <brian.cameron@sun.com>

	* NEWS, daemon/auth.c, daemon/mdm.c, daemon/slave.c: Clean up
	  comments.

2006-10-09  Brian Cameron  <brian.cameron@sun.com>

	* gui/mdmlogin.c, gui/greeter/greeter.c, 
	  gui/greeter/greeter_parser.c:  Fix new at-spi code so that if
	  DOING_MDM_DEVELOPMENT is set it does not try to launch the AT
	  registry daemon.  Also fix broken string.
	* gui/greeter/greeter_item_ulist.c:  Fix code to avoid printing
	  out warnings when DOING_MDM_DEVELOPMENT is set.  Do not process
	  face browser code when user_list is NULL.

2006-10-08  Brian Cameron  <brian.cameron@sun.com>

	* gui/Makefile.am: Add -lX11 to link statements so that the new code
	  from Ariel that uses X atoms will build on Solaris.

2006-10-08  Brian Cameron  <brian.cameron@sun.com>

	* daemon/auth.c: Fix comment.

2006-10-08  Brian Cameron  <brian.cameron@sun.com>

	* gui/mdmcommon.c: Add missing break statement to case 't' in the
	  function mdm_common_expand_text.

2006-10-05  Brian Cameron  <brian.cameron@sun.com>

	* daemon/auth.c: Set authdir to NULL after freeing to avoid accessing
	  an invalid pointer.  Fixes bug #359831.  Patch provided by
	  Amnon Aaronsohn <bla@cs.huji.ac.il>.

2006-10-04  Ariel Rios  <ariel@gnu.org>

	Fixes bug #345434.
	* gui/mdmcommon.h (mdm_common_atspi_launch) Header for launching
	  the registry.
	* gui/mdmcommon.c (pre_atspi_launch): Execute the registry
	  that is supposed to be located on LIBEXECDIR. 
	  (filter_watch): Called whenever we get the PropertyNotify 
	  event and the we exit the gtk_main loop we are on and remove 
	  the event from the queue.
	  (filter_timeout): Function launched if after 1 second the registry
	  is not found.
	  (error_dialog): Display message saying no at-spi-registryd was found.
	  (mdm_common_atspi_launch): Launchs the registry, starts checking for
	  property changes on the X root window. If the registry is found we
	  continue executing the GUI.
	* gui/mdmlogin.c (main): Launch gdk_init and then lunch the 
	  at-spi-registry if GTK_ADD_MODULES is set on.
	* gui/greeter/greeter.c (main): Ditto.

2006-10-02  Brian Cameron  <brian.cameron@sun.com>

	* NEWS: Add info about 2.16.1 release.

2006-09-27  Brian Cameron  <brian.cameron@sun.com>

	* gui/mdmsetup.c:  Fix so the wm close works as the Close button
	  in the dialog.  Fixes bug #358002.  Patch by Matthias Clasen
 	  <mclasen@redhat.com>.
	  
2006-09-27  Brian Cameron  <brian.cameron@sun.com>

	* gui/mdmsetup.c: Use g_markup_printf_escaped so mdmsetup better
	  handles description strings that contains things similar to
	  a tag like an email address.  Fix bug #357998.  Patch by
	  Matthias Clasen <mclasen@redhat.com>.
	* gui/mdmsession.c: Add comment about valgrind complaining that
	  session is leaked.

2006-09-27  Brian Cameron  <brian.cameron@sun.com>

	* gui/mdmconfig.c, gui/greeter/greeter_parser.c:  Fix more
	  memory leaks.  Fixes bug #357879.  Patch provided by Kjartan
	  Maraas. <kmaraas@gnome.org>.

2006-09-26  Brian Cameron  <brian.cameron@sun.com>

	* gui/mdmconfig.c, gui/greeter/greeter.c, gui/greeter/greeter_parser.c:
	  Fix memory leaks.  Fixes bug #357879.  Patch provided by Kjartan
	  Maraas. <kmaraas@gnome.org>.

2006-09-26  Brian Cameron  <brian.cameron@sun.com>

	* daemon/slave.c, daemon/verify-crypt.c, daemon/verify-pam.c,
	  daemon/verify-shadow.c, gui/mdmcommon.c: Fix so that if 
	  timed login script returns an invalid user, timed login is
	  not turned on.  Fixes bug #340148.  Patch by Andrew
	  (andrewz@springsrescuemission.org).
	* gui/mdmuser.c: Fix mdm_is_user_valid so it is more simple,
	  like implemented in daemon/slave.c by Andrew.

2006-09-23  Brian Cameron  <brian.cameron@sun.com>

	* gui/mdmflexiserver.c: Add g_type_init() since this is needed for
	  -a (authentication) code to work.

2006-09-22  Brian Cameron  <brian.cameron@sun.com>

	* config/mdm.conf.in, daemon/filecheck.c, daemon/mdm.h
	  daemon/mdmconfig.c: Now mdm.conf has SupportAutomount option which,
	  when turned on, changes the way that MDM accessess the user's
	  $HOME/.dmrc file so that automounted $HOME directories can be
	  configured to work even with the automounter is not started with
	  the --ghost option.  This feature is off by default.  This addresses
	  RFE bug #356869.  Patch by Jerzy Borkowski <jubork@ncac.torun.pl>.

2006-09-11  Brian Cameron  <brian.cameron@sun.com>

	* daemon/mdm.c: Move call to get MDM_KEY_SYSTEM_MENU
	  until after authentication check.  Fixes bug
	  #352838.  Patch by Frederic Crozat
	  <fcrozat@mandriva.com>.

2006-09-04  Brian Cameron  <brian.cameron@sun.com>

	* Release 2.16.0:
	* NEWS: Updated.
	* configure.ac: Update to new release version.

2006-08-23  Brian Cameron  <brian.cameron@sun.com>

	* daemon/mdm.c: Make the SDTLOGIN logic a bit smarter and
	  use g_unlink() instead of unlink().

2006-08-23  Brian Cameron  <brian.cameron@sun.com>

	* daemon/mdm.h: Corrections to comments.

2006-08-21  Brian Cameron  <brian.cameron@sun.com>

	* Release 2.15.10:
	* NEWS: Updated.
	* configure.ac: Update to new release version.

2006-08-15  Kjartan Maraas  <kmaraas@gnome.org>

	* configure.ac: Fix intltool req.

2006-08-08  Ray Strode <rstrode@redhat.com>

	* gui/mdmwm.[ch] (mdm_wm_center_cursor): new function
	  that centers mouse pointer on one head

	* gui/greeter/greeter.c (main): center cursor on main
	  xinerama head on startup (looks nicer and as a side
	  effect should fix bug 327530)

2006-08-07  Brian Cameron  <brian.cameron@sun.com>

	* Release 2.15.9:
	* NEWS: Updated.
	* configure.ac: Update to new release version.

2006-08-03  Brian Cameron  <brian.cameron@sun.com>

	* daemon/slave.c: Remove calls to syslog/malloc that are called
	  from inside signal handlers, since they are not safe.  Patch
	  provided by Ray Strode <rstrode@redhat.com>.

2006-08-03  Ray Strode <rstrode@redhat.com>

	* configure.ac: look for /usr/bin/Xorg when searching for
	  X servers (bug 349836).

2006-08-03  Brian Cameron  <brian.cameron@sun.com>

	* config/mdm.conf.in, config/mdm.conf-custom: Improved comments
	  to make mdm.conf/custom.conf more clear.

2006-08-03  Brian Cameron  <brian.cameron@sun.com>

	* gui/greeter/greeter.c: Fix the setup of the iochannel so that
	  it happens after the face browser is set up.  The recent changes
	  Ray Strode made to make the message input nonblocking seemed
	  to break the Face Browser logic.  This patch makes sure that
	  the face browser is setup before setting up the iochannel.  The
	  face data is sent from the daemon to the slave along the same
	  channel, but these messages are not formatted like the other
	  messages.  Patch provided by Ray Strode <rstrode@redhat.com>.

2006-08-02  Brian Cameron  <brian.cameron@sun.com>

	* daemon/mdm.c: Fix error message that gets printed when
	  you try to run MDM as non-root user.
	* gui/greeter/greeter_action_language.c,
	  gui/greeter/greeter_canvas_item.c,
	  gui/greeter/greeter_session.c,
	  gui/greeter/greeter_system.c: I think this time I finally fixed
	  the focus management in mdmgreeter so that when using the Options
	  button the focus remains in the entry.
	* gui/greeter/greeter_parser.c: Only free the hash table if it
	  is not-NULL.

2006-07-31  Brian Cameron  <brian.cameron@sun.com>

	* NEWS: Updated with 2.14.9 and 2.14.10 info.

2006-07-31  Brian Cameron  <brian.cameron@sun.com>

	* Release 2.15.8:
	* NEWS: Updated.
	* configure.ac: Update to new release version.

2006-07-31  Brian Cameron  <brian.cameron@sun.com>

	* gui/mdmcommon.c: Fix mdm_common_setup_blinking so it doesn't
	  try to call g_signal_add_emission_hook if sid is 0.  This fixes
	  a crash in mdmchooser because we were trying to set the 
	  emission hook for a type that was not used or initialized in the
	  mdmchooser GUI.   This fixes bug #349221.
	* gui/mdmcommon.c: Set hosts_opt to NULL, otherwise processing of
	  hosts from the command line would not get done if the compiler
	  put a non-NULL value into its initial value, as it does on 
	  Solaris.

2006-07-24  Brian Cameron  <brian.cameron@sun.com>

	* Release 2.15.7:
	* NEWS: Updated.
	* configure.ac: Update to new release version.  Removing
	  docs/sv/Makefile from files to create, since it seems
	  to have build problems.

2006-07-21  Ray Strode  <rstrode@redhat.com>

	* gui/mdmlogin.c, gui/greeter/greeter.c: fix off by one
	  error in previous patch.

2006-07-18  Brian Cameron  <brian.cameron@sun.com>

	* gui/mdmlogin.c, gui/greeter/greeter.c: This patch attempts
	  to fix the problem by turning on io channel's internal
	  buffering feature, searching for the start of the next
	  message in the read in bytes and seeking backward to the
	  byte before the start of the next message.   We then
	  process only one message and return, picking up the next
	  message next iteration of the main loop.  Patch provided
	  by Ray Strode <rstrode@redhat.com>.

2006-07-18  Brian Cameron  <brian.cameron@sun.com>

	* gui/mdmlogin.c, gui/mdmsession.[ch], gui/greeter/greeter.c,
	  gui/greeter/greeter_session.[ch]: Fix for bug #341619.  Now
	  MDM does not save the Failsafe GNOME or Xterm session as the
	  user's default.  Cleaned up the code and moved duplicate
	  functions from mdmlogin/mdmgreeter code to mdmsession common
	  code.

2006-07-17  Brian Cameron  <brian.cameron@sun.com>

	* gui/mdmsetup.c:  Fix for bug causing mdmsetup to have
	  performance issues starting up.  Fixes bug #345118.
	  Patch by Ray Strode <rstrode@redhat.com>.

2006-07-17  Brian Cameron  <brian.cameron@sun.com>

	* daemon/mdmconfig.c: Fix for compiling with GCC 2.95.
	  Fix for bug #347625.  Patch by Jens Granseuer
	  <jensgr@gmx.net>.

2006-07-10  Brian Cameron  <brian.cameron@sun.com>

	* Release 2.15.6:
	* NEWS: Updated.
	* configure.ac: Update to new release version.

2006-06-30  Brian Cameron  <brian.cameron@sun.com>

	* gui/mdmcommon.c: Fix timed login message so it works
	  when TimedLogin is set to use a piped script.  
	* gui/mdmwm.c: Make comment nicer.

2006-06-25  Brian Cameron  <brian.cameron@sun.com>

	* gui/mdmsetup.diff:  Now User scrolling regions are only
	  scrollable vertically.  Fix for bug #345881.  Patch by 
	  Philippe Troin <phil@fifi.org>.

2006-06-25  Brian Cameron  <brian.cameron@sun.com>

	* daemon/mdm.c: Fix decoding of suspend message in the daemon
	  so the suspend command works.  Fixes bug #345829.  Patch
	  provided by Philippe Troin <phil@fifi.org>.

2006-06-19  Brian Cameron  <brian.cameron@sun.com>

	* gui/mdmsetup.c: Fix bug that causes mdmsetup to not fail properly
	  when there is no custom config file.

2006-06-16  Brian Cameron  <brian.cameron@sun.com>

	* gui/greeter/greeter_action_language.c,
	  gui/greeter/greeter_session.c, gui/greeter/greeter_system.c:
	  Make sure focus is returned to entry after dialogs are launched	
	  from the options button.
	
2006-06-16  Brian Cameron  <brian.cameron@sun.com>

	* pixmaps/nobody.png: Updated so it uses official GNOME logo.
	  Fixes bug #343571.  Image provided by Diana Fong
	  <dfong@redhat.com>.

2006-06-16  Brian Cameron  <brian.cameron@sun.com>

	* pixmaps/nohost.png: Updated so it uses official GNOME logo.
	  Fixes bug #343571.  Image provided by Diana Fong
	  <dfong@redhat.com>.

2006-06-12  Brian Cameron  <brian.cameron@sun.com>

	* Release 2.15.5:
	* NEWS: Updated.
	* configure.ac: Update to new release version.

2006-06-09  Brian Cameron  <brian.cameron@sun.com>

	* daemon/mdmconfig.c, gui/mdmconfig.c, gui/mdmsetup.c:  Fix
	  more warnings.
 
2006-06-09  Brian Cameron  <brian.cameron@sun.com>

	* daemon/verify-pam.c: Fix autologin Pam service name.  Fixes bug
	  #344191.
	* daemon/mdmconfig.c, gui/mdmconfig.c, gui/mdmdynamic.c, 
	  gui/mdmsetup.c, gui/greeter/greeter.c, 
	  gui/greeter/greeter_canvas_item.c, gui/greeter/greeter_geometry.c
	  gui/greeter/greeter_item_pam.c, gui/greeter/greeter_parser.c,
	  gui/greeter/greeter_system.c, utils/prefetch.c: Fix warnings.

2006-06-07  Brian Cameron  <brian.cameron@sun.com>

	* Release 2.15.4:
	* NEWS: Updated.
	* configure.ac: Update to new release version.

2006-06-06  Brian Cameron  <brian.cameron@sun.com>

	* gui/mdmflexiserver.c:  Call mdmcomm_check with FALSE so that ti
	  doesn't try to pop-up a GUI.  Sometimes mdmflexiserver is called
	  by processes that do not have access to the display so this causes
	  a crash, and mdmflexiserver prints out errors anyway.
	* gui/modules/AccessDwellMouseEvents.in: Added gestures so you can
	  run the same commands as in AccessKeyMouseEvents.in with dwell
	  gestures.
	* gui/modules/AccessKeyMouseEvents.in: Cleanup
	* gui/modules/keymouselisttener.c, gui/modules/dwellmouselistener.c:
	  Added debug.

2006-05-31  Brian Cameron  <brian.cameron@sun.com>

	*  gui/greeter/greeter_item_ulist.c: Correction to previous fix.
	
2006-05-31  Brian Cameron  <brian.cameron@sun.com>

	* gui/mdmlogin.c, gui/greeter/greeter.c, 
	  gui/greeter/greeter_item_ulist.c, gui/greeter/greeter_system.c:
	  Correct serious issue where user can enter the configure 
	  screen with their user password instead of the root password.
	  Fixes bug #343476.

2006-05-30  Brian Cameron  <brian.cameron@sun.com>

	* vicious-extensions/ve-config.c: Now save in
	  UTF-8 format to avoid putting non-ASCII values in
	  the config file, such as with the "Welcome" string.
	  Fixes bug #335713.  Patch provided by Frederic
	  Peters <fpeters@entrouvert.com>

2006-05-30  Brian Cameron  <brian.cameron@sun.com>

	* daemon/mdm.c: Remove some unused code.
	* gui/mdmsetup.c: Fix so when you click on the include_all
	  button, the Automatic/Timed login values update properly.
	  Fixes bug #343203.

2006-05-24  Brian Cameron  <brian.cameron@sun.com>

	* daemon/mdm.c: Put back support for -nodaemon argument, lost in the
	  2006-05-12 patch by Christian Kirbach.  This fixes bug #324831.
	  Patch provided by Ray Strode <rstrode@redhat.com>.

2006-05-23  Brian Cameron  <brian.cameron@sun.com>

	* NEWS:  Add 2.14.7 info.

2006-05-22  Brian Cameron  <brian.cameron@sun.com>

	* gui/mdmlogin.c, gui/greeter/greeter.c, 
	  gui/greeter/greeter_item_ulist.[ch]: Now when a user is 
	  selected and a bad password is entered, MDM remembers the
	  username and just asks for the password again.  You now must
	  hit the Cancel/Start Again button to unselect the user from
	  the userlist.  Fixes bug #342574.
	* gui/greeter/greeter_action_language.[ch]: Fix prototype
	  warning.

2006-05-22  Brian Cameron  <brian.cameron@sun.com>

	* gui/greeter/greeter_events.c:  Fix so that the entry field 
	  always has focus after a button press, which wasn't working
	  if the buttons were GTK+ style.

2006-05-19  Brian Cameron  <brian.cameron@sun.com>

	* daemon/mdm.c, daemon/mdmconfig.[ch], daemon/slave.c,
	  daemon/verify-pam.c: Fix per-display configuration so it
	  also works for greeter/SystemMenu and greeter/ChooserButton
	  keys.  Add new mdmconfig.c interfaces for getting keys in
	  a per-display fashion so they are easier to use.

2006-05-18  Brian Cameron  <brian.cameron@sun.com>

	* config/Makefile.am: Do not cause make install to fail if chown
	  fails.

2006-05-17  Brian Cameron  <brian.cameron@sun.com>

	* daemon/auth.c: Check if authdir is the fallback dir.  If not,	
	  and MDM cannot access the user's $HOME directory, then try and
	  use the fallback directory.  Fixes bug #342116.  Patch provided
	  by Arjan Timmerman <arjan@soulfly.nl>.

2006-05-15  Brian Cameron  <brian.cameron@sun.com>

	* Release 2.15.3:
	* NEWS: Updated.  Also include 2.14.6 NEWS.
	* configure.ac: Update to new release version.

2006-05-15  Brian Cameron  <brian.cameron@sun.com>

	* configure.ac: Clean up the code a bit so that we don't figure
	  out the real prefix twice.

2006-05-15  Brian Cameron  <brian.cameron@sun.com>

	* configure.ac: Fix configure so it builds the path to use for
	  mdm-ssh-session desktop file properly if --libexecdir isn't
	  passed to configure.

2006-05-15  Brian Cameron  <brian.cameron@sun.com>

	* gui/mdmcommon.c: Use ngettext.  Patch provided by Benoit Dejean
	  <benoit@placenet.org>.  Fixes bug #341680.

2006-05-12  Brian Cameron  <brian.cameron@sun.com>

	* utils/Makefile.am: Add mdm-ssh-session to EXTRA_DIST.

2006-05-12  Brian Cameron  <brian.cameron@sun.com>

	* gui/mdmsession.c: Fix bug that was causing the
	  ShowGnomeFailsafeSession and ShowGnomeXtermSession configuration
	  values not to work right.

2006-05-12  Christian Kirbach  <Christian.Kirbach@siemens.com>

	* daemon/mdm.c, gui/mdmXnestchosser.c, gui/mdmchooser.c,
	  gui/mdmflexiserver.c: stop using popt in favour of glib's GOption
	  command line parsing.
	* daemon/mdm.c (mdm_handle_user_message): Fix compiler warning (too
	  few arguments).
	* gui/mdmconfig.c (mdm_config_get_xservers): Remove two obsolete
	  variable declarations.

2006-05-12  Brian Cameron  <brian.cameron@sun.com>

	* Release 2.15.2:
	* NEWS: Updated.
	* configure.ac: Update to new release version.

2006-05-12  Brian Cameron  <brian.cameron@sun.com>

	* gui/greeter/greeter_geometry.c: Fix layout of buttons.
	  Patch provided by Erwann Chenede <erwann.chenede@sun.com>.

2006-05-12  Brian Cameron  <brian.cameron@sun.com>

	* Release 2.15.1:
	* NEWS: Updated.
	* configure.ac: Update to new release version.

2006-05-12  Brian Cameron  <brian.cameron@sun.com>

	* gui/greeter/greeter_parser.c: Fix spacing.

2006-05-10  Brian Cameron  <brian.cameron@sun.com>

	* daemon/mdm.c: Fix reference to SystemMenu key as a boolean, not
	  a string, so that SuspendCommand works right.  Fixes bug #341312.  

2006-05-09  Brian Cameron  <brian.cameron@sun.com>

	* gui/mdmlogin.c, gui/greeter/greeter_parser.c,
	  gui/greeter/themes/circles/circles.xml,
	  gui/greeter/themes/happygnome/happygnome.xml,
	  gui/greeter/themes/happygnome-list/happygnome-list.xml:  Change
	  "Start Over" to "Start Again" since discussion with Calum Benson
	  determined that "Start Over" is not good English.

2006-05-09  Brian Cameron  <brian.cameron@sun.com>

	* config/ssh.desktop.in.in, utils/Makefile.am: Finally fix bug
	  #340960

2006-05-09  Brian Cameron  <brian.cameron@sun.com>

	* configure.ac, gui/greeter/greeter_geometry.c: Fix configure
	  so it puts the right string into ssh.desktop.in, 
	* gui/greeter/greeter_geometry.c: Backout change made on
	  05/08, since it was broken.

2006-05-09  Brian Cameron  <brian.cameron@sun.com>

	* config/ssh.desktop.in.in:  Added new file.
	* config/ssh.desktop.in: Remove old file.
	* config/.cvsignore: Added generated ssh.desktop.in file.

2006-05-09  Brian Cameron  <brian.cameron@sun.com>

	* config/Makefile.am: Do chown after chmod.

2006-05-09  Brian Cameron  <brian.cameron@sun.com>

	* configure.ac, config/Makefile.am, utils/Makefile.am: Fix the
	  installation of ssh.desktop and mdm-ssh-session so that the
	  desktop file is translated and mdm-ssh-session is installed
	  to libexecdir.  Fixes bugs #340958 and #340960.

2006-05-08  Brian Cameron  <brian.cameron@sun.com>

	* gui/greeter/greeter_geometry.c: Now be smarter about child
	  allocation width when working with fixed.

2006-05-08  Brian Cameron  <brian.cameron@sun.com>

	* daemon/slave.c: Fix reference to the security/AllowRemoteAutoLogin
	  so it is accessed as a boolean, not a string.  Fixes remote 
	  autologin so it works again.

2006-05-04  Brian Cameron  <brian.cameron@sun.com>

	* daemon/misc.c: Fix syntax.

2006-05-04  Brian Cameron  <brian.cameron@sun.com>

	* daemon/display.c, daemon/slave.c, daemon/misc.c: Improvements to
	  signal handling, fixing problem where MDM slave can hang on read.
	  Fixes bug #336549.  Patch provided by Ed Catmur <ed@catmur.co.uk>.
	* AUTHORS: Added Ed.

2006-05-04  Brian Cameron  <brian.cameron@sun.com>

	* configure.ac: Fix invokation of PreFetch list.

2006-05-04  Brian Cameron  <brian.cameron@sun.com>

	* configure.ac, daemon/mdmconfig.c, daemon/server.c:  Fixes to	
	  better support FreeBSD.  Fixes bug #340668.  Patch provided by
	  Joe Marcus Clark <marcus@freebsd.org>.

2006-05-04  Brian Cameron  <brian.cameron@sun.com>

	* gui/greeter/greeter_parser.c: Remove double-free.  Fixes bug
	  #340668.  Patch provided by Joe Marcus Clark <marcus@freebsd.org>.

2006-05-03  Brian Cameron  <brian.cameron@sun.com>

	* daemon/mdmconfig.h: Remove mdm_config_init from header since it
	  is a static function in the c file.

2006-05-02  Brian Cameron  <brian.cameron@sun.com>

	* Release 2.15.0:
	* NEWS: Updated.
	* configure.ac: Update to new release version.
	* gui/mdmlogin.c:  Now use "Start Over" instead of Cancel.

2006-05-02  Brian Cameron  <brian.cameron@sun.com>

	* Release 2.14.5:
	* NEWS: Updated.
	* configure.ac: Update to new release version.

2006-05-02  Brian Cameron  <brian.cameron@sun.com>

	* config/mdm.conf-custom: Added comment before [servers] section
	  to address bug #340333.  

2006-05-01  Julio M. Merino Vidal  <jmmv@NetBSD.org>

	* daemon/slave.c: Explicitly adjust the effective GID before
	  running the child session program.  Otherwise it remains with
	  high privileges.  The problem was exposed under NetBSD.
	  Fixes bug #340347.

2006-05-01  Brian Cameron  <brian.cameron@sun.com>

	* config/gettextfoo.h, config/XKeepsCrashing:  Updated by running
	  'cd config && cat XKeepsCrashing Xsession.in|./extract-shell.sh
	  > gettextfoo.h', so the file is regenerated to have the latest
	  strings.  Fixes bug #340017.

2006-04-27  Brian Cameron  <brian.cameron@sun.com>

	* config/mdm.conf.in: Updated documentation.

2006-04-26  Brian Cameron  <brian.cameron@sun.com>

	* daemon/verify-pam.c:  Fix pam stack so that for autologin the
	  MDM PAM stack is "MDM_KEY_PAM_STACK-autogen" so it works like
	  before.

2006-04-26  Brian Cameron  <brian.cameron@sun.com>

	* gui/greeter_item_pam.c: Add pam-error-logo item type.
	* gui/greeter/greeter_item.h, gui/greeter/greeter_canvas_item.c,
	  gui/greeter/greeter_geometry, gui/greeter/greeter_parser.c: Add item
	  type button to use a real GTK+ button, this better supports
	  accessibility.  Add "startover" string to stock, this better name
	  for the "Cancel" button was recommended.
	* gui/greeter/themes/happygnome/happygnome.xml,
	  gui/greeter/themes/happygnome/happygnome-list.xml,
	  gui/greeter/themes/circles/circles.xml: Updated theme to use real
	  GTK+ buttons.  Now says "Start Over" instead of "Cancel" on the
	  button.
	* gui/greeter/greeter_events.c, gui/greeter/greeter_item.c: Code
	  cleanup.

2006-04-26  Brian Cameron  <brian.cameron@sun.com>

	Adding per-display configuration support to MDM.  Now if user has
	a file named /etc/mdm/custom.conf:<displaynum>, the settings in this
	file will override the /usr/share/mdm/defaults.conf and
	/etc/X11/mdm/custom.conf settings.  Only keys that affect the GUI
	behavior are supported.  These include those in the "gui" and
	"greeter" sections and the security/PamStack key.

	* daemon/mdm.c: Update GET_CONFIG command so it accepts a display
	  argument.  It is backwards compatible and will return the per-display
	  setting if this is passed in, or the non-display value if not
	  passed in.  Fix bug that caused PreFetch key to not just return
	  the once as it is supposed to.
	* daemon/mdmconfig.[ch], jui/mdmconfig.c: Updated to support
	  per-display configuration.
	* daemon/mdm.h: Updated documentation for new command.  Corrected some
	  errors.
	* daemon/verify-pam.c, daemon/mdmconfig.c config/mdm.conf.in: Add
	  security/PamStack configuration variable as a per-display setting.
	  This allows the sysadmin to specify a different PAM stack, if desired
	  and also allows customization per display.  Also added key info for
	  some BackgroundProgram keys that were missing.
	* config/PreSession.in: now requests configuration data per-display.
	  Will use normal configuration if no per-display config files.
	* gui/.cvsignore: Add mdmsetup.desktop.in
	* gui/mdmdynamic.: Improve usage warning.
	* gui/mdmlogin.c: Add some debug

2006-04-25  Brian Cameron  <brian.cameron@sun.com>

	* configure.ac: Updating 2.15 branch with the new po/LINGUAS.

2006-04-25  Brian Cameron  <brian.cameron@sun.com>

	* Release 2.14.4: 
	* NEWS: Updated.
	* configure.ac: Update to new release version.

2006-04-24  Brian Cameron  <brian.cameron@sun.com>

	* Release 2.14.3: 
	* NEWS: Updated.
	* configure.ac: Update to new release version.
	* gui/Makefile.am: Fix mdmsetup.desktop.in.in stuff.

2006-04-20  Brian Cameron  <brian.cameron@sun.com>

	* configure.ac: Fix to configure.ac to conform to po/LINGUAS
	  standard.  Fixes bug #339153.  Patch by Przemyslaw Grzegorczyk
	  <pgrzegorczyk@gmail.com>.
	  
2006-04-17  Brian Cameron  <brian.cameron@sun.com>

	* gui/mdmsetup.c: Fix for C89 compilers.  Patch by Jens Granseuer
	  <jensgr@gmx.net>.
	
2006-04-17  Brian Cameron  <brian.cameron@sun.com>

	* gui/mdmlogin.c, gui/mdmsetup.glade, gui/greeter/greeter.c:
	  Fixed strings so that they are marked as translatable.
	  Fixes bug #338765.  Patch provided by Vincent Fretin
	  <vincent.fretin@gmail.com>.

2006-04-17  Brian Cameron  <brian.cameron@sun.com>

	* gui/mdmchooser.c:  Fix setting of MdmHosts so it should use
	  the hosts from the config file when when BROADCAST/MULTICAST
	  is set to false.  Partial fix for #338274.  Thanks to Tiago
	  Vignatti <tv02@c3sl.ufpr.br> for noticing this.

2006-04-17  Brian Cameron  <brian.cameron@sun.com>

	* gui/mdmsetup.desktop.in.in: Added.  This makes mdmsetup.desktop
	  get properly translated.  Fixes bug #334647.  Patch by Vincent
	  Fretin <vincent.fretin@gmail.com>
	* gui/mdmsetup.desktop.in: Removed
	* gui/Makefile.am: Updated to reflect change.
	* configure.ac: Updated to reflect latest po/LINGUAS patch.  Fixes
	  bug #33769.  Patch provided by Przemyslaw Grzegorczyk
	  <pgrzegorczyk@gmail.com>.

2006-04-14  Brian Cameron  <brian.cameron@sun.com>

	* Release 2.14.2: 
	* NEWS: Updated.
	* configure.ac: Update to new release version.
	
2006-04-14  Brian Cameron  <brian.cameron@sun.com>

	* daemon/slave.c: Further clean up access to ICEAuthority file.  Fixes
	  bug #338358.  Patch provided by Ray Strode <rstrode@redhat.com>.

2006-04-13  Brian Cameron  <brian.cameron@sun.com>

	* NEWS: Updated NEWS.
	* gui/mdmchooser.c: Fix references to the BROADCAST key so it is
	  correctly listed as a bool, not a string.  Kudos to Tiago Vignatti
	  <tv02@c3sl.ufpr.br>.
	* configure.ac: Fix check for adding /usr/bin to the MDM_USER_PATH so
	  it doesn't add it twice.  This used to work, but got broken on the
	  03-28-2006 patch by Julio M. Merino Vidal to get rid of the EXPANDED
	  variables.  Working again now.

2006-04-11  Brian Cameron  <brian.cameron@sun.com>

	* gui/greeter/Makefile.am:  Now include mdmthemetester.in in
	  EXTRA_DIST instead of mdmthemetester.

2006-04-10  Brian Cameron  <brian.cameron@sun.com>

	* Release 2.14.1: 
	* NEWS: Updated.
	* configure.ac: Update to 2.14.1.

2006-04-10  Brian Cameron  <brian.cameron@sun.com>

	* configure.ac: Now use LINGUAS procedure as stated in
	  http://live.gnome.org/GnomeGoals/PoLinguas:  Fixes bug #337858,
	  patch provided by Michiel Sikkes <sikkes@gmail.com>.

2006-04-10  Brian Cameron  <brian.cameron@sun.com>

	* daemon/slave.c:  Better fix for resolving CVE-2006-1057 
	  provided by Hans Petter Jansson <hpj@novell.com>

2006-04-07  Brian Cameron  <brian.cameron@sun.com>

	* configure.ac, config/Xsession.in, daemon/slave.c:  Add Trusted
	  Solaris support to MDM.  Patch provided by Niall Power
	  <Niall.Power@sun.com>.

2006-04-07  Brian Cameron  <brian.cameron@sun.com>

	* daemon/slave.c: Now logic unlinks .ICEauthority file if it
	  looks fishy rather than trying to chown/chmod it.  This
	  is to resolve CVE-2006-1057.

2006-04-07  Brian Cameron  <brian.cameron@sun.com>

	* config/mdm.conf.in, daemon/mdm.h, daemon/mdmconfig.c,s
	  daemon/server.c: Add new MdmXserverTimeout configuration
	  variable so the length of time that MDM waits for the
	  Xserver to start can be tuned.  This makes it easier
	  to get MDM working with some Xservers (Xgl).  Fixes
	  bug #337670.  Patch provided by Emilie (girlblossom@gmail.com).

2006-04-05  Brian Cameron  <brian.cameron@sun.com>

	* .cvsignore, gui/.cvsignore, m4/.cvsignore:  Update .cvsignore
	  files to include generated files not currently listed.

2006-03-30  Dennis Cranston  <dennis_cranston@yahoo.com>

	* gui/mdmsetup.glade:  HIG fix for spacing between the menu 
	  bar and welcome message categories.

2006-03-29  Brian Cameron  <brian.cameron@sun.com>

	* gui/mdmsetup.glade: Fix "Show Actions Menu" section so it
	  appears when both "plain" and "themed" is chosen.  Fixes
	  bug #335550.

2006-03-28  Brian Cameron  <brian.cameron@sun.com>

	* gui/mdmcomm.h: Fix warning.

2006-03-28  Brian Cameron  <brian.cameron@sun.com>

	* config/Xsession.in: Modify command to be "$@" instead of "$1"
	  so it is possible to pass arguments with the command.

2006-03-28  Julio M. Merino Vidal  <jmmv@NetBSD.org>

	* daemon/xdmcp.c: Removed a C99 local variable definition that
	  breaks the build with gcc 2.95 (e.g. under NetBSD 1.6).  Fixes
	  bug #336368.

2006-03-28  Julio M. Merino Vidal  <jmmv@NetBSD.org>

	* daemon/mdmconfig.c, daemon/server.c: Include sys/resource.h,
	  needed to use setpriority(2) and its associated definitions.
	  Fixes the build under NetBSD, closing bug #336369.

2006-03-28  Julio M. Merino Vidal  <jmmv@NetBSD.org>

	* Makefile.am, README.install, acconfig.h, configure.ac,
	  mdmsetup-security.in, config/Makefile.am, config/Xsession.in,
	  config/mdm.conf.in, daemon/Makefile.am, daemon/mdm.c, daemon/mdm.h,
	  daemon/mdm.in, daemon/mdmconfig.c, daemon/misc.c, daemon/server.c,
	  daemon/slave.c, gui/Makefile.am, gui/mdmphotosetup.c,
	  gui/mdmsetup.c, gui/mdmsetup.desktop.in, gui/greeter/Makefile.am,
	  gui/greeter/mdmthemetester.in, gui/greeter/greeter.c,
	  gui/modules/Makefile.am: Get rid of all EXPANDED_* variables from
	  the build procedure.  Directory-related variables must only be
	  expanded from the Makefiles so that they can be easily overriden
	  during the installation phase.  Fixes bug #336364.

2006-03-28  Brian Cameron  <brian.cameron@sun.com>

	* configure.ac: One line change to reflect comment #7 in bug
	  #335957.

2006-03-27  Brian Cameron  <brian.cameron@sun.com>

	* acconfig.h, configure.ac, config/Makefile.am, config/PostLogin,
	  config/mdm.conf.in, daemon/Makefile.am, daemon/mdm.[ch],
	  daemon/mdmconfig.c, gui/Makefile.am, gui/greeter/Makefile.am,
	  gui/modules/Makefile.am, gui/modules/dwellmouselistener.c,
	  gui/modules/keymouselistener.c, utils/Makefile.am: Now support
	  --with-sysconfsubdir so that MDM can be configured to have
	  the config files in a directory that isn't hardcoded to have "/mdm"
	  at the end.  Fixes bug #335957.  Patch provided by Julio M
	  Merino Vidal <jmmv@NetBSD.org> with minor changes by me to fix
	  some usage of EXPANDED_MDMCONFDIR that caused breakage on Solaris.

	* gui/mdmXnestchooser, gui/mdmchooser.c, gui/mdmcomm.[ch],
	  gui/mdmdynamic.c, gui/mdmflexiserver.c, gui/mdmlogin.c,
	  gui/mdmphotosetup.c, gui/greeter/greeter.c:  Now use
	  mdmcomm_comm_bulk_start and mdmcomm_comm_bulk_stop to wrap areas of
	  the code where we want to keep the sockets connection open for
	  performance.  This makes mdmsetup start faster and better ensures
 	  that sockets are not left open.  Now mdmcomm_call_mdm will always
	  close the socket unless inside such a block, ensuring that if distros
	  add patches to read new config values at random points in the code,
	  the socket won't be left open.

	* daemon/mdm.c: Fix mdm_debug message.

2006-03-22  Tommi Vainikainen  <thv@iki.fi>

	* configure.ac (ALL_LINGUAS): Added Dzongkha (dz).

2006-03-20  Brian Cameron  <brian.cameron@sun.com>

	* gui/greeter/themes/happygnome/gnome-logo.svg,
	  gui/greeter/themes/happygnome/happygnome.xml
	  gui/greeter/themes/happygnome-list/gnome-logo.svg,
	  gui/greeter/themes/happygnome-list/happygnome.xml:
	  Added new SVG official logos and now theme uses
	  the new logo.
	* gui/greeter/themes/happygnome/gnome-logo.png,
	  gui/greeter/themes/happygnome-list/gnome-logo.png:
	  Removed old logo.
	* gui/greeter/themes/happygnome/Makefile.am
	  gui/greeter/themes/happygnome-list/Makefile.am:
	  Updated to have new logo file.  This fixes bug
	  #335121.

2006-03-20  Brian Cameron  <brian.cameron@sun.com>

	* vicious-extensions/Makefile.am: Patch to fix Makefile.am so
	  it builds test-ve-config even if the dependent glib, etc.
	  libraries are built statically on the system.  Fixes bug
	  #334934.  Patch provided by Dmitry V. Levin <ldv@altlinux.org>

2006-03-19  Brian Cameron  <brian.cameron@sun.com>

	* gui/greeter/greeter_events.c: Fix error that causes a
	  core dump when you click on fields that have an id.
	  This should fix bug #332679.

2006-03-15  Brian Cameron  <brian.cameron@sun.com>

	* gui/mdmlogin.c: Mark string "Welcome" as to be translated.  This
	  doesn't break the string freeze but with this change translators
	  can hopefully get this translated.
	* gui/mdmsetup.desktop.in: Fix TryExec to use EXPANDED_SBINDIR, so that
	  the program will run even if sbin isn't in the user's PATH.
	  
2006-03-13  Brian Cameron  <brian.cameron@sun.com>

	* daemon/verify-pam.c: One-line fix to Solaris auditing logic to
	  correct a problem that causes MDM to always fail to authenticate
	  when auditing is turned on.
	* vicious-extensions/Makefile.am: Fix reference to libvicious.a
	  so it is consistant with the other places it is referenced.

2006-03-13  Brian Cameron  <brian.cameron@sun.com>

	* gui/mdmcomm.h: Correct definition of mdmcomm_set_allow_sleep
	  to avoid compile warning.

2006-03-13  Brian Cameron  <brian.cameron@sun.com>

	* Release 2.14.0: 
	* NEWS: Updated.
	* configure.ac: Update to 2.14.0.

2006-03-13  Brian Cameron  <brian.cameron@sun.com>

	* daemon/mdm.[ch], daemon/mdmconfig.[ch], gui/mdmcommon.[ch],
	  gui/mdmsetup.c: Add new GET_CUSTOM_CONFIG_FILE mdmflexiserver
	  command so mdmsetup can edit the actual custom config file
	  being used by the daemon.

2006-03-05  Brian Cameron  <brian.cameron@sun.com>

	* gui/greeter/greeter_canvas_item: Now open Options menu below
	  the button if possible, and above if there is no room below.
	  Previously it always showed above, which would break if the
	  button was placed on the top of the screen.
	* daemon/slave.c: Fix sound-on-login-success and failure to only
	  play if they are turned on.  Previously they were playing if
	  they were defined to have soundfiles, but not turned on.
	  Fixes bug #333435.

2006-03-03  Brian Cameron  <brian.cameron@sun.com>

	* Release 2.13.0.10: 
	* NEWS: Updated.
	* configure.ac, acconfig.h: Update to 2.13.0.9.  Added code to support
	  the change in mdmconfig.c below.
	* gui/mdmconfig.c: Fix so that if mdm.conf file exists on the system
	  this is used instead of custom.conf.  This makes MDM more backwards
	  compatible and won't break user configuration if the user has an old
	  config file.  

2006-02-28  Brian Cameron  <brian.cameron@sun.com>

	* Release 2.13.0.9: 
	* NEWS: Updated.
	* configure.ac: Update to 2.13.0.9.

2006-02-27  Brian Cameron  <brian.cameron@sun.com>

	* gui/greeter/greeter_events.c: Small patch that I think
	  will fix core dumping problem reported in bug #332426.

2006-02-24  Brian Cameron  <brian.cameron@sun.com>

	* gui/mdmconfig.c: Fix error message that is printed when
	  ServAuthDir isn't owned by root:gid so it says "root:gid"
	  instead of "mdm:mdm", which is wrong.  Cleaned up the 
	  code a bit.

2006-02-24  Brian Cameron  <brian.cameron@sun.com>

	* gui/mdmconfig.c, gui/mdmsetup.c: Clean up memory handling.
	
2006-02-21  Brian Cameron  <brian.cameron@sun.com>

	* gui/greeter/greeter_parser.c:  Add new "gtk-theme" property
	  to <greeter> tag theme xml format, so the theme can specify a
	  GtkTheme to be used for mdmgreeter.  This allows theming of
	  the "Options" menu and the entry field, and any other GTK+
	  widgets used by mdmgreeter.  This also makes it possible to
	  create a11y themes (HighContrast, LowContrast, etc.) themes
	  for mdmgreeter.

2006-02-16  Brian Cameron  <brian.cameron@sun.com>

	* gui/greeter/greeter.c, gui/greeter/greeter_item_ulist.c: Fix
	  face browser so it works better.  Sometimes we get PROMPT calls
	  for displaying username so we want to enable the face browser
	  in this case.  We only want to disable it when the cancel 
	  button is pressed (until the next time the daemon prompts us
	  for username/password entry).  Also fix "theme broken" message
	  so it doesn't display the message when the pam-message label is
	  in the theme.

2006-02-16  Brian Cameron  <brian.cameron@sun.com>

	* daemon/mdmconfig.c, daemon/mdm-net.c, gui/mdmsetup.c:
	  Fix some GCC C-99 compile issues.  Fixes bug #331450.
	  Patch provided by Jens Granseur <jensgr@gmx.net>.

2006-02-15  Brian Cameron  <brian.cameron@sun.com>

	* gui/mdmconfig.c: Fixes to make config work better.

2006-02-15  Brian Cameron  <brian.cameron@sun.com>

	* gui/mdmconfig.c: Use g_hash_table_replace instead of freeing
	  the string value in the hash.  This corrects a core dumping
	  problem with mdmsetup.
	* gui/mdmsetup.c: Fix issue with mdmsetup freeing theme_dir
	  when it shouldn't.  Patch provided by Matthias Clasen.
	  <Matthias.Clasen@poet.de>.
	* config/Xsession.in: Back out launching of dbus-launch after
	  discussion that is really most appropriate for this to be
	  launched by init.d scripting.

2006-02-15  Brian Cameron  <brian.cameron@sun.com>

	* Makefile.am, gui/Makefile.am, gui/greeter/Makefile.am, 
	  utils/mdm-dmx-reconnect-proxy.c: Reorganize libraries so that
	  it is easier to build MDM against a test Xserver.  Fixes bug
	  #331226.  Patch provided by Sylvain Bertrand
	  <sylvain.bertrand@gmail.com>.
	* daemon/slave.c: Remove some cruft accidently added.

2006-02-15  Brian Cameron  <brian.cameron@sun.com>

	* config/Xsession.in: Now start dbus-launch in MDM's Xsession
	  script if dbus-launch is available on the system.  Fixes
	  bug #331104.  Patch provided by delgarde@ihug.co.nz.

2006-02-13  Brian Cameron  <brian.cameron@sun.com>

	* Makefile.am: Distribute the README file.

2006-02-13  Brian Cameron  <brian.cameron@sun.com>

	* Release 2.13.0.8: 
	* NEWS: Updated.
	* configure.ac: Update to 2.13.0.8 and use EXPANDED_DATADIR instead
	  of %{datadir} since that makes it work much better.
	* README.install, README:  Update docs so that the change from
	  --with-configdir to --with-defaults-conf and renaming of default and
	  custom config file is documented.
	* daemon/mdm-net.c, daemon/mdmconfig.c, gui/mdmsetup.c: Update comments
	  to no longer mention old name of config file.  Fix mdmsetup to know
	  new location of custom config file.
	* config/Makefile.am: Now if upgrading and mdm.conf and
	  factory-mdm.conf are different, move the mdm.conf file to
	  custom.conf instead of copy.  This is  because we don't want MDM
	  to overwrite the custom.conf file every time user upgrades.  Only
	  first time, then mdm.conf should go away.

2006-02-13  Brian Cameron  <brian.cameron@sun.com>

	* acconfig.h, configure.ac, daemon/Makefile.am, daemon/mdmconfig.c:
	  Change --with-configdir to --with-defaults-conf and make it work so
	  that the mdm.conf and mdm.conf-custom file can be installed to
	  different subdirectories.  Fixes bug #330905.  Patch provided by
	  Ray Strode.

2006-02-13  Brian Cameron  <brian.cameron@sun.com>

	* config/Xsession.in: Fix calls to zenity so they work.  Fixes
	  bug #330892.
	* README, README.install: Last minute updates before string freeze.

2006-02-10  Brian Cameron  <brian.cameron@sun.com>

	* gui/greeter/greeter.c, gui/greeter/greeter_action_language.[ch],
	  gui/greeter/greeter_canvas_item.c, gui/greeter/greeter_events.c,
	  gui/greeter/greeter_session.c, gui/greeter/greeter_system.c:
	  Fix problem with options button and F10 menu not working if the
	  button is not in the theme.  This only affects buttons that can
	  be in the F10 button but may not be in the theme (language, 
	  system, session, halt, reboot, shutdown).  Fixes bug #330343.

2006-02-10  Brian Cameron  <brian.cameron@sun.com>

	* README: Few more updates worth adding.

2006-02-10  Brian Cameron  <brian.cameron@sun.com>

	* gui/mdmflexiserver.c: Fix bug that was causing mdmflexiserver
	  to fail.  Because we were calling gtk-init when the --command
	  option was being used, and this breaks mdmflexiserver since it
	  is sometimes run with the --command option when there is no 
	  display.
	* README, README.install: Updated with some new features and moved some
	  info to docs/C/mdm.xml where the info is more useful.
	* TODO: Updated.
	* configure.ac: Fixed the mess about /usr/opensolaris/bin
	* gui/greeter/greeter_system.c: Do not put tooltips on menus.  They are
	  a bad idea and their use is discouraged by the HIG because they break
	  a11y.

2006-02-09  Brian Cameron  <brian.cameron@sun.com>

	A known issue with mdmdynamic is that when a display connects to
	the server it generates the mdmdynamic "ADD" and "RELEASE" commands.
	On startup, hundreds of displays could send these commands at once
	and cause the server too be flooded with sockets requests.  Hammering
	the socket like this caused me to find and fix a number of problems
	that improve socket reliability for general MDM use.  I also enhanced
	mdmdynamic so it is more sensitive to the socket being busy and no
	longer overloads it, instead sleeping and retrying if necessary.  This
	allows mdmdynamic to work if there are hundreds of displays instead of
	just a dozen or so.

	* daemon/mdm.[ch]: Added new "SERVER_BUSY" sockets command so that
	  mdmdynamic can sleep before starting new slaves if the daemon is
	  already busy.
	* daemon/mdm-net.[ch]: Bump up MAX_CONNECTIONS from 10 to 15.  I notice
	  that this improves performance significantly when hammering the
	  daemon with connections.  Added better comments for this logic and
	  now debug logs when a subconnection is thrown away.  New
	  mdm_connection_is_server_busy function
	* daemon/display.c: Correct DYNAMIC_REMOVE so it works and fixes bug
	  #326796.  Before it wasn't really removing the displays.
	* gui/mdmdynamic.c: Quite a bit of work to make mdmdynamic avoid
	  flooding the server with sockets requests.  Now it sets sockets
	  retries to 1 and manages sleeping and retries itself.  
	* gui/mdmconfig.c: Added mdm_config_set_comm_retries so that slaves can
	  specify how many retries they want the comm logic to use.
	* gui/mdmcomm.c: Now do_command returns NULL when it gets back "",
	  which happens when a subconnection was dropped by the daemon.  This
	  lets the slave try the connection again.   Now error messages are
	  always logged, not just when debug is turned on.  Added
	  mdmcomm_did_connection_fail and mdmcomm_set_allow_sleep so 
	  mdmdynamic can control the behavior of how the connection works.
	* gui/mdmcommon.c, gui/mdmchooser.c, gui/mdmlogin.c,
	  gui/greeter/greeter.c: Fix mdm_common_fail so it doesn't generate
	  compile errors when building with GCC.  Fixes bug #330480.
	* config/mdm.conf: Better description of how debug works, perhaps
	  I just didn't like the word "spew".

2006-02-07  Brian Cameron  <brian.cameron@sun.com>

	* gui/mdmconfig.c: Return compiled in value if slave fails
	  to get a value back from the daemon.
	* gui/mdmcomm.c:, gui/mdmconfig.c:  Use mdm_common_error
	  instead of mdm_common_info so message really go to log.
	* gui/mdmsession.c: Include needed mdmcommon.h.  Missed this
	  in my previous putback earlier today.

2006-02-07  Brian Cameron  <brian.cameron@sun.com>

	* mdm-restart.in, mdm-safe-restart.in, mdm-stop.in, mdm.spec.in:
	  Now use mdmflexiserver to get the PidFile instead of grepping the
	  config file directly since this is a safer/better way to get
	  configuration date.

2006-02-07  Brian Cameron  <brian.cameron@sun.com>

	This patch resolves some performance issues that I noticed when
	testing MDM with the mdmdynamic command.  I notice that waiting for
	the sockets to timeout made mdmdynamic slower so now all the clients
	load all the configuration data in one quick pass and close the 
	socket.  Since the mdm_config_get functions cache the data, the slaves
	will not go over the socket to get the data again unless asked to
	reread.  Bump the maximum messages over the socket from 20 to 80 
	because mdmlogin pulls about 65 configuration parms over and this 
	allows all data to be accessed in one connection (and gives a little
	room for growth).  Improved the way MDM slaves deal with syslog so all
	slaves use the same interfaces.  Added three missing keys to the daemon
	configuration handling code.

	* daemon/mdmconfig.c: Add three keys that were missing for background
	  program support.
	* gui/mdmcomm.[ch]: Now if there is a failure connecting to the daemon,
	  the slave will sleep 1 second before retry (normally retries 5
	  times).  If all retries fail, it will not try sleeping on subsequent
	  calls to the daemon.  This greatly improves performance when the 
	  daemon is flooded with slave requests.  In normal usage, this will 
	  likely not happen, but it is good for MDM to not fail so easily.
	  Added better debug.  Added mdm_comm_close function so that slaves
	  can ask to close the socket when done reading config.  Now uses
	  common syslog functions.
	* daemon/mdm.h: Add better comments, rename MDM_SUP_MAX_CONNECTIONS
	  to MDM_SUP_MAX_MESSAGES which is more accurate, and bump the max
	  number to 80.
	* gui/mdmcommon.h, gui/mdmwm.h, gui/mdmsession.h: Added common syslog
	  functions to mdmcommon.h and moved some functions that were in
	  mdmcommon.h to mdmwm.h and mdmsession.h since the implementations
	  were in those c-files.  Renamed functions to make naming consistant.
	* gui/mdmXnestchooser, gui/mdmchooser.c, gui/mdmcommon.c,
	  gui/mdmconfig.c, gui/mdmdynamic.c, gui/mdmflexiserver.c,
	  gui/mdmlogin.c, gui/mdmphotosetup.c, gui/mdmsession.c, gui/mdmwm.c,
	  gui/greeter/greeter.c, gui/greeter/greeter_item_ulist.c, 
	  gui/greeter/greeter_session.c, gui/greeter/greeter_system.c:  Slaves
	  close sockets connection when done reading config.  Now slaves use
	  common syslog functions.  Naming changes to reflect renaming of
	  functions in mdmcommon.h/mdmwm.h/mdmsession.h.  Better debug.
	* daemon/auth.c, daemon/cookie.c, daemon/display.c, daemon/mdm.c,
	  daemon/mdm-net.c, daemon/misc.c, daemon/slave.c, daemon/xdmcp.c,
	  gui/mdmlanguages.c, gui/greeter/greeter_canvas_item.c,
	  gui/mdmsetup.c, vicious-extensions/ve-config.c: Make spacing around
	  "++" more consistant.  Add better debug in some functions

2006-02-03  Brian Cameron  <brian.cameron@sun.com>

	* daemon/mdmconfig.c: Fix glib.h include so it compiles under LFS.
	  Fixes bug #329801.

2006-01-30  Brian Cameron  <brian.cameron@sun.com>

	* Release 2.13.0.7: 
	* NEWS, configure.ac: Updated
	* config/mdmprefetchlist.in:  Change libgstreamer-0.8 to 
	  libgstreamer-0.10 in the prefetch list.

2006-01-30  Brian Cameron  <brian.cameron@sun.com>

	* config/PreSession.in:  Fix so it no longer tries to access
	  the config file via grep/sed.  Now it calls
	  'mdmflexiserver --command="GET_CONFIG"', which is a much 
	  cleaner way to get the info in needs to set the background	
	  color.

2006-01-30  Brian Cameron  <brian.cameron@sun.com>

	* gui/greeter/themes/happygnome/options.png,
	  gui/greeter/themes/happygnome-list/options.png:
	  Adding back the previous sessions.png as
	  options.png since it is the best icon for the
	  new menu.

2006-01-30  Brian Cameron  <brian.cameron@sun.com>

	* gui/greeter/themes/happygnome/disconnect.png, 
	  gui/greeter/themes/happygnome/options.png,
	  gui/greeter/themes/happygnome/sessions.png,
	  gui/greeter/themes/happygnome/system.png,
	  gui/greeter/themes/happygnome/happygnome.xml,
	  gui/greeter/themes/happygnome-list/disconnect.png, 
	  gui/greeter/themes/happygnome-list/options.png,
	  gui/greeter/themes/happygnome-list/sessions.png,
	  gui/greeter/themes/happygnome-list/system.png,
	  gui/greeter/themes/happygnome-list/happygnome.xml,
	  gui/greeter/themes/circles/Makefile.am,
	  gui/greeter/themes/circles/circles.xml,
	  gui/greeter/greeter_canvas_item.c, 
	  gui/greeter/greeter_parser.c, gui/mdmlogin.c: Added new
	  "options_button" which pops up the F10 menu.  Modified themes to now
	  use the new options button for a cleaner one-button look.  Patch
	  provied by Sebastien Bacher <seb128@debian.org>.  Modifications to
	  existing themes made by myself.  Also modified string "Remote login
	  via XDMCP" to "Remote Login via XDMCP".

2006-01-27  Brian Cameron  <brian.cameron@sun.com>

	* configure.in: Make sure /usr/openwin/bin is in the PATH on 
	  Solaris so that MDM's PreSession/PostSession scripts can find
	  sessreg and other needed X programs.  Also this makes sure
	  that users have xterm and other such programs in their PATH.
	  Before we were only adding it if the Xserver was Xsun, but
	  it is also needed if using the Xorg Xserver on Solaris.

2006-01-27  Brian Cameron  <brian.cameron@sun.com>

	* daemon/mdm.h, daemon/mdmconfig.c, gui/mdmcommon.c:  Add better
	  logic for grabbing the time for the user's locale if 
	  Use24HourClock is set to auto.  No longer depend on translaters
	  providing a hacky translation of "24-hour" to determine this.
	  Instead just rely on localtime.  Fixes bug #328904.  Patch
	  provided by Christopher Aillon <caillon@gmail.com>.
	* config/mdm.conf.in: Add better comments for certain keys and
	  group them so that similar keys are closer together.
	* gui/mdmsetup.c, gui/greeter/greeter.c: rename
	  MDM_KEY_GRAPHICAL_THEME_COLOR to MDM_KEY_GRAPHICAL_THEMED_COLOR to
	  match the key.

2006-01-27  Brian Cameron  <brian.cameron@sun.com>

	* gui/mdmlogin.c, gui/greeter/greeter_parser.c,
	  gui/greeter/greeter_system.c: Change "XDMCP Chooser" to 
	  "Remote login via XDMCP".  Fixing bug #328857.

2006-01-24  Brian Cameron  <brian.cameron@sun.com>

	* config/mdmprefetchlist.in:  Updated with version provided by
	  Padraig O'Briain.  Remove libnautilus-private as it no longer
	  exists in GNOME 2.13.

2006-01-20  Brian Cameron  <brian.cameron@sun.com>

	* daemon/fstype.c: Really fix bug #326819.

2006-01-19  Brian Cameron  <brian.cameron@sun.com>

	* Release 2.13.0.6: 
	* NEWS, configure.ac: Updated

2006-01-18  Brian Cameron  <brian.cameron@sun.com>

	* MAINTAINERS: Updated.

2006-01-18  Brian Cameron  <brian.cameron@sun.com>

	* daemon/auth.c, daemon/choose.c, daemon/cookie.c, daemon/display.c,
	  daemon/errorgui.c, daemon/filecheck.c, daemon/fstype.c, daemon/mdm.c,
	  daemon/mdmconfig.c, daemon/server.c, daemon/slave.c,
	  daemon/verify-crypt.c, daemon/verify-pam.c, daemon/verify-shadow.c,
	  daemon/xdmcp.c, gui/mdmchooser.c, gui/mdmlogin.c, gui/mdmsession.c,
	  gui/mdmsetup.c, gui/misc.c, gui/modules/dwellmouselistener.c,
	  gui/modules/keymouselistener.c, utils/mdm-dmx-reconnect-proxy.c,
	  vicious-extensions/glade-helper.c,
	  vicious-extensions/test-ve-config.c, vicious-extensions/ve-config.c,
	  vicious-extensions/ve-gnome.c, vicious-extensions/ve-misc.c,
	  vicious-extensions/ve-miscui.c, vicious-extensions/ve-nongnome.c,
	  vicious-extensions/ve-signal.c:  Add needed glib/gstdio.h include
	  to daemon/fstype.c which fixes a wierd core dumping problem on
	  Ubuntu.  Fixes bug #326819.  Patch provided by Sebastien Bacher
	  <seb128@debian.org>.  Also fixed all the source so that the includes
	  are more consistant with config.h in quotes instead of in "<>" and
	  glib/gtk includes are always listed after system includes.

2006-01-18  Brian Cameron  <brian.cameron@sun.com>

	* daemon/mdm.c, daemon/slave.c, gui/greeter/greeter.c,
	  gui/greeter/greeter_system.c: Use "reboot" instead of "restart".
	  Fixes bug #327583.

2006-01-15  Brian Cameron  <brian.cameron@sun.com>

	* Release 2.13.0.5: 
	* NEWS, configure.ac: Updated
	* utils/Makefile.am: Fix Makefile so "make clean" doesn't delete
	  mdm-ssh-session.

2006-01-15  Brian Cameron  <brian.cameron@sun.com>

	* gui/mdmsetup.c: Fix the logo and background file choosers so that
	  they no longer generate assert warnings.  This problem seemed to be
	  related to the fact that mdmsetup was sometimes setting the logo or
	  background to NULL without the user actually changing the values.
	  Now the "selection-changed" handler is smart enough to never reset
	  these value to NULL.  Also cleaned up some memory management (e.g. we
	  were not freeing values returned from gtk_file_chooser_get_filename,
	  etc.)
	* gui/mdmconfig.c: Use the newkey instead of key when calling
	  GET_CONFIG.

2006-01-14  Chao-Hsiung Liao  <j_h_liau@yahoo.com.tw>

	* configure.in: Add "zh_HK" to ALL_LINGUAS.

2006-01-13  Brian Cameron  <brian.cameron@sun.com>

	* daemon/slave.c: Patch provided by Dan Walsh <dwalsh@redhat.com> to
	  fix SELinux logic so that MDM doesn't setexeccon if
	  is_selinux_enabled returns -1.  In this case, the issue is logged to
	  syslog.

2006-01-13  Brian Cameron  <brian.cameron@sun.com>

	Enhancement patch provided by Dominique Hazael-Massieux 
	<dominique.hazael-massieux@centraliens.net> with some help from me
	getting the configure/Makefile stuff working.

	* configure.ac, config/Makefile.am, utils/Makefile.am: Add support
	  for --enable-secureremote
	* config/ssh.desktop.in, utils/mdm-ssh-session: Added desktop file
	  and mdm-ssh-session script to support secure remote login.

2006-01-11  Brian Cameron  <brian.cameron@sun.com>

	* daemon/verify-crypt.c, daemon/verify-pam.c, daemon/verify-shadow.c,
	  gui/greeter/greeter_parser.c:  Change the "Please make sure the Caps
	  Lock key is not enabled." message to the more informational "Caps
	  Lock is on.".  Some users may want to use Caps Lock when logging in.

2006-01-11  Brian Cameron  <brian.cameron@sun.com>

	* gui/mdmlogin.c, gui/greeter/greeter_system.c: Use "Shut Down"
	  instead of "Shut down" or "shut down".

2006-01-11  Brian Cameron  <brian.cameron@sun.com>

	* daemon/slave.c, gui/greeter/greeter_parser.c: Rename "shutdown" to
	  "shut down" or "halt" and rename "capslock" to "Caps Lock" since
	  these are the recommended wordings suggested by Calum Benson.  Also
	  corrected a few errors in the stock labels.

2006-01-11  Brian Cameron  <brian.cameron@sun.com>

	* daemon/errorgui.c:  Now use GDK_DISPLAY_XDISPLAY instead of
	  GDK_DISPLAY since the GDK_DISPLAY macro causes the MDM daemon to
	  require the gdk_display extern global variable from the libgdk-x11
	  library and always causes this library to get loaded into memory even
	  though normally the MDM daemon does not make calls to GDK.  Using
	  GDK_DISPLAY_XDISPLAY makes lazy loading work better.  Thanks to 
	  Padraig O'Briain for noticing this issue.

2006-01-09  Dennis Cranston  <dennis_cranston@yahoo.com>

	* gui/mdmsetup.c: (theme_list_equal_func): New function.
	  (setup_local_themed_settings), (setup_remote_themed_settings):
	  Group the preview and markup into one column.  Sort list
	  and setup a GTK+ TreeView search function.
	* gui/mdmsetup.glade:  Fix a few broken mnemonics.  Enable 
	  GTK+ TreeView searches. 

2006-01-09  Brian Cameron  <brian.cameron@sun.com>

	* config/locale.alias:  Correct spelling of "Esperanto".
	  Fixes bug #326350.  Patch provided by Saleem Abdulrasool
	  <compnerd@gentoo.org>.

2006-01-04  Brian Cameron  <brian.cameron@sun.com>

	* config/Makefile.am:  Make the Makefile.am file a bit smarter.

2006-01-04  Brian Cameron  <brian.cameron@sun.com>

	* daemon/slave.c: Make error message more clear when session file
	  is invalid.  Now it says what session file had the problem.
	  This fixes bug #322699.
	* gui/mdmconfig.c: Now the mdm_config_get_xserver_details
	  function is more robust, and handles NULL return values 
	  better and supports PRIORITY.
	* gui/mdmsetup.c: Now that mdmconfig reads in the priority value,
	  mdmsetup will write it back out if that server is modified.
	  However, mdmsetup still doesn't allow you to modify the
	  priority value.  Probably should add a spinbutton to the
	  dialog.

2006-01-04  Brian Cameron  <brian.cameron@sun.com>

	* configure.ac, gui/mdmsetup.c, vicious-extensions/Makefile.am: No
	  longer require libgnome or libgnomeui at all in MDM2.  Patch
	  provided by Jani Monoses <jani.monoses@gmail.com>.

2006-01-04  Brian Cameron  <brian.cameron@sun.com>

	* configure.ac, config/mdm.conf.in: Fix Prefetch command so that
	  there is a needed "@" before the argument to mdmprefetch.
	  Padraig O'Briain pointed out this oversight.
	* gui/greeter.c, gui/greeter/greeter_item.c,
	  gui/greeter/greeter_system.c: Now call mdm_working_command_exists
	  for halt/reboot/suspend/configurator once at startup and cache 
	  the values in globals so we don't have to keep calling this 
	  function over and over while mdmgreeter runs.  Padraig noticed
	  that this function causes a large number of calls to stat which
	  are easily avoided by caching.

2006-01-03  Brian Cameron  <brian.cameron@sun.com>

	* gui/mdmsetup.c:  Fix problem where mdmsetup does not remember
	  that Automatic Login checkbox has been changed.  Fixes bug
	  #325910.

2006-01-03  Brian Cameron  <brian.cameron@sun.com>

	The PreFetch part of this patch was provided by Padraig O'Briain
	with some modifications by myself to better integrate into the
	configure/Makefile build.   The rest of this work was done by
	myself.

	* gui/mdmcommon.c: Fix problem with client not properly counting
	  the number of connections, and make logic more robust so when
	  it receives an "ERROR 200 Too many messages" it will close and
	  reopen the connection and try again rather than just fail.
	  This fixes bug #325756.
	* configure.ac, configure/Makefile.am: Add loginpreloadlist
	* utils/prefetch.c: Now handle comments that start with "#" in
	  the preloadlist file.
	* daemon/mdm.h, daemon/mdmconfig.c, config/mdm.conf, gui/mdmlogin.c,
	  gui/mdmcommon.[ch], gui/greeter/greeter.c: Now PostDisplayProgram is
	  PreFetchProgram.  Fixed some comments in mdm.h.
	* daemon/mdm.c: Now KEY_PRE_FETCH_PROGRAM is only returned to the
	  first slave that asks for the value, ensuring the prefetch only
	  happens the first time a greeter is displayed.
	* gui/mdmflexiserver.c: Clean up the code a little.

2006-01-02  Brian Cameron  <brian.cameron@sun.com>

	* configure.ac:  Update glib required to 2.8 since we now use g_access. 

2006-01-02  Brian Cameron  <brian.cameron@sun.com>

	* Release 2.13.0.4: 
	* NEWS, configure.ac: Updated
	* config/Makefile.am: Corrected make distcheck issue.

2005-12-24  Brian Cameron  <brian.cameron@sun.com>

	* gui/greeter/greeter.c: Now set greeter_probably_login_prompt to
	  FALSE if we get a Password request as a MDM_NOECHO message.  This
	  makes MDM smarter about when it is at the Username prompt and
	  fixes bug #320738, which was causing MDM to just login as the
	  timed user when the password was requested - which it should not
	  do.  It should only log in immediately as the timed user if ENTER
	  is hit from the login screen without actually typing in a username.
	* gui/mdmlogin.c: Removed some syslog debug messages I accidently
	  left there.
	* gui/greeter/greeter_session.c, gui/greeter/greeter_system.c:
	  Removed syslog.h include since it isn't used in these files.
	* daemon/server.c: Fixed comments.
	* daemon/slave.c: Fixed comments.

2005-12-24  Brian Cameron  <brian.cameron@sun.com>

	Happy holidays.  Some bug fixes.

	* daemon/mdm.h, daemon/mdmconfig.c, daemon/slave.c,
	  gui/mdmlogin.c, gui/greeter/greeter_item_timed.c:
	  Fix so that timed/automatic enable is checked and 
	  automatic/timed login is only turned on if they are
	  enabled.  Fix so greeters restart if timed login is
	  Changed in mdmsetup.  Fixes bug #324337.
	* gui/mdmcommon.c, gui/mdmlogin.c, gui/greeter/greeter.c,
	  gui/greeter/greeter_item.c, gui/greeter/greeter_parser.c:
	  Now mdmlogin and mdmcommon use the same character sequences
	  with Welcome/RemoteWelcome messages.  Fixes bug #322711.
	* gui/mdmcommon.[ch], gui/mdmchooser.c,
	  gui/greeter/greeter_canvas_item.c, gui/greeter/greeter_geometry.c:
	  Rename functions so all common functions have prefix mdm_common.

2005-12-22  Brian Cameron  <brian.cameron@sun.com>

	* daemon/auth.c, daemon/display.c, daemon/errorgui.c,
	  daemon/filecheck.c, daemon/fstype.c, daemon/mdm-net.c,
	  daemon/mdm.[ch], daemon/mdmconfig.c, daemon/misc.c,
	  daemon/server.c, daemon/slave.c, daemon/verify-pam.c,
	  daemon/xdmcp.c, gui/mdmXnestchooser.c, gui/mdmchooser.c,
	  gui/mdmcommon.c, gui/mdmlogin.c, gui/mdmphotosetup.c,
	  gui/mdmsetup.c, gui/mdmuser.c, utils/mdmprefetch.c,
	  vicious-extensions/ve-config.c, vicious-extensions/ve-gnome.c,
	  vicious-extensions/ve-misc.[ch], vicious-extensions/ve-nongnome.c:
	  Now use g_ stdio function like g_chmod instead of chmod.
	  Fixes bug #310299.

2005-12-21  Brian Cameron  <brian.cameron@sun.com>

	* daemon/mdm.[ch], daemon/mdmconfig.c, daemon/server.c:  Add new
	  priority configuration option for setting xserver priority.
	  Patch provided by Philip Prindeville (philipp@redfish-solutions.com).
	  Fixes bug #323346.
	* config/mdm.conf.in: Updated comments with information about the
	  new priority [server-foo] configuration option.
	* configure.ac, mdm.spec.in: Fix gtk dependency so 2.6.0
	  is listed as the requirement.
	* gui/Makefile.am: Add X_LIBS when building GUI programs.
	* gui/misc.c: Add needed stdio.h include.

2005-12-21  Brian Cameron  <brian.cameron@sun.com>

	Patch by Padraig O'Briain <Padraig.OBriain@sun.com>, modified by myself
	so it also works with mdmlogin and not just mdmgreeter.  Also I
	integrated his mdmprefetch.c utility into the configure/Makefile system
	with the --with-prefetch option.

	* configure.ac:  Now support --with-prefetch
	* daemon/mdm.h, daemon/mdmconfig.c, config/mdm.conf.in:  Support
	  new PostDisplayProgram key.
	* gui/mdmcommon.[ch], gui/mdmlogin.c, gui/greeter/greeter.c:  Now
	  support new PostDisplayProgram key.
	* utils/Makefile.am, utils/mdmprefetch.c: Add new
	  mdmprefetch utility.
	* config/Makefile.am: Now install mdm.conf file with 444
	  permissions and always write over the installed mdm.conf 
	  after first moving aside the user's mdm.conf file if
	  necessary.

2005-12-21  Brian Cameron  <brian.cameron@sun.com>

	After two months, the redesign of MDM's internal configuration is
	finally reaching a close.  Now MDM users are instructed to not modify
	the mdm.conf file directly and instead put any cutomizations in a
	separate file called mdm.conf-custom (read the comments in both files).
	mdmsetup now modifies the mdm.conf-custom file.  The MDM daemon will
	now use values in mdm.conf-custom first and the default values in
	mdm.conf if no value is defined in mdm.conf-custom.  Benefits:

	1) Now MDM truly supports system-wide and machine-specific config.
	   System wide configuration is when the sysadmin wants to share the
	   main mdm.conf file across multiple systems on a shared file system
	   (possible by building MDM with the --with-configdir option or by
	   running MDM with the --config option).  Specific systems can
	   override defaults by modifying the mdm.conf-custom file.
	2) Distros can stomp the main mdm.conf file on upgrade knowing that any
	   user changes are stored in a separate file.  For best backwards
	   compatibility, distros will need to move the mdm.conf file to
	   mdm.conf-custom if the mdm.conf file exists on the system but the
	   mdm.conf-custom file does not.
	3) Making this work required a lot of cleanup in the way MDM manages
	   its configuration files.  For example, now config options are
	   managed via access functions, and do not depend on non-static
	   globals being shared across files.  The GET_CONFIG and UPDATE_CONFIG
	   commands work better and do not require special tweaking when adding
	   new config options.  Vicious-extensions is now only included in a
	   few files that need to know how to access the config files directly.

	This makes MDM support a popular feature in CDE which works similarly.
	(config files in /etc/dt/config take precidence over the ones in
	/usr/dt/config).

	* daemon/mdmconfig.[ch]: Now supports reading configuration values
	  (including "servers" and "server-foo" sections from mdm.conf-custom
	  and then from mdm.conf if not found in the custom file.  Now store
	  translated strings in a separate hash since this improves
	  performance.  Fix GET_SERVER_DETAILS so it works better and
	  update config can now update server-foo sections via the
	  "xservers/PARMAETERS" key.
	* gui/mdmsetup.c: Now only writes to the mdm.conf-custom file and is
	  smart enough to just delete the key if the value will be the same as
	  in the mdm.conf file.  Fixed some core dumping issues caused by my
	  change to make mdmsetup use the new mdmconfig functions for getting
	  configuration data from the server.  This work cleaned up the code
	  quite a bit.  Removed the "--config" option from mdmsetup since this
	  change makes it edit the configuration of the running MDM daemon
	  instead of a program that edits a particular configuration file.
	* daemon/mdm.c: Fix GET_SERVER_DETAILS to support "ID" and some
	  cleanup.
	* gui/Makefile.am, daemon/Makefile.am: Support --with-configdir option
	  which got broken.
	* mdm.h: Updated sockets protocol comments so they are the same as
	  in the docs/C/mdm.xml file.
	* config/mdm.conf.in: Updated comments to mention that this file is not
	  to be edited.	Cleaned up the file so it is more readable.
	* config/Makefile.am: Install mdm.conf-custom and move mdm.conf to
	  mdm.conf-custom if it is modified and mdm.conf-custom is not already
	  installed.  If it is changed and mdm.conf-custom already exists, move
	  it to mdm.conf.org.
	* gui/mdmchooser.c, gui/mdmflexiserver.c: Remove unused getting of the
	  configuration file.
	* gui/mdmconfig.[ch]: Add function to tell config to never_cache, which
	  is needed by mdmsetup.
	* config/mdm.conf-custom: Added template file.

2005-12-13  Brian Cameron  <brian.cameron@sun.com>

	* gui/mdmsetup.c: Fix bug I introduced into mdmsetup when I made it
	  use the new mdmconfig functions.  Still need to use ve_config
	  functions when accessing the server-foo sections.  Patch provided by 
	  Jani Monoses <jani.monoses@gmail.com>.

2005-12-13  Brian Cameron  <brian.cameron@sun.com>

	* gui/Makefile.am: Fix Makefile so that libviciousui.a is used instead
	  of libviciousui-gnome.a.  This allows all MDM GUI programs to not
	  require libgnome anymore.  Only mdmsetup still requires libgnomeui.

2005-12-13  Brian Cameron  <brian.cameron@sun.com>

	* daemon/mdm.c, daemon/slave.c, daemon/verify-pam.c,
	  gui/mdmXnestchooser.c, gui/mdmchooser.c,
	  gui/mdmcomm.c, gui/mdmflexiserver.c, 
	  gui/mdmlogin.c, gui/mdmsetup.glade,
	  gui/greeter/greeter.c:  Now consistantly use "MDM" in strings
	  instead of "mdm".  Fixes bug #323221.  Thanks to Adam Weinberger
	  <adamw@gnome.org> for pointing this out.

2005-12-12  Brian Cameron  <brian.cameron@sun.com>

	* gui/mdmsetup.glade: Correct two typos.  "Backgroud" to "Background"
	  and "WIndow" to "Window".  Thanks to Asmund Skjaeveland
	  <aasmunds@fys.uio.no> for pointing this out on mdm-list@gnome.org.

2005-12-12  Brian Cameron  <brian.cameron@sun.com>

	* daemon/mdm.[ch], daemonmdmconfig.[ch]: Add GET_SERVER_LIST and
	  GET_SERVER_DETAILS sockets functions so that mdmflexiserver and
	  mdmconfig do not need to access the config file for these, instead
	  using the sockets protocol.
	* configure.ac, gui/Makefile.am: Remove some libgnome/libgnomeui
	  dependencies.
	* gui/mdmcomm.c: Now close sockets connection after 20 messages since
	  the daemon gets mad if you send more.
	* gui/mdmconfig.[ch]: New client functions for getting server
	  information via sockets.
	* gui/mdmflexiserver.c: Remove libgnome dependencies and now use new
	  config mechanism for getting server info.
	* gui/mdmsetup.c: Now use new config mechanism for reading from config
	  file and remove libgnome dependencies.  Cleaned up the code a bit.
	  Now we don't call ve_config_get all over the place, which seems to
	  speed up the start time.

2005-12-12  Brian Cameron  <brian.cameron@sun.com>

	* Release 2.13.0.3: 
	* NEWS, configure.ac: Updated
	* daemon/mdm.[ch]: Comment out new protocol commands I am adding to
	  get rid of the need to use gnome config.  This will be in the next
	  release.

2005-12-12  Brian Cameron  <brian.cameron@sun.com>

	* daemon/misc.c, daemon/server.c, daemon/verify-crypt.c,
	  daemon/verify-pam.c, daemon/verify-shadow.c,
	  daemon/xdmcp.c, gui/mdmXnestchooser.c, gui/mdmchooser.c,
	  gui/mdmcomm.c, gui/mdmcommon.[ch], gui/mdmdynamic.c, 
	  gui/mdmlanguages.c, gui/mdmlogin.c, gui/mdmphotosetup.c,
	  gui/mdmsession.c, gui/mdmuser.c, gui/mdmwm.[ch],
	  gui/greeter/greeter.c, gui/greeter/greeter_action_language.c,
	  gui/greeter/greeter_canvas_item.c, 
	  gui/greeter/greeter_item.c,
	  gui/greeter/greeter_item_capslock.c,
	  gui/greeter/greeter_item_pam.c,
	  gui/greeter/greeter_item_timed.c,
	  gui/greeter/greeter_item_ulist.c,
	  gui/greeter/greeter_parser.c, 
	  gui/greeter/greeter_session.c,
	  gui/greeter/greeter_system.c,
	  gui/misc.c, gui/modules/dwellmouselistener.c,
	  gui/modules/keymouselistener.c,
	  utils/mdm-dmx-reconnect-proxy.c,
	  utils/mdmaskpass.c:  Remove libgnome dependencies except
 	  in mdmflexiserver.c and mdmsetup.c.  Patch provided by 
	  Jani Monoses <jani.monoses@gmail.com>

2005-12-03  Dennis Cranston  <dennis_cranston@yahoo.com>

	* gui/mdmsetup.c: (gg_selection_changed), (read_themes),
	  (xserver_button_clicked), (setup_local_themed_settings),
	  (setup_remote_themed_settings), (setup_gui):
	* gui/mdmsetup.glade:  First set of UI changes as 
	  recommended by Calum Benson. 

2005-12-02  Brian Cameron  <brian.cameron@sun.com>

	* README, daemon/mdm.h:  More clear stability
	  information about the mdm.conf file.  Better
	  comments for ADD_DYNAMIC_DISPLAY socket 
	  command.

2005-11-28  Brian Cameron  <brian.cameron@sun.com>

	* Release 2.13.0.2: 
	* NEWS, configure.ac: Updated

2005-11-28  Brian Cameron  <brian.cameron@sun.com>

	* config/Makefile.am:  Ensure gnome.desktop and
	  default.desktop files have 644 perms.  Fixes
	  bug #322600.  Patch provided by Andrew Benton
	  <b3nt@ukonline.co.uk>.
	* daemon/mdmconfig.c:  Correct spelling of 
	  MDM_KEY_XDMCP when HAVE_LIBXDMCP is not 
	  defined.

2005-11-23  Dennis Cranston  <dennis_cranston@yahoo.com>

	* gui/mdmphotosetup.c: (browse_button_cb):
	  Fix a double free.  Remove unused function.

2005-11-23  Dennis Cranston  <dennis_cranston@yahoo.com>

	* gui/mdmphotosetup.c, gui/mdmphotosetup.glade:  
	  Fix bug #317744, "Login photo dialog is awful",
	  by simplifying the dialog.

2005-11-23  Brian Cameron <Brian.Cameron@sun.com>

	* daemon/verify-crypt.c, daemon/verify-pam.c,
	  Convert to using new mdmconfig interfaces.
	* daemon/choose.c, daemon/errorgui.c,
	  daemon/mdm.c, daemon/mdmconfig.c,
	  daemon/misc.c, daemon/slave.c,
	  daemon/xdmcp.c, gui/mdmXnestchooser.c,
	  gui/mdmconfig.c, gui/mdmlogin.c,
	  gui/greeter/greeter_canvas_textm.c:  Fix compiler warnings.  Patch
	  provided by Frederic Crozat on mdm-list@gnome.org.  Also make sure
	  that all functions have a space before the "(" to better follow
	  coding style guide.

	* daemon/cookie.c, daemon/display.c,
	  daemon/mdm-net.c, daemon/getvt.c, 
	  daemon/md5.c, daemon/server.c, 
	  daemon/verify-pam.c, gui/mdmchooser.c,
	  gui/mdmcommon.c, gui/mdmdynamic.c,
	  gui/mdmlanguages.c, gui/mdmuser.c,
	  gui/greeter/greeter.c,
	  gui/greeter/greeter_action_language.c,
	  gui/greeter/greeter_action_canvas_item.c,
	  gui/greeter/greeter_session.c,
	  gui/greeter/greeter_system.c:  Make sure that all functions have a
	  space before the "(" to better follow coding style guide.

2005-11-22  Brian Cameron <Brian.Cameron@sun.com>

	* daemon/getvt.c: Fix ifdefs again.

2005-11-22  Brian Cameron <Brian.Cameron@sun.com>

	* gui/modules/keymouselistener.c,
	  gui/modules/dwellmouselistener.c:  Backing out this fix.  It is not
	  needed.

2005-11-22  Brian Cameron <Brian.Cameron@sun.com>

	* gui/modules/keymouselistener.c,
	  gui/modules/dwellmouselistener.c:  Fix build on Darwin.  Fixes bug
	  #322085.  Patch provided by dmacks@netspace.org.

2005-11-22  Brian Cameron <Brian.Cameron@sun.com>

	* gui/mdmconfig.c: Remove value_set_hash since it isn't really needed.
	  Further cleanup.

2005-11-22  Brian Cameron <Brian.Cameron@sun.com>

	* daemon/mdmconfig.c, gui/mdmconfig.c: Minor tweaks.  Honor
	  doing_update when doing translations and don't translate Welcome or
	  RemoteWelcome in the daemon since it does not make sense to do this
	  here.

2005-11-22  Brian Cameron <Brian.Cameron@sun.com>

	* daemon/cookie.c, daemon/mdm.c, daemon/xdmcp.c,	
	  gui/mdmchooser.c, gui/greeter/greeter_events.c,
	  gui/greeter/greeter_item_ulist.c,
	  gui/greeter/greeter_parser.[ch],
	  gui/modules/dwellmouselistener.c,
	  gui/modules/keymouselistener.c: Fix compiler warnings.  Fixes bug
	  #322053.  Patch provided by Frederic Crozat.  Patch required some
	  work to apply to CVS head.

2005-11-22  Brian Cameron <Brian.Cameron@sun.com>

	* gui/mdmlogin.c: Now use GDK_RGB_DITHER_MAX so that MDM always
	  displays a nice background regardless of X configuration (X in 16bpp
	  mode).  Fixes bug #322029.  Patch provided by Frederic Crozat.

2005-11-22  Brian Cameron <Brian.Cameron@sun.com>

	* configure.in, vicious-extensions/ve-misc.c: Fix build on Darwin.
	  Fixes bug #322085.  Patch provided by dmacks@netspace.org.

2005-11-22  Brian Cameron <Brian.Cameron@sun.com>

	* NEWS: Updated so it has 2.8.0.6 info.

2005-11-22  Brian Cameron <Brian.Cameron@sun.com>

	* daemon/getvt.c: Fix get_free_vt_linux so
	  it returns the correct VT.  Fixes bug
	  #322137.  Patch by Frederic Crozat.

2005-11-21  Brian Cameron <Brian.Cameron@sun.com>

	This further improves MDM configuration so that now only the MDM
	daemon parses and manages the configuration file.  Most client
	programs use the GET_CONFIG command to access needed data.  This
	simplifies the configuration logic and puts all configuration parsing
	in one place and gets rid of a lot of global variables that were
	making the code look messy.  This also gets rid of several places
	where gnome_config deprecated functions were being used.  I have
	cleaned up the code so that the vicious-extensions code is more
	localized in gui/mdmconfig.[ch].  Some work is left to do:
	mdmflexiserver still uses gnome_config functions and mdmconfig should
	use the new functions for reading from the configuration file.  Some
	compile issues fixed as highlghted by dmacks@netspace.org to fix
	bug #322083.

	* NEWS: Fixed comment.
	* daemon/mdm.h: Further cleanup of #define's so that they better match
	  the names of the config keys.
	* daemon/mdm.c: Now GET_CONFIG returns "OK" if the key is valid but has
	  no value when it is a string.  Now free return value from
	  mdm_config_to_string.
	* daemon/Makefile.am, gui/greeter/Makefile.am: Now the daemon validates
	  the greeter's theme directory, so pass the default value into the
	  daemon and not the greeter.
	* daemon/mdmconfig.h: Added mdm_is_valid_key and corrected prototype
	  for mdm_set_user_session_lang.
	* daemon/slave.c: Fix warning and compile errors.
	* daemon/mdmconfig.c: Further fleshed out.  Now it supports a few
	  additional keys I overlooked.  It now validates all keys used by the
	  slaves.  Now handles translated string.  Further refactored the code.
	* gui/Makefile.am: Added mdmconfig.[ch] to common library.
	* gui/mdmconfig.[ch]: New functions for accessing configuration data
 	  for slaves.
	* gui/mdmXnestchooser.c, gui/mdmlanguages.c,
	  gui/mdmsession.h, gui/mdmuser.h, gui/mdmwm.c,
	  gui/misc.c, gui/greeter/greeter_item_capslock.c:
	  gui/greeter/greeter_item_pam.c: No longer include
	  vicious.h/viciousui.h, instead mdmconfig.h.
	* gui/mdmcomm.c: Fix mdm_check_comm to no longer require passing in
	  the config file name.
	* gui/mdmcommon.[ch]: Get rid of old mdm_common_*_same functions that
	  are replaced with new gui/mdmconfig logic.  Now functions that access
	  config data use the new functions.
	* gui/mdmflexiserver.c: Now displays the localized string when you use
	  GET_CONFIG to access a translatable string.
	* gui/mdmconfig.c: Now calls update_key in addition to update_greeters
	  when updating greeter config data, since the daemon needs to update
	  the values now when they change.
	* gui/mdmchooser.c, gui/mdmdynamic.c, gui/mdmlogin.c,
	  gui/mdmphotosetup.c, gui/mdmsession.c, gui/mdmuser.c,
	  gui/mdm/mdmXnestchooser.c, gui/greeter/greeter.c,
	  gui/greeter/greeter_action_language.c,
	  gui/greeter/greeter_canvas_item.c,
	  gui/greeter/greeter_item.c,
	  gui/greeter/greeter_item_customlist.c,
	  gui/greeter/greeter_item_timed.c,
	  gui/greeter/greeter_item_list.c,
	  gui/greeter/greeter_parser.c,
	  gui/greeter/greeter_session.c,
	  gui/greeter/greeter_system.c:  Updated to use new configuration
	  functions.
	* vicious-extensions/glade-helper.c: Now include stdlib.h to avoid
	  compiler warnings.
	* gui/greeter/greeter.c: Remove unused mdm_kill_thingies function.

2005-11-19  JÃ¼rg Billeter  <j@bitron.ch>

	* configure.ac: Really check for X server in prefix /usr

2005-11-16  Brian Cameron <Brian.Cameron@sun.com>

	* daemon/getvt.c: Fix #ifdef's.

2005-11-15  Brian Cameron <Brian.Cameron@sun.com>

	* daemon/getvt.c: Change made on 11/03 to make MDM use VT_GETSTATE for
	  peeking VT freeness broke BSD builds.  Put back code for BSD.  Linux
	  will continue to use VT_GETSTATE.  Fixes bug #321493.

2005-11-14  Brian Cameron <Brian.Cameron@sun.com>

	* Release 2.13.0.1: 
	* NEWS, configure.ac: Updated

2005-11-11  Dennis Cranston  <dennis_cranston@yahoo.com>

	* gui/mdmsetup.c: (install_theme_file), (theme_install_response),
	  (install_new_theme), (get_file_list_from_uri_list),
	  (theme_list_drag_data_received), (setup_local_themed_settings),
	  (setup_remote_themed_settings):  Add drag and drop support for
	  new themes.

2005-11-11  Brian Cameron  <brian.cameron@sun.com>

	* configure.ac: Update check for socklen_t so it includes sys/socket.h.
	  Some BSD platforms define socklen_t there.  Patch provided by
	  dmacks@netspace.org.  Fixes bug #320930.

2005-11-09  Brian Cameron  <brian.cameron@sun.com>

	* daemon/getvt.c: Oops, fix again.

2005-11-08  Brian Cameron  <brian.cameron@sun.com>

	* daemon/getvt.[ch]: Fix reading of MDM_KEY_FIRST_VT and
	  MDM_KEY_VT_ALLOCATION from config.

2005-11-08  Brian Cameron  <brian.cameron@sun.com>

	* daemon/getvt.c daemon/slave.c: Add errno.h and mdmconfig.h to
	  getvt.h.  Fix Xinerama key in slave.c so code comiles when Xinerama
	  is enabled.

2005-11-07  Brian Cameron  <brian.cameron@sun.com>

	* daemon/mdm.h, gui/mdmchooser.c: No longer #ifdef the reading of the
	  Multicast config data.  It's okay if these values are read in even if
	  IPv6 isn't being used.

2005-11-04  Brian Cameron  <brian.cameron@sun.com>

	* configure.ac: Fix check for XInput and add a check for libgen.h.
	  Fixes bugs #320580 and #320581.

2005-11-03  Brian Cameron  <brian.cameron@sun.com>

	* gui/modules/Makefile.am:  No longer link against libvicious since it
	  isn't used by the gestures listeners.

2005-11-03  Brian Cameron  <brian.cameron@sun.com>

	* daemon/getvt.c: Patch to make MDM use VT_GETSTATE for peeking VT
	  freeness.  Patch provided by Samuel Thibault
	  <samuel.thibault@ens-lyon.org>.  Fixes bug #315313.

2005-11-03  Brian Cameron  <brian.cameron@sun.com>

	* config/mdm.conf: Updated UPDATE_CONFIG section of docs to reflect
	  changes made to MDM configuration.

2005-11-03  Dennis Cranston  <dennis_cranston@yahoo.com>

	* config/mdm.conf.in: Updates for bug #314685.

2005-11-03  Dennis Cranston  <dennis_cranston@yahoo.com>

	* gui/mdmsetup.desktop.in:  Update Name, GenericName & Comment to
	  "Login Window" preferences.  Change the category from
	  Applications->System Tools to Desktop->Administration.  Updates bug
	  #314685.

2005-11-03  Dennis Cranston  <dennis_cranston@yahoo.com>

	* gui/mdmchooser.c: (main):  Set the window icon.
	* gui/mdmchooser.glade:  Use HIG recommended widget spacing.
	  Fixes bug #320425.

2005-11-03  Brian Cameron  <brian.cameron@sun.com>

	Redesign of daemon configuraton.  Now all vicious-extensions logic is
	in mdmconfig.[ch].  This greatly simplifies how the UPDATE_CONFIG, and
	GET_CONFIG commands work and makes it easier to update the way MDM
	handles configuration.  Changed ve_setenv/ve_unsetenv to
	g_setenv/g_unsetenv since MDM requires a newer version of GLIB than
	could possibly cause the old ve versions to get used.

	* daemon/mdmconfig.[ch]: New logic for interacting with
	  vicious-extensions.
	* daemon/mdm.h: Updated comments and changed the #define for many
	  configuration options so the naming is more consistant.  Now the
	  #defines more closely match the keys in mdm.conf and more
	  consistantly use the underscore.
	* daemon/auth.c, daemon/choose.c, daemon/cookie.c,
	  daemon/display.c, daemon/errorgui.c, daemon/mdm-net.c,
	  daemon/mdm.c, daemon/getvt.c, daemon/misc.c,
	  daemon/server.c, daemon/slave.c, daemon/verify-crypt.c,
	  daemon/verify-pam.c, daemon/verify-shadow.c,
	  daemon/xdmcp.c: Reorganized configuration.
	* daemon/auth.h, daemon/cookie.h, daemon/display.h,
	  daemon/errorgui.h, daemon/filecheck.h, daemon/mdm-net.h,
	  daemon/getvt.h, daemon/misc.h, daemon/server.h,
	  daemon/slave.h, daemon/verify.h, daemon/xdmcp.h:
	  Now include mdmconfig.h instead of vicious.h and changed "Gnome" to
	  "GNOME" in comment.
	* daemon/Makefile.am: Added new mdmconfig.[ch]
	* gui/mdmXnestChooser.c, gui/mdmchooser.c, gui/mdmcomm.c,
	  gui/mdmdynamic.c, gui/mdmflexiserver.c, gui/mdmlogin.c,
	  gui/mdmphotosetup.c, gui/mdmsetup.c, gui/greeter/greeter.c, 
	  gui/greeter/greeter_item_capslock.c,
	  utils/mdm-dmx-reconnect-proxy.c: Updated to reflect the new
	  configuration #defines.

2005-10-27  Dennis Cranston  <dennis_cranston@yahoo.com>

	Fix bug #314685, "Mdmsetup UI fixes".  Based on redesign mockups
	by Calum Benson from http://www.gnome.org/~calum/usability/specs/mdm/.

	* gui/mdmsetup.c: (logo_toggle_timeout), (logo_toggle_toggled),
	  (xserver_update_delete_sensitivity), (init_servers_combobox),
	  (update_remote_sensitivity), (refresh_remote_tab),
	  (combobox_timeout), (list_selection_toggled), (combobox_changed),
	  (toggle_toggled_sensitivity_positive),
	  (timedlogin_allow_remote_toggled), (setup_notify_toggle),
	  (setup_xdmcp_notify_toggle), (users_string_compare_func),
	  (setup_user_combobox_list), (setup_xdmcp_intspin), (face_add),
	  (face_del), (browser_move), (browser_apply),
	  (users_add_button_clicked), (setup_face), (greeter_toggle_timeout),
	  (sensitive_entry_toggled), (local_background_type_toggle_timeout),
	  (local_background_type_toggled), (setup_greeter_toggle),
	  (greeter_color_timeout), (setup_greeter_color),
	  (xdmcp_button_clicked), (vt_spinbutton_activate),
	  (setup_greeter_combobox), (setup_xdmcp_support),
	  (acc_modules_toggled), (test_sound), (sound_response),
	  (setup_users_tab), (setup_accessibility_tab),
	  (gg_selection_changed), (read_themes), (selected_toggled),
	  (theme_install_response), (install_new_theme), (delete_theme),
	  (xserver_entry_timeout), (xserver_toggle_timeout),
	  (xserver_init_server_list), (xserver_init_servers),
	  (xserver_row_selected), (xserver_remove), (xserver_add),
	  (xserver_add_button_clicked), (xserver_init_definitions),
	  (xserver_delete), (setup_xserver_support),
	  (xserver_button_clicked), (setup_security_tab),
	  (setup_local_themed_settings), (image_filechooser_response),
	  (logo_filechooser_response), (create_preview_pixbuf),
	  (update_image_preview), (hookup_plain_background),
	  (hookup_plain_logo), (setup_plain_menubar),
	  (setup_local_welcome_message), (setup_remote_welcome_message),
	  (setup_local_plain_settings), (setup_local_tab),
	  (hookup_remote_plain_background), (hookup_remote_plain_logo),
	  (setup_remote_plain_settings), (setup_remote_themed_settings),
	  (setup_remote_tab), (setup_gui), (apply_user_changes), (main):
	  Implement the new UI. Fix various compiler warnings.
	* gui/mdmsetup.glade:  Implement the new UI.
	* gui/greeter/greeter.c: (main):  Get the background color from
	  MDM_KEY_GRAPHICAL_THEME_COLOR, but fallback to MDM_KEY_BACKGROUNDCOLOR
	  if its does not exist.
	* gui/mdmlogin.c: (mdm_login_parse_config), (setup_background),
	  (mdm_reread_config): Fix bugs found in the parsing of the welcome
	  messages.  Add support for a MDM_BACKGROUND_IMAGE background type.
	  Fix the setup of the welcome message string in the greeter.  Fix
	  various compiler warnings.
	* vicious-extensions/glade-helper.c: (glade_helper_tagify_label):
	  Add support for more than one markup tag.
	* daemon/mdm.h:  Define MDM_KEY_GRAPHICAL_THEME_COLOR and
	  MDM_KEY_CHOOSER_BUTTON_LOGO keys.
	* daemon/mdm.c: (mdm_handle_user_message): Add newly defined keys.
	* daemon/slave.c: (session_child_run):  Pass a MDM_GREETER_TYPE
	  environmental variable to presession script.
	* config/PreSession.in:  Add support for plain and background color.

2005-10-28  Brian Cameron  <brian.cameron@sun.com>

	* daemon/display.c: If the slave doesn't respond to a SIGTERM, try
	  SIGKILL the second time.  MDM has a problem where it will sometimes
	  stop managing a display because it just keeps waiting for a slave to
	  die after sending it a SIGTERM.  Some users have found that this
	  patch works around the problem of a child ignoring SIGTERM.  Patch
	  provided by Vaclav Smilauer <eudoxos@arcig.cz>.  Fixes bug #113902.

2005-10-28  Brian Cameron  <brian.cameron@sun.com.

	* gui/mdmlogin.c,
	  gui/greeter/greeter_item_capslock.c: Patch to make MDM warn correctly
	  about caps lock if an alternative keymap is enabled.  Now use
	  kbGetState instead of XkbGetIndicatorState.  Fixes bug #317732.
	  Patch provided by Michael Hofmann <mh21@piware.de>.

2005-10-28  JÃ¼rg Billeter  <j@bitron.ch>

	* configure.ac: Check for X server in prefix /usr

2005-10-27  Brian Cameron  <brian.cameron@sun.com>

	* daemon/slave.c: Fix race condition where the d variable wasn't being
	  set until after the signal handlers, and the signal handlers make use
	  of this variable.  Now set it before to ensure it is set whenever a
	  signal might be received.  Issue pointed out by Simon Bowden on
	  mdm-list@gnome.org

2005-10-27  Erdal Ronahi  <erdal.ronahi@gmail.com>

	* configure.ac: Added ku (Kurdish) to ALL_LINGUAS

2005-10-26  Brian Cameron <Brian.Cameron@sun.com>

	* Release 2.13.0.0:  Bumping minor version to match GNOME release
	  schedule.
	* NEWS, configure.ac, autogen.sh: Updated.  Renamed configure.in to
	  configure.ac.  

2005-10-14  Brian Cameron <Brian.Cameron@sun.com>

	* gui/mdmlogin.c: No longer set tooltips for menu items in mdmlogin.
	  These are distracting, and do not work with accessibility.  After
	  talking with Owen Taylor at the GNOME Boston Summit, he said no GNOME
	  programs do this, and it is not recommended.  Fix for bug #144869.
	* gui/mdmchooser.c:  Now use mdm_common_setup_cursor instead of its own
	  copy of the same function.
	* gui/mdmcommon.[ch]: mdmlogin, mdmgreeter and mdmchooser were all
	  using their own functions to set the background color.  Now they use
	  a common function in mdmcommon.
	* gui/mdmlogin.c, gui/mdmchooser.c, gui/greeter/greeter.c: Now sets
	  background color and sets cursor to a watch as soon as GTK is
	  initialized and the configure file read.  This shortens the amount of
	  time the background is Xserver default gray.

2005-10-06  Brian Cameron <Brian.Cameron@sun.com>

	* gui/mdmlogin.c, gui/greeter/greeter.c,
	  gui/greeter/greeter_item_pam.c:  Change the way the "OK" and "Cancel"
	  buttons work so that they are consistant.  Now the "Cancel" button in
	  mdmlogin is active when the Username is requested and pressing it
	  just clears the field.  This makes mdmlogin work like mdmgreeter.
	  This is easier than changing mdmgreeter because the greeter themes
	  don't support changing buttons sensitivity.  Also it is somewhat
	  useful for Cancel to work this way.  Now make the buttons insensitive
	  when ok/enter/tab is pressed and make them sensitive again when the
	  greeter wants entry.  This fixes bug #318017 where users could
	  corrupt mdmgreeter's memory by hitting cancel after authentication
	  (which would only happen if the PostLogin script caused a long enough
	  delay to allow this (or perhaps on a real slow machine).
	  
2005-10-06  Brian Cameron <Brian.Cameron@sun.com>

	* daemon/slave.c: Fix problem with PostSession script not always
	  getting executed when user kills the Xserver with ctl-alt-backspace.  
	  This is caused because an xioerror is generated by whack clients and
	  this xioerror needs to be ignored for PostSession to be processed.
	  This problem tended not to manifest in MDM 2.6 because the
	  introduction of the whack clients call made the xioerror get
	  generated earlier.  However, it was still a race condition and this
	  fix ensures that the xioerror will not cause the slave to ever exit
	  too early.  Fixes bug #152906.  Patch provided by Jerry G. DeLapp
	  <jgd@lanl.gov>
	* AUTHORS: Update file.

2005-10-05  Brian Cameron <Brian.Cameron@sun.com>

	* acconfig.h, configure.in, config/mdm.conf.in,
	  daemon/mdm.h, Define SoundProgram to be /usr/bin/audioplay instead of
	  /usr/bin/play on Solaris.  /usr/bin/play doesn't exist on Solaris.

2005-10-04  Brian Cameron <Brian.Cameron@sun.com>

	* gui/mdmflexiserver.c: Correct reading of config file.  Fixes bug
	  #313701.  Patch provided by Christiaan Welvaart
 	  <cjw@daneel.dyndns.org>.

2005-10-03  Brian Cameron <Brian.Cameron@sun.com>

	* Release 2.8.0.5
	* configure.in, NEWS, AUTHORS: Updated.

2005-10-03  Brian Cameron <Brian.Cameron@sun.com>

	* daemon/slave.c: Remove evil mdm_debug output.

2005-10-03  Brian Cameron <Brian.Cameron@sun.com>

	* gui/mdmsetup.glade: Fix label to remove unwanted "\n" characters.
	  Fixes bug #317820.

2005-09-30  Brian Cameron <Brian.Cameron@sun.com>

	* gui/mdmchooser, gui/mdmcomm.c:  Fix messages.  Thanks to Adam
	  Weinberger <adamw@gnome.org> for patches.

2005-09-29  Brian Cameron <Brian.Cameron@sun.com>

	* daemon/verify-pam.c: Remove syslog() test that causes needless
	  syslog message when Solaris auditing is turned off.
	* gui/mdmflexiserver.c, gui/greeter/greeter_item_ulist.c: Correct
	  grammar.  Corrects bug #317479, thanks to adamw@gnome.org
	  (Adam Weinberger).

2005-09-28  William Jon McCann  <mccann@jhu.edu>

	* gui/mdmflexiserver.c (is_program_in_path, maybe_lock_screen)
	  (run_logged_in_dialogue, main): Consolidate screensaver activation
	  code.  Don't use deprecated gnome-exec.  Fixes #311497.

2005-09-27  Brian Cameron <Brian.Cameron@sun.com>

	* gui/greeter/greeter_item_ulist.c: Now print syslog warning if MDM
	  theme has ulist but does not have pam-message.

2005-09-26  Brian Cameron <Brian.Cameron@sun.com>

	* gui/mdmsetup.c, gui/mdmphotosetup.c:  Only set right/left mouse
	  buttons to map to button1 when RUNNING_UNDER_MDM and now show hidden
	  files by default in file dialogs.  Fixes bug #317152.
	* gui/mdmflexiserver.c: Cleaned up startnew option.
	* gui/modules/keymouselistener.c, gui/modules/dwellmouselistener.c:
	  Remove needless include.

2005-09-22  Rodrigo Moya <rodrigo@novell.com>

	* gui/mdmflexiserver.c (run_again): use gnome-screensaver if
	  available instead of xscreensaver.

2005-09-22  Rodrigo Moya <rodrigo@novell.com>

	* gui/mdmphotosetup.c: fixed compilation warnings.
	  (add_preview_widget): made it static to avoid 'no previous prototype'
	  warning.
	  (browse_button_cb, fill_model): removed unused variables.

2005-09-20  Brian Cameron <Brian.Cameron@sun.com>

	* README.install, pam_allow.c: Add documentation regarding how to set
	  up Automatic Login on Solaris.
	* daemon/Makefile.am, gui/Makefile.am, 
	  gui/greeter/Makefile.am, gui/modules/Makefile.am,
	  vicious-extensions/Makefile.am:  Remove illegal reference to build
	  directory in installed .la files.  Fixes bug #316793, patch provided
	  by Stanislav Brabec <sbrabec@suse.cz>.
	* gui/mdmlogin.c: Fix comment for translators to make it more clear
	  that %l is a strftime option for 12 hour format.  Fixes bug #316773.
	  
2005-09-14  Brian Cameron <Brian.Cameron@sun.com>

	* daemon/slave.c:  Made error message about dmrc file being ignored
	  more clear.  Fixes bug #316242.

2005-09-14  Bastien Nocera  <hadess@hadess.net>

	* daemon/xdmcp.c: (mdm_xdmcp_decode_packet):
	 Make XdmcpFill() failure a debug, as it also happens when the client
	 disconnects from the XDMCP server before the session was setup
	 (Closes: #316316)

2005-09-14  Brian Cameron <Brian.Cameron@sun.com>

	* daemon/mdm.[ch], daemon/slave.c,
	  config/mdm.conf.in:  Added debug/gestures key so that you can turn on
	  debugging for the gesture listeners separately from general debug.
	  Gesture listener debug output is too verbose to include in general
	  debug.

2005-09-14  Brian Cameron <Brian.Cameron@sun.com>

	* gui/mdmsetup.c: Fix mdmsetup so that when user modifies
	  Include/Exclude list, it also updates automatic/timed login dropdown
	  immediately.
	* gui/modules/keymouselistener.c: Remove incorrect comment.

2005-09-13  Brian Cameron <Brian.Cameron@sun.com>

	* daemon/slave.c, gui/modules/dwellmouselistener.c,
	  gui/modules/keymouselistener.c:  Now turn on gesture debug when MDM
	  debug is on.  Fix bug in dwellmouselistener that was causing
	  gestures to not be recognized.

2005-09-06  Brian Cameron <Brian.Cameron@sun.com>

	* daemon/auth.c, daemon/mdm.c, daemon/slave.c,
	  daemon/verify-pam.c, gui/mdmchooser.c, gui/mdmcomm.c,
	  gui/mdmdynamic.c, gui/mdmlogin.c, gui/mdmphotosetup.c,
	  gui/mdmsetup.c, gui/greeter/greeter.c,
	  gui/greeter/greeter_canvas_item.c, 
	  gui/greeter/greeter_session.c, 
	  gui/modules/keymouselistener.c,
	  utils/mdm-dmx-reconnect-proxy.c,
	  vicious-extensions/vc-misc.c:  Correct memory leaks.  Fixes bug
	  #315388, patch by Steve Grubb with minor tweaks by myself.
	* gui/mdmphotosetup.c: Corrected definition of void function to avoid
	  compiler warning.

2005-09-06  Brian Cameron <Brian.Cameron@sun.com>

	* Release 2.8.0.4.
	* configure.in, NEWS: Updated.

2005-08-30  Brian Cameron <Brian.Cameron@sun.com>

	* gui/modules/keymouselistener.c, gui/modules/dwellmouselistener.c:
	  Fixed syslog debugging so it works better.

2005-08-20  Dennis Cranston  <dennis_cranston@yahoo.com>

	* gui/mdmXnestchooser.c: (main):
	* gui/mdmchooser.c: (mdm_chooser_decode_packet), (add_check),
	  (mdm_chooser_add_host), (main):
	* gui/mdmcomm.c: (mdmcomm_check):
	* gui/mdmcommon.h:
	* gui/mdmflexiserver.c: (change_vt), (main):
	* gui/mdmlogin.c: (back_prog_run), (mdm_login_restart_handler),
	  (mdm_login_halt_handler), (mdm_login_suspend_handler),
	  (mdm_login_session_lookup), (mdm_login_language_lookup),
	  (mdm_login_ctrl_handler), (main):
	* gui/mdmphotosetup.c: (set_face_from_filename):
	* gui/mdmsetup.c: (update_greeters), (root_not_allowed),
	  (theme_install_response), (delete_theme), (main):
	* gui/mdmwm.c: (mdm_common_message), (mdm_common_query),
	  (mdm_common_warn):
	* gui/greeter/greeter.c: (greeter_ctrl_handler),
	  (verify_mdm_version), (main):
	* gui/greeter/greeter_action_language.c:
	  (greeter_langauge_initialize_model),
	  (greeter_language_get_language), (greeter_action_language):
	* gui/greeter/greeter_item_pam.c:
	  (greeter_item_pam_leftover_messages):
	* gui/greeter/greeter_session.c: (greeter_session_lookup),
	  (greeter_session_init):
	* gui/greeter/greeter_system.c: (query_greeter_restart_handler),
	  (query_greeter_halt_handler), (query_greeter_suspend_handler):
	* vicious-extensions/glade-helper.c: (glade_helper_bad_interface),
	  (glade_helper_bad_columns), (glade_helper_no_interface):
	* vicious-extensions/ve-miscui.c: (ve_hig_dialog_new):
	* vicious-extensions/ve-miscui.h:

	GNOME HIG fixes for the Language, Session and Message dialogs.
	Modified the ve_hig_dialog_new() function to use
	gtk_message_dialog_new() now that it supports both primary and
	secondary text.  Changed the shutdown, reboot, and suspend
	dialogs to type GTK_MESSAGE_WARNING.

2005-08-22  Rodrigo Moya <rodrigo@novell.com>

	* gui/mdmwm.c: added missing includes for clean 64 bit compilation.

2005-08-22  Tommi Vainikainen  <thv@iki.fi>

	* README: Fixed address of the web site.

2005-08-20  Brian Cameron  <brian.cameron@sun.com>

	* Release 2.8.0.3.
	* configure.in, NEWS: Updated.

2005-08-20  Brian Cameron  <brian.cameron@sun.com>

	* daemon/mdm.c, daemon/slave.c: Honor Default Session mdm.conf setting
	  when using autologin.  Fixes bug #313996.  Patch by HansPetter
	  Jansson <hpj@novell.com>

2005-08-18  Brian Cameron  <brian.cameron@sun.com>

	* gui/mdmflexiserver.c: Fix reading of configuration file so it works.

2005-08-18  Frederic Crozat  <fcrozat@mandriva.com>

	* config/locale.alias: Remove spaces in locale name, it causes mdm to
	  discard those locales. No string freeze was broken, these strings
	  are not displayed.  Fix bug #313735.

2005-08-17  Rodrigo Moya <rodrigo@novell.com>

	* gui/greeter/greeter_system.c (greeter_system_handler): added
	  missing tooltips.

2005-08-16  Brian Cameron  <brian.cameron@sun.com>

	* README: Add info about the mdm-list@gnome.org and location of
	  archives.

2005-08-15  Brian Cameron  <brian.cameron@sun.com>

	* gui/Makefile.am:  Change installation location of
	  mdmphotosetup.desktop from /usr/share/gnome/capplets to
	  /usr/share/applications since the older directory is deprecated since
	  GNOME 2.10 and is not menu-spec compliant.  Fixes bug #313205.

2005-08-15  Brian Cameron  <brian.cameron@sun.com>

	* README.install, config/mdm.conf.in: Updated links to point to the new project page.  Fixed
	  art.gnome.org link.
	* gui/mdmflexiserver.c: Fix bug #313197.
	* gui/mdm.conf.in: Added comments to better explain how
	  AlwaysRestartServer works.

2005-08-12  Brian Cameron  <brian.cameron@sun.com>

	* AUTHORS: Updated.

2005-08-11  Brian Cameron  <brian.cameron@sun.com>

	* NEWS: updated to be a bit more clear.
	* daemon/mdm.[ch], daemon/slave.c, daemon/verify-pam.c: Now support
	  Solaris SDTLOGIN mechanism which will cause the Xserver to be started
	  as the user instead of as root for extra security.
	* gui/mdmflexiserver.c: Add a new option --startnew (or -s) to start a
	  new flexible server without displaying a dialog asking the user if
	  they wish to continue an existing session.  This is useful for
	  starting mdmflexiserver from the screensaver where the user cannot
	  respond to a dialog.

2005-08-09  Brian Cameron  <brian.cameron@sun.com>

	* gui/mdmsession.c: Correct use-after-free issue with the dynamic
	  session in the sessions list.  Patch by Joe Marcus Clarke
	  <marcus@freebsd.org>, fixes bug #312974.

2005-08-08  Brian Cameron  <brian.cameron@sun.com>

	* NEWS: Updated for 2.8.0.2 release.
	* gui/mdmsetup.glade:  Fixed strings, refer to bugs #312956, 312959,
	  and 312960.
	* daemon/mdm.c: Fixed Multicast compile issue when IPv6 is not set.
	* configure.in, config/Makefile.am: Fixed "make distcheck" issue.

2005-08-04  Brian Cameron  <brian.cameron@sun.com>

	* daemon/server.c: Fix malformed string.
	* daemon/mdm.c, daemon/mdm.h: Fixed GET_CONFIG command so it works.
	  Before it only printed out the value if it had a value defined in the
	  mdm.conf file.  Now it prints out the runtime value.  For values that
	  are only used by other programs, it prints out the compiled-in
	  default if no value exists in mdm.conf.  Added comments to mdm.h to
	  make it clear what work developers should do when adding new
	  configuration options.
	* gui/mdm.h, config/mdm.conf.in: Fixed default value for GtkRC so it's
	  %datadir%/themes/Default/gtk-2.0/gtkrc instead of Default/gtk/gtkrc.

2005-08-03  Brian Cameron  <brian.cameron@sun.com>

	* gui/mdmlogin.c, gui/greeter/greeter.c:  Now MDM is more backwards
	  compatible.  The change to add DefaultWelcome and
	  DefaultRemoteWelcome to the config file would cause old configuration
	  files to ignore the setting.  Now if the mdm.conf file is missing the
	  DefaultWelcome or DefaultRemoteWelcome key it goes ahead and uses the
	  message in mdm.conf (unless the message is the same as the default
	  anyway).

2005-08-03  Brian Cameron  <brian.cameron@sun.com>

	* configure.in: Correct AT_BINDIR.
	* daemon/mdm.h: Changed "xdmcp" to "XDMCP" in comments.

2005-08-03  Brian Cameron  <brian.cameron@sun.com>

	* daemon/mdm.[ch], gui/mdmsetup.c : Change MDM_KEY_SERVERS to
	  MDM_KEY_SECTION_SERVER and added MDM_KEY_SECTION_GREETER.  There
	  already is a MDM_KEY_GREETER, so for section #defines it's better to
	  include "SECTION" in it.
	* gui/mdmsetup.c, gui/mdmsetup.glade:  Made a number of UI
	  improvements.  Calum Benson is doing a UI review of mdmsetup and I
	  made the following fixes based on his recommendations.  No longer
	  have mnemonics on the tabs since this is against HIG rules, changes
	  "Face Browser" tab to "Users" since the Include/Exclude list really
	  also affects Automatic/Timed login and not just the Face Browser.
 	  Added label to the Users tab to explain what the tab does, since it
	  wasn't too clear before.  Improved description of "Disallow TCP
	  connections" on the security tab so it is more clear what this does
	  (and highlight it doesn't affect XDMCP).  I also fixed the
	  sensitivities when "Include All Users" is checked.  Previously it
	  was making both the Include and Exclude list insensitive - it really
	  should just make the Include list and buttons to move between
	  Incude/Exclude insensitive.  This is now working.
	
2005-08-03  Brian Cameron  <brian.cameron@sun.com>

	* daemon/mdm.[ch], daemon/misc.[ch], daemon/verify-pam.c,
	  config/mdm.conf.in, config/Makefile.am, daemon/Makefile.am:
	  Provide better support for /etc/default/login.  Previously it
	  supported only PASSREQ.  Now it supports PATH, SUPATH, and CONSOLE.
	  Added new PasswordRequired mdm.conf setting to control whether
	  NULL_PASSWORDS are allowed when using PAM.
	* config/mdm.conf.in: Changed default for AllowRemoteRoot to false and
	  ConfigAvailable.  This makes MDM more secure by default.  Some
	  distros may want to change the default back to true.  If people
	  complain about this change, I'll make it possible to set these via
	  the configure script.

2005-08-02  Brian Cameron  <brian.cameron@sun.com>

	* acconfig.h, configure.in, daemon/Makefile.am, daemon/mdm.c,
	  Change to the way the patch introduced on 07/22 works.  Now MDM
	  continues to install the default mdm.conf file in %sysconfdir%/mdm
	  unless the user runs configure with the --with-configdir option.
	  The daemon will now first look in this location and then look in the
	  %sysconfdir%/mdm directory for the config file.  This allows MDM to
	  better support system-wide configuration, but leaves the config file
	  in %sysconfdir% for systems that do not need this feature.
	* README.install: Updated text to include information about
	  HaltCommand and RebootCommand.
 
2005-08-01  Ryan Lortie  <desrt@desrt.ca>

	* gui/mdmwm.c (mdm_common_query): Reorder code so that the 
	  affirmative response is always the rightmost button in a dialog
	  as per the HIG. (Bug #312188)

2005-07-31  Tommi Vainikainen  <thv@iki.fi>

	* m4/.cvsignore: Added.
	* configure.in, Makefile.am: gnome-doc-utils migration
	* .cvsignore: Added gnome-doc-utils.make

2005-07-26  Tommi Vainikainen  <thv@iki.fi>

	* gui/mdmsetup.c (setup_gui), gui/mdmsetup.glade: Removed special
	  option for 24 hour time format.
	* gui/mdmcommon.h, gui/mdmcommon.c
	  (mdm_common_select_time_format): Added function to parse between
	  "auto", "true", and "false" in "Use24Clock" setting.
	* gui/mdmlogin.c (mdm_login_parse_config), gui/greeter/greeter.c
	  (greeter_parse_config): Use mdm_common_select_time_format(...).
	  Fixes bug #145549.

2005-07-25  Brian Cameron  <brian.cameron@sun.com>

	* config/Makefile.am:  Now installs mdm.conf to /usr/share/mdm.  Fixed
	  "make distcheck".

2005-07-25  William Jon McCann  <mccann@jhu.edu>

	* .cvsignore: Added depcomp and stamp-h1
	* daemon/slave.c (ask_migrate) 
	  (mdm_slave_check_user_wants_to_log_in):
	* daemon/mdm.[ch] (mdm_config_parse): 
	* config/mdm.conf.in: Add a configuration option
	  AlwaysLoginCurrentSession that will automatically switch the user
	  back to their previous session without asking.  This is off by
	  default for now.  Fixes bug #311415.

2005-07-25  William Jon McCann  <mccann@jhu.edu>

	* gui/mdmcommon.c (mdm_common_get_config_file): Don't return a pointer
	  into the middle of a string that must be freed.  Fixes bug #311499.
	* gui/mdmphotosetup.c (main): Free config file string again.

2005-07-25  William Jon McCann  <mccann@jhu.edu>

	* daemon/mdm.c: Fix build by only using MDM_KEY_MULTICAST when IPV6 is
	  enabled.

2005-07-25  William Jon McCann  <mccann@jhu.edu>

	* gui/faces/butterfly.png: Somehow missed adding this file.
	* gui/faces/.cvsignore: Add file.

2005-07-24  William Jon McCann  <mccann@jhu.edu>

	* gui/greeter/greeter_item_ulist.c (check_for_displays) 
	  (greeter_generate_userlist, greeter_populate_user_list):
	  A few more tweaks to the face browser.

	* gui/mdmphotosetup.c (maybe_migrate_old_config): Fix leak.
	  (main): Freeing result of mdm_common_get_config file
	  causes memory corruption.  So, don't free it until
	  we find the problem.

2005-07-24  William Jon McCann  <mccann@jhu.edu>

	* gui/faces/Makefile.am:
	* gui/face/dice.jpg:
	* gui/face/sky.jpg: Updated images.

	* gui/face/astronaut.jpg:
	* gui/face/baseball.png:
	* gui/face/butterfly.png:
	* gui/face/cat-eye.jpg:
	* gui/face/chess.jpg:
	* gui/face/coffee.jpg:
	* gui/face/energy-arc.jpg:
	* gui/face/fish.jpg:
	* gui/face/flake.jpg:
	* gui/face/flower.jpg:
	* gui/face/grapes.jpg:
	* gui/face/guitar.jpg:
	* gui/face/launch.jpg:
	* gui/face/leaf.jpg:
	* gui/face/lightning.jpg:
	* gui/face/penguin.jpg:
	* gui/face/puppy.jpg:
	* gui/face/soccerball.png:
	* gui/face/sunflower.jpg:
	* gui/face/sunset.jpg:
	* gui/face/tennis-ball.png:
	* gui/face/yellow-rose.jpg: New images.  All derived from images on
	  wikipedia and wikimedia with free licenses.

	* gui/face/bonfire.jpg:
	* gui/face/cdrom.jpg:
	* gui/face/clock.jpg:
	* gui/face/hollyleaf.jpg:
	* gui/face/lamas.jpg:
	* gui/face/seal.jpg:
	* gui/face/skyline.jpg:
	* gui/face/daisy.jpg: Removed.
	
2005-07-22  Brian Cameron  <brian.cameron@sun.com>

	* configure.in: Bumped version to 2.8.0.2 since
	  a new interface was added, the mdmflexiserver
	  command, GET_CONFIG_FILE was added.
	* daemon/Makefile.am, daemon/mdm.[ch], 
	  daemon/server.c, daemon/xdmcp.c,
	  gui/Makefile.am, gui/mdmXnestchooser.c, 
	  gui/mdmchooser.c, mdm/mdmcomm.[ch], 
	  gui/mdmcommon.[ch], mdm/mdmdynamic.c, 
	  gui/mdmflexiserver.c, gui/mdmlogin.c, 
	  gui/mdmphotosetup.c, gui/mdmsetup.c, 
	  gui/greeter/greeter.c:  If /etc/mdm/mdm.conf does not exist, then MDM
	  will look in /usr/share/mdm/mdm.conf.  Since /usr/share can be shared
	  across multiple systems, this makes it easier for sysadmins to
	  configure sitewide settings for MDM2 instead of having to customize
	  /etc/mdm/mdm.conf on all the machines separately.  Now MDM installs
	  the mdm.conf and factory-mdm.conf files in the /usr/share/mdm
	  location.  The mdm daemon needs to be restarted to use a different
	  configuration file.  All applications that use the config file now
	  use the new GET_CONFIG_FILE mdmflexiserver command to get the
	  configuration file to use.  This way the applications don't get
	  confused if, say, the sysadmin creates an /etc/mdm/mdm.conf file
	  after the server was started using one in /usr/share/mdm.  Both the
	  mdm daemon and mdmsetup now allow a --config option so the sysadmin
	  can specify their own location for the config file.  

	  Moved MdmMulticast and MdmMulticastAddr to mdm.c so we don't access
	  the config file a second time in xdmcp.c.  Corrected grammar for some
	  messages.  Changed g_access() to access() in mdmphotosetup.c since
	  this is a new 2.7 usntable function.  I will change it back when 2.8
	  is released.
	* config/Makefile.am: Changed install location of mdm.conf and
	  factory-mdm.conf to %datadir%/mdm

2005-07-21  William Jon McCann  <mccann@jhu.edu>

	* gui/mdmphotosetup.glade: New file.
	* gui/Makefile.am: Add glade file.
	* gui/mdmphotosetup.c: Rewritten to be more HIG compliant, use
	  GtkIconView, include preview in file selector, and be instant apply.

2005-07-21  Brian Cameron  <brian.cameron@sun.com>

	* gui/mdmsetup.c:  C89 compliance patch provided by Jens Granseuer.
	  <jensgr@gmx.net>.  Fixes bug #311097.

2005-07-21  Brian Cameron  <brian.cameron@sun.com>

	* daemon/verify-crypt.c, daemon/verify-pam.c, daemon/verify-shadow.c:
	  Remove unused gtkmessagedialog.h header file.
	* gui/mdmchooser-strings.c, gui/mdmchooser.gladep,
	  gui/mdmsetup-strings.c, gui/mdmsetup.gladep: Removing these files
	  from the module since they are not needed.  The *.glade files are now
	  translated directly.  This fixes bug #310857.

2005-07-20  William Jon McCann  <mccann@jhu.edu>

	* gui/greeter/themes/happygnome-list/happygnome.xml: Tweak the colors
	  in the user list.  Make the background translucent behind the user
	  list.
	* gui/greeter/greeter_item_ulist.c (greeter_populate_user_list): Make
	  real name bold if it is available.  Design for humans.
	  (force_no_tree_separators): Set treeview style so that we don't get
	  strange lines between tree rows when we set a userlist color in the
	  theme.  (greeter_item_ulist_setup): Only shrink the size of the user
	  list.  Set the default widget style.
	* gui/greeter/greeter_canvas_item.c (greeter_item_create_canvas_item):
	  Don't set rules hint for userlist treeview.

2005-07-20  Brian Cameron  <Brian.Cameron@sun.com>

	* utils/mdm-dmx-reconnect-proxy.c: Fixed grammar, fixing bug #310958.

2005-07-20  Brian Cameron  <Brian.Cameron@sun.com>

	* configure.in: TCP Wrappers now works on Solaris.

2005-07-20  Brian Cameron  <Brian.Cameron@sun.com>

	* gui/Makefile.am, gui/mdmcommon.c, mdmwm.c: Moved
	  mdm_common_show_info_msg, mdm_common_msg and mdm_common_query from
	  mdmcommon.c to mdmwm.c.  Now no longer include mdmwm.[ch] in
	  libmdmcommon.a since these are in libmdmwm.a:  This is cleaner since
	  these 3 functions reference mdmwm functions.  This fixes a link
	  problem on Solaris caused because the Xinerama functions were getting
	  referenced in mdmsetup even though they are unused.  
	* gui/mdmphotosetup.c: Now use chmod instead of g_chmod.

2005-07-19  Brian Cameron  <Brian.Cameron@sun.com>

	* gui/mdmphotosetup.c: Backed out calls to g_chmod since mdm2 should
	  not depend on glib functions only available in an unstable build
	  (2.7).

2005-07-19  William Jon McCann  <mccann@jhu.edu>

	* gui/greeter/greeter_item_ulist.c (mdm_greeter_users_init): 
	  Use common function for loading face images.
	
	* gui/greeter/greeter.c (greeter_ctrl_handler):
	  Update for new common code.

	* gui/mdmuser.c (mdm_user_alloc): Use common function for
	  loading face images.
	  (setup_user): Define as static.

	* gui/mdmlogin.c (mdm_kill_thingies): Make static.
	  (mdm_login_ctrl_handler): Update for new mdm_common_login_sound.
	  Add mdm_kill_thingies before all abort calls since they are
	  not in mdm_common_abort anymore.
	  (main): Use new common get face function.

	* gui/Makefile.am:
	* gui/mdmcommon.c (mdm_common_show_info_msg, mdm_common_login_sound):
	  Make more common by not depending on external variables.
	  (mdm_common_abort): Make more common by not depending on
	  external functions.
	  (mdm_common_get_face): Add a common function for loading
	  face images.

	* daemon/slave.c (path_is_local, check_user_file) 
	  (check_global_file, get_facefile_from_gnome2_dir_config) 
	  (get_facefile_from_home, get_facefile_from_global, run_pictures):
	  Don't stat or read from remote home directories.  Fixes #310545.

	* configure.in:
	* daemon/Makefile.am:
	* daemon/fstype.c: Add ability to detect filesystem types.

	* gui/greeter/greeter_item_ulist.c (mdm_greeter_users_init): 
	* gui/mdmlogin.c (main):
	  Try GTK+ themed icon stock_person before falling back to
	  nobody.png.  Fixes #310906.

2005-07-19  William Jon McCann  <mccann@jhu.edu>

	* gui/mdmlogin.c (mdm_login_gui_init):
	  Use HIG style button layout.  Fixes #310549.

2005-07-19  Tommi Vainikainen  <thv@iki.fi>

	* config/XKeepsCrashing, config/Xsession.in, daemon/display.c,
	  daemon/mdm.c, daemon/slave.c, gui/mdmXnestchooser.c,
	  gui/mdmchooser.c, gui/mdmcomm.c, gui/mdmlogin.c,
	  gui/mdmphotosetup.c, gui/mdmsetup.c, gui/mdmsetup.glade,
	  gui/greeter/greeter.c, gui/greeter/greeter_session.c,
	  gui/greeter/greeter_system.c: Cleanup terminology, and fix many
	  strings. See bug #310453.  Also fixes bug #308287. List of the most
	  important string changes:
	  machine -> computer
	  program -> application or command
	  superuser -> root
	  mdm, Mdm -> MDM
	  See the Language chapter in GNOME HIG for more information.

2005-07-14  Brian Cameron  <brian.cameron@sun.com>

	* daemon/getvt.c, daemon/mdm.c: Support 
	  DragonFly VT since it is the same as FreeBSD.
	  Patch provided by Joerg Sonnenberger
	  <joerg@bec.de>.  Fixes bug #310218.

2005-07-13  William Jon McCann  <mccann@jhu.edu>

	* gui/mdmphotosetup.c (main): Use new gstdio functions and set
	  correct permission on .face.

2005-07-11  Brian Cameron  <brian.cameron@sun.com>

	* configure.in: Cleaned up configure file.
	* gui/mdmsession.c: Changed "Gnome" to "GNOME".

2005-06-30  Brian Cameron  <brian.cameron@sun.com>

	* Release 2.8.0.1
	* NEWS, configure.in:  Updated for new release.

2005-06-30  Brian Cameron  <brian.cameron@sun.com>

	* gui/mdmlogin.c, gui/mdmsetup.c:  No longer use C99 features that do
	  not work with gcc 2.95, specifically do not declare variables except
	  at the beginning of a block.  Fixes bug #309110, patch provied by
	  Jens Granseuer <jensgr@gmx.net>.
	* autgogen.sh: Add back USE_GNOME_MACROS2=1 It doesn't do anything if
	  using GNOME 2.10 or later, but allows people using older
	  gnome-autogen.sh to build.

2005-06-22  Brian Cameron  <brian.cameron@sun.com>

	* configure.in, vicious-extensions/Makefile.am,
	  daemon/Makefile.am, gui/Makefile.am, 
	  gui/greeter/Makefile.am: Upgrading to pkgconfig 0.17.2 broke the
	  Solaris build because it no longer allows the linker to pull in
	  libraries that are implicitely included.  Now explicitely specify the
	  dependent libraries and ensure they are included in the link
	  statements for each binary.
	* verify-pam.c: Minor correction to Solaris audit logic provided by
	  Gary Winiger.  <Gary.Winiger@sun.com>

2005-06-20  Brian Cameron  <brian.cameron@sun.com>

	* autogen.sh: Updated REQUIRED_AUTOMAKE_VERSION from 1.4 to 1.5 since
	  it no longer requires 1.4 and gnome-autogen.sh would complain if you
	  had a newer version of automake.  Fixes bug #307543.

	* daemon/slave.c: On 04/25, a change was made to move seteuid/setegid
	  to before checking the existance of the user's $HOME id to fix bug
	  #301821.  That patch added new seteuid/setegid calls before the
	  check, but didn't remove the calls after the check.  Calling these
	  functions twice is needless and was causing problems on NetBSD
	  (refer to bug #301821), so now fixing the logic so it doesn't
	  needlessly call the function twice.  This fixes bug #301821.  Patch
	  provided by Julio M. Merino Vidal.  This fixes bug #301821.

2005-06-17  Brian Cameron  <brian.cameron@sun.com>

	* gui/mdmsetup.c:  Fix Delete button sensitivity.  Fixes part of bug
	  #302354.  Patch by Andrew Case.

2005-06-15  Brian Cameron  <brian.cameron@sun.com>

	* gui/mdmXnestchooser.c, gui/mdmcomm.c, 
	  gui/mdmflexiserver.c, gui/mdmphotosetup.c, 
	  gui/mdmwm.c:  Fix leaks.  Addresses bug #307482.  Patch provided by
	  Kjartan Maraas.
	* gui/modules/dwellmouselistener.c, 
	  gui/modules/keymouselistener.c:  Remove needless "\n" from syslog
	  calls.

2005-06-15  Brian Cameron  <brian.cameron@sun.com>

	* gui/modules/dwellmouselistener.c, gui/modules/keymouselistener.c:
	  Now log messages to syslog since you can't see messages printed to
	  stdout/stderr when running under mdm2.  Now only print messages if
	  MDM_DEBUG_GESTURES environment variable is set to TRUE.  Cleaned up
	  the code so it is more readible.  No longer modify PATH since mdm2
	  now puts full path to executables in the gesture listener config
	  files.  More secure.

2005-06-13  Brian Cameron  <brian.cameron@sun.com>

	* vicious-extensions/ve-gnome.c:  Remove reference to libgnome.  The
	  daemon should not depend on libgnome.  Patch provided by Andrew Case.
	  Fix for bug #117889.

2005-06-11  Juerg Billeter  <j@bitron.ch>

	* configure.in: Use ksh on solaris only.  Fixes bug #307250.

2005-06-10  Brian Cameron  <brian.cameron@sun.com>

	* Release 2.8.0.0
	* configure.in: Updated version
	* NEWS: Updated
	* gui/Makefile.am: Fixed so faces subdir gets distributed.
	* gui/faces/Makefile.am: Fixed so faces subdir builds with distcheck.

2005-06-10  Brian Cameron  <brian.cameron@sun.com>

	* gui/mdmsetup-strings.c, gui/mdmsetup.c, gui/mdmsetup.glade:  Removed
	  "No Image" button for setting the background since it is redundant.
	   You can also say "no background" on the radio button list.

2005-06-10  Brian Cameron  <brian.cameron@sun.com>

	* config/mdm.conf.in: Updated setting for mdmsetup, mdmlogin, and
	  mdmchooser so they point to the new installation locations.  Fixes
	  bug #306464.
	* configure.in: Fix enable-ipv6 so it works.  Fixes bug #306558.  Patch
	  provided by foser@gentoo.org.
	* gui/mdmsetup-strings.c, gui/mdmsetup.c, gui/mdmsetup.glade,
	  config/mdm.h, daemon/mdm.h:  Add Xserver configuration tab to
	  mdmsetup.  Minor cleanup of mdmsetup.c and better documentation.
	  Fixes bug #89421.
	* gui/mdmsetup.c, gui/mdmsetup.glade: Now "Turn on Face Browser" is on
	  Security tab, which makes more sense.  Face Browser tab is now
	  insensitive if not turned on.  Rearranged tabs so they seem a bit
	  more clean.

2005-06-02  Brian Cameron  <brian.cameron@sun.com>

	* gui/mdmchooser.c, gui/mdmlogin.c, gui/mdmsetup.glade,
	  gui/greeter/greeter.c, gui/greeter/greeter_system.c:
	  Change "reboot" to "restart".  Changed function names and variables
	  from reboot to restart.  It's still "reboot_button" in the MDM2 theme
	  XML files since changing this would break backwards compatibility.
	  Fixes bug #305939.  Patch for mdmlogin by Nicholas Skehin.  I updated
	  the patch so it also applies to mdmgreeter.
	  
2005-06-02  Brian Cameron  <brian.cameron@sun.com>

	* gui/mdmdynamic.c:  Added new file so build works.

2005-05-25  Brian Cameron  <brian.cameron@sun.com>

	* acconfig.h, configure.in, config/mdm.conf.in,
	  config/Xsession.in, README.install: Now allow xevie to be turned on
	  for server-Standard.  This is for better a11y support.  Now use
	  /bin/ksh for Xsession shell if on Solaris instead of /bin/sh.  This
	  is needed to support Solaris users who are using ksh or bash as their
	  $HOME shell.

2005-05-17  Brian Cameron  <brian.cameron@sun.com>

	* daemon/mdm.[ch], daemon/misc.c, daemon/verify-pam.c,
	  gui/Makefile.am, gui/mdmdynamic.c, config/mdm.conf.in: Add support
	  for dynamic Xservers.  Fixes enhancement request #168219.  Patch
	  provided by Bob Terek <Robert.Terek@sun.com>.

2005-05-16  Brian Cameron  <brian.cameron@sun.com>

	* gui/modules/AccessKeyMouseEvents.in:  Fixed comments.

2005-05-16  Brian Cameron  <brian.cameron@sun.com>

	* Now use gi18n.h instead of libgnome header files to get access to
	  translation code.  libgnome is still used in vicious-extensions, so
	  this still needs to be cleaned up before bug #117889 is fully fixed.
	  Patch provided by Christian - Manny Calavera - Neumair.
	* configure.in:  Backed out adding zh_HK to ALL_LINGUAS since it breaks
	  the build.
	
2005-05-16  Danilo \305\240egan  <dsegan@gmx.net>

	* gui/mdmsetup-strings.c: Removed.
	* gui/mdmchooser-strings.c: Removed.

	* gui/Makefile.am: Remove mdmchooser-strings.c and mdmsetup-strings.c,
	  as well as duplicate entries for glade files from EXTRA_DIST.  Fixes
	  bug #55635

2005-05-16  Brian Cameron  <brian.cameron@sun.com>

	* gui/greeter/greeter.c:  Fix broken messages.  Fixes bug #304377.
	  Thanks to Leena Gunda.
	* configure.in: Added zh_HK to ALL_LINGUAS.

2005-05-13  Brian Cameron  <brian.cameron@sun.com>

	* daemon/mdm-net.c: Fix mdm2 so it works better on BSD and MacOS.  Upon
	  getting EOF on a socket/pipe/etc.  G_IO_IN is always set and G_IO_HUP
	  may not be set.  Therefore, the 0 return from read() is important.
	  If we get a length <= 0 from read() we force the socket to be closed.
	  This prevents mdm-binary from causing high CPU-load after logout.
	  Fixes bug #172491.  Fix posted by Joe Marcus Clarke
	  <marcus@freebsd.org>.

2005-05-13  Brian Cameron  <brian.cameron@sun.com>

	* gui/greeter/greeter.c: No longer set default font size.  Thanks to
	  Erwann Chenede for catching this.

2005-05-10  Leena Gunda  <leena.gunda@wipro.com>

	* daemon/server.c (do_server_wait): Check if a host has been selected
	  from XDMCP chooser and change servstat accordingly. Fixes bug where
	  Xnest session quits when a host is selected from XDMCP chooser.

2005-05-06  Brian Cameron  <brian.cameron@sun.com>

	* daemon/auth.c, daemon/display.c, daemon/mdm.[ch],
	  daemon/server.c, daemon/slave.c, daemon/verify-pam.c,
	  daemon/xdmcp.c, AUTHORS:  Rename console and TYPE_LOCAL in
	  preparation for adding the dynamic Xserver patch.  This is part of
	  the fix for bug #168219.  Patch provided by Bob Terek.

2005-05-04  Brian Cameron  <brian.cameron@sun.com>

	* gui/mdmcommon.[ch], gui/mdmlogin.c, gui/greeter/greeter_session.c:
	  Refactored the code so session menu setup code is no longer
	  duplicated in mdmlogin adn mdmgreeter.
	  
2005-05-03  Brian Cameron  <brian.cameron@sun.com>

	* Makefile.am: Correct Makefile so that if CONSOLE_HELPER is set, we
	  don't try to create an /sbin/mdmsetup symlink to mdmsetup.  Now
	  mdmsetup is already installed to /sbin always.  Fixes #302319.
	* gui/mdmsetup.c: Fix sensitivity of the "Delete Theme" button.  Fixes
	  bug #302342.
	* daemon/mdm.h, gui/mdmlogin.c, gui/greeter/greeter.c: Now only set
	  user/password entry to PAM_MAX_RESP_SIZE if HAVE_PAM is defined,
	  otherwise set it to MDM_MAX_PASS set to 256 in daemon/mdm.h.  This 
	  allows mdm to be used on systems that do not have PAM.  Fixes
	  #302228.  Patch by Ali Akcaagac.
	* daemon/mdm.h, gui/mdmsetup.c, gui/greeter/greeter.c,
	  gui/mdmsetup.glade, gui/mdmsetup-strings.c, config/mdm.conf.in: Now
	  support random theme.  Fixes #302354.  Patch by Andrew Case.
	* gui/mdmcommon.c, gui/mdmlogin.c,
	  gui/greeter/greeter_session.c, gui/Makefile.am,
	  added gui/mdmsession.[ch]:  Support better sorting for session names.
	  Fixes #301818.  Patch by Ray Strode.

2005-04-26  Brian Cameron  <brian.cameron@sun.com>

	* gui/modules/AccessKeyMouseEvents.in:  Now use more sensible arguments
	  for starting magnifier, recommended by Bill Haneman.  

2005-04-25  Brian Cameron  <brian.cameron@sun.com>

	* daemon/mdm.c, daemon/slave.c, daemon-verify-pam.c,
	  gui/mdmcomm.c, gui/mdmlogin.c, gui/mdmsetup.c,
	  vicious-extensions/glade-helper.c:  Fix typos in strings.  Fixes bug
	  #301694.  Patch provided by Kjartan Maraas.
	* daemon/slave.c: To support when one username can be mapped to another
	  canonical username, we use the loginname that pwent returns instead
	  of the one that was typed in.  Fixes bug #301820.  Patch provided by
	  Mike Patnode.  Now use seteuid before checking existance of user's
	  home directory since root doesn't always have access and fails
	  otherwise.  Fixes bug #301821.  Patch provided by Ray Strode.
	* gui/greeter/Makefile.am,
	  gui/greeter/greeter_canvas_item.c:
	  Added:  gui/greeter/canvas_text.[ch]: No longer rely on Xserver
	  physical screen geometry which sometimes causes text to be too big or
	  too small.  Now use gdk/pango functions to get root window resources.
	  Fixes bug #301824.  Patch provided by Ray Strode.
	* config/mdm.conf.in, daemon/mdm.h, gui/mdmlogin.c: Now support
	  background programs that are started after a timedelay and can be
	  restarted after a delay.  Useful for running a screensaver at login
	  time.  Fixes bug #301528.  Patch provided by Laurent Birtz.

2005-04-22  Brian Cameron  <brian.cameron@sun.com>

	* gui/modules/keymouselistner.c: Corrected broken if test pointed out
	  by meissner@suse.de.  Fixes bug #301565.

2005-04-22  Mark McLoughlin  <mark@skynet.ie>

	Add the ability to make MDM spawn XDMCP sessions on a local
	X proxy server. Experimental support for disconnect/reconnect
	or "session migration" is also implemented using DMX.
	More details in bug #301602.

	* configure.in: require glib 2.6.0 and check for DMX.
	
	* config/mdm.conf.in: add xdmpc/EnableProxy, xdmcp/ProxyXServer
	  and xdmcp/ProxyReconnect config keys.

	* daemon/mdm.h: add TYPE_XDMCP_PROXY server type, add #defines
	  for the new config keys, re-name various xnest related MdmDisplay
	  members to be applicable for all proxy servers, add xdmcp_dispnum
	  MdmDisplay member, modify the format of MDM_SOP_QUERYLOGIN and
	  add MDM_SOP_AUTHFILE and MDM_SOP_MIGRATE.

	* daemon/mdm.c: read the new config keys, change format of what
	  MDM_SOP_QUERYLOGIN returns, implement MDM_SOP_AUTHFILE and 
	  MDM_SOP_MIGRATE.

	* daemon/xdmcp.h: add mdm_xdmcp_migrate.

	* daemon/xdmcp.c: when xdmpc/EnableProxy and xdmcp/ProxyXServer,
	  set things up such that a proxy sever (which displays on the
	  requesting X server) is run locally by the slave.
	  Also implement migrating the proxy server from one parent display
	  to another using the xdmcp/ProxyReconnect command.

	* daemon/server.c: if we're running a proxy server (e.g. Xnest
	  or Xdmx), hold a connection open to the parent display so that
	  it doesn't reset.
	  Run proxy servers with -display rather than setting $DISPLAY.

	* daemon/slave.c:
	  Once we've successfully logged the user in, send SOP_QUERYLOGIN
	  to the slave - if the result from that indicates that the user
	  is already logged in and that session is migratable (e.g. by
	  reconnecting a proxy server or changing the VT), then migrate
	  to the existing session using SOP_MIGRATE.
	  In the case of an Xdmcp proxy, hold open the connection to the
	  parent display so that it doesn't reset. Exit the slave as
	  soon as that connection closes.

	* utils/Makefile.am, utils/mdm-dmx-reconnect-proxy.c: implementation
	  of xdmcp/ProxyReconnect for use with Xdmx.
	
2005-04-21  Mark McLoughlin  <mark@skynet.ie>

	Don't use mdm_debug() from signal handlers - the message formatting and
	the syslog() both involve malloc() which isn't safe in signal
	handlers. Fixes random lockups with debugging enabled.

	* daemon/server.c:
	  (mdm_server_usr1_handler),
	  (mdm_server_child_handler): don't use mdm_debug() here.
	
	* daemon/slave.c:
	  (mdm_slave_usr2_handler),
	  (mdm_slave_child_handler): or here.

2005-04-20  Brian Cameron  <brian.cameron@sun.com>

	* gui/mdmlanguages.c: For Danish-English use en_DK instead of en_IE.
	* gui/mdmsetup: Fix sensitivities of new Login Sounds feature.  Further
	  fix for #300136. Provided by Andrew Case.
	* HACKING: Made less out-of-date.

2005-04-19  Brian Cameron  <brian.cameron@sun.com>

	* config/mdm.conf.in, daemon/mdm.[ch], daemon/slave.c,
	  gui/mdmchooser.c, giu/mdmlogin.c:  Cleanup for login success/failure
	  sounds.  Patch provided by Mark McLoughlin.  Refer to bug #300136.
	* daemon/mdm.c: Fix FlexiServer commands so that all output for a
	  single command is sent as a single call to mdm_connection_write or
	  mdm_connection_printf rather than building commands and sending them
	  out in pieces.  Also use mdm_connection_printf rather than building
	  so many temporary strings.  Patch provided by for
	  MDM_SUP_QUERY_LOGOUT_ACTION, but I reworked the patch so the same
	  technique is used for all mdmflexiserver commands.  Fixes bug
	  #158799.  Patch based on one provided by Raffaele Sandrini
	  <rasa@gmx.ch>
	* gui/greeter/greeter_geometry.c, gui/greeter/greeter_item.h,
	  gui/greeter/greeter_parser.c:  Now support ratio scaling of SVG
	  images.  Fixes bug 159524.  Patch provided by Vincent Untz
	  <vincent@vuntz.net>.
	* gui/mdmlogin.c: Rearrange how the widgets are organized to make it
	  look a bit better now that the message fields have sizes defined to
	  avoid mdm2 resizing.  Bit more of a fix for bug #117779.
	* README.install: Spell corrections and minor updates, now mention that
	  running configure with the option --with-post-path=/usr/openwin/bin
	  is recommended on Solaris.
	* MAINTAINERS, AUTHORS, NEWS, daemon/mdm.h: Fixed spelling, added
	  contributors to AUTHORS file for patches made in the past few months.
	* gui/mdmsetup.glade, gui/mdmsetup-strings.c: Removed strings "sdfg"
	  and "asdf" since they can't be translated.  Fixes bug #301211.
	* gui/mdmchooser.c: Removed needless comment.
 	* config/Init: Removed generated file from CVS.

2005-04-18  Brian Cameron  <brian.cameron@sun.com>

	* daemon/mdm.[ch], daemon/slave.c, gui/mdmchooser.c, gui/mdmcommon.c,
	  gui/mdmlogin.c, gui/mdmsetup-strings.c, gui/mdmsetup.c,
	  gui/mdmsetup.glade, gui/greeter/greeter.c,
	  gui/greeter/greeter_configuration.h:  Add login success/failure
	  sounds.  Patch provided by Andrew Case.  Refer to bug #300136.

2005-04-18  Brian Cameron  <brian.cameron@sun.com>

	* gui/mdmlogin.c, gui/greeter/greeter_item_ulist.c: I noticed that
	  double clicking in the Face Browser was causing the focus to be taken
	  away from the username/password entry field.  I added a
	  button-release-event listener that returns the focus back to the
	  entry field when the user clicks on the Face Browser.  This ensures
	  that the focus is always kept on the entry field where it should be.

2005-04-15  Brian Cameron  <brian.cameron@sun.com>

	* daemon/mdm.h, config/mdm.conf.in, gui/mdmlogin.c,
	  gui/mdmsetup.c, gui/mdmsetup.glade, gui/mdmsetup-strings.c,
	  gui/greeter/greeter.c: Added DefaultWelcome and
	  DefaultRemoteWelcome keys to the config file which
	  cause the default strings to be used.  This allows
	  us to better translate the string in mdmsetup for
	  display and fixes bug #300304.
	* gui/greeter/greeter_item_ulist.c, gui/greeter/greeter_parser.c,
	  gui/greeter/themes/happygnome-list/happygnome.xml: Now allow theming
	  of background colors in the Face Browser.  Also shrink the
	  FaceBrowser so it is the same size as the treeview, so a big white
	  space is not displayed under the FaceBrowser.  I probably did not
	  pick good default colors in the xml file, but perhaps someone with a
	  better design eye can give me a recommendation for better colors.
	  Fixes bug #140312.
	* gui/mdmlogin.c: Moved auto_timed_msg label after msg label since that
	  looks better.
	* gui/mdmsetup.c: Moved call to g_signal_lookup so it happens when the
	  call works.

2005-04-12  Brian Cameron  <brian.cameron@sun.com>

	* Release 2.6.0.9
	* configure.in: Updated version
	* NEWS: Updated

2005-04-12  Brian Cameron  <brian.cameron@sun.com>

	* daemon/slave.c: Display an error dialog if the user's $HOME/.dmrc
	  can't be accessed for permissions reasons.  Fixes bug 141126.
	* gui/mdmlogin.c, gui/greeter/greeter_item_pam.c: Now Tab acts like
	  Enter.  Fixes bug #127339.  * gui/mdmsetup.c: Fixed theme installer
	  so it remembers where the last theme was installed from and opens the
	  file browser in that location.  Fixes bug #164785.  Also fixed a
	  bug which was causing only *tar.gz files to be installable.  Now it
	  works for *.tar files on my system.

2005-04-11  Brian Cameron  <brian.cameron@sun.com>

	* config/locale.alias:  Patched locale.alias to include missing
	  languages.  Patch provided by Ray Dassen.
	* gui/mdmchooser.c: Make button 3 always act like button1 for the
	  chooser as well, further fixes bug #155142.
	* gui/mdmlogin.c, gui/greeter/greeter.c: Support Control-U for blanking
	  the username/password entry.  Fixes bug #103498.  Also removed 
	  needless ";" from include lines.
	* mdm/mdmsetup.c: Now clicking "No Logo" or "No background" image
	  causes mdmlogin to update itself immediately.  Also fixed "Timed
	  Login" enable checkbox so it takes effect immediately when changed.

2005-04-08  Brian Cameron  <brian.cameron@sun.com>

	* gui/mdmlogin.c, gui/mdmsetup.c, gui/greeter/greeter.c: Now make
	  button3 always act like button 1 for better left-hand support.  No
	  longer just set this for the login/setup programs when
	  RUNNING_UNDER_MDM is set since mdmsetup can be run from console and 
	  so can mdmlogin (for development).  mdmgreet needs this so the
	  Actions and Languages pop-up dialogs work with the left mouse.  Aside
	  from such pop-ups the logic in greeter_events was taking care of
	  this.  Fixes bug #155142.
	  Also increased the max size of the username password field to
	  PAM_MAX_RESP_SIZE to fix bug #144809.  I talked with the PAM expert
	  here at Sun and he recommended using this value.  Lastly, fixed a bug
	  I introduced on the 6th so now I really fixed bug #67647.
	* daemon/mdm.c: Now the MDM daemon recognizes if the user changed the
	  "Enable debug" value in mdmsetup.  I added the checkbox to mdmsetup
	  on the 4th.

2005-04-06  Brian Cameron  <brian.cameron@sun.com>

	* gui/mdmlogin.c: Set size requests for text labels in mdmlogin so that
	  they are initialized with a big enough size to avoid container
	  resizing.  Fixes bug #117779.  Also no longer place the "msg" label
	  in the button box, instead placing it above.  This label can get too
	  big to really fit in the button box without resizing or otherwise
	  making the GUI look weird.
 
2005-04-06  Brian Cameron  <brian.cameron@sun.com>

	* daemon/auth.c, daemon/choose.c, daemon/cookie.c,
	  daemon/display.c, daemon/errorgui.c, daemon/filecheck.c,
	  daemon/mdm-net.c, daemon/mdm.c, daemon/md5.h, 
	  daemon/misc.c, daemon/server.c, daemon/slave.c,
	  daemon/verify-crypt.c, daemon/verify-pam.c, 
	  daemon/verify-shadow.c, daemon/xdmcp.c,
	  gui/mdmXnestchooser.c, gui/mdmchooser.c, gui/mdmcomm.h,
	  gui/mdmcommon.c, gui/mdmlanguages.c, gui/mdmuser.[ch],
	  gui/mdmwm.c, gui/misc.c, gui/greeter/*.[ch],
	  vicious-extensions/test-ve-config.c,
	  vicious-extensions/ve-i18n.h, vicious-extensions/vicious.h,
	  vicious-extensions/viciousui.h:  Changed messages so that
	  I-form isn't used.  Fixes bug #118193.  Noticed many
	  files didn't have a GPL license as a comment at the top
	  of the file, so added those.  Changed "Gnome" to "GNOME"
	  in comments.  
	* gui/mdmlogin.c: Now display timed login message in a
	  separate label, which avoids problems caused because different
	  things (PAM, timed login, etc.) are trying to use the same
	  label for status messages.  This fixes bug #67647. 

2005-04-05  Adam Weinberger  <adamw@gnome.org>

	* gui/mdmsetup-strings.c, gui/mdmsetup.glade: Removed
	  space before punctuation.

2005-04-04  Brian Cameron  <brian.cameron@sun.com>

	* gui/mdmcommon.c, gui/mdmcommon.h, gui/mdmlogin.c,
	  gui/greeter/greeter.c, gui/greeter/greeter_session.c,
	  gui/greeter/greeter_action_language.[ch],
	  gui/greeter/greeter_system.c:  Fixed dialogs that ask user if they
	  want to change their default language/session so they have a Cancel
	  button that returns the user to the login screen without having to
 	  login/logout to change their session/language session.  Also added
	  mnemonics to the Languages menu in mdmlogin.c.  Fixed minor bug
	  where mdmlogin and mdmgreeter were checking Include and Exclude list
	  as booleans rather than strings.  Fixes bugs #117776 and #168118.
	* gui/mdmsetup-strings.c, gui/mdmsetup.c, gui/mdmsetup.glade: Now allow
	  user to turn on/off debug on the Security tab.  Minor cleanup.

2005-04-01  Pawan Chitrakar  <pawan@nplinux.org>

	* configure.in: Added ne in ALL_LINGUAS

2005-03-31  Steve Murphy  <murf@e-tools.com>

	* configure.in: Added "rw" to ALL_LINGUAS.

2005-04-01  Brian Cameron  <Brian.Cameron@sun.com>

	* configure.in: Change Solaris HaltCommand from "init 0" to "init 5" as
	  Sun's ARC has informed me.

2005-04-01  Brian Cameron  <Brian.Cameron@sun.com>

	* gui/mdmlogin.c, gui/mdmsetup.c, gui/mdmsetup-strings.c,
	  gui/mdmsetup.glade: Revamped mdmsetup so that it uses the new file
	  browser everywhere, uses GtkComboBox and GtkComboBoxEntry instead of
	  GtkEntry and GtkOptionMenu since they are deprecated.  This fixed bug
	  #171558.  Improved Remote Welcome label to fix bug 105156.  Now
	  Remote Greeter option in the Greeter tab reads "Disabled" if XDMCP
	  is disabled.  It returns to the real choice if XDMCP is enabled
	  again.  This fixes bug 117888.  Also changed glade widget names for
	  the face browser to have the "fb" prefix rather than "sg".  Some
	  other minor cleanup of the glade file.  Also added ability to turn
	  on/off Theme menu choice from the Accessibility tab in mdmsetup.
	* gui/mdmphotosetup.c: On March 10th I fixed mdmphotosetup so it uses
	  the new file browser.  I noticed that the code had a bug which was
	  causing an assert, now fixed.  Now make the file browser work more
	  like the ones mdmsetup.c
